<?xml version='1.0' encoding='ISO-8859-1' standalone='yes' ?>
<tagfile>
  <compound kind="class">
    <name>AboutPage</name>
    <filename>classAboutPage.html</filename>
    <member kind="signal">
      <type>void</type>
      <name>addGroup</name>
      <anchorfile>classAboutPage.html</anchorfile>
      <anchor>l0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>AboutPage</name>
      <anchorfile>classAboutPage.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(QWidget *parent)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>BluetoothWidget</name>
    <filename>classBluetoothWidget.html</filename>
    <member kind="function">
      <type></type>
      <name>BluetoothWidget</name>
      <anchorfile>classBluetoothWidget.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(QWidget *parent)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>hideChannel</name>
      <anchorfile>classBluetoothWidget.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>showChannel</name>
      <anchorfile>classBluetoothWidget.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setAddress</name>
      <anchorfile>classBluetoothWidget.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>(const QString address)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setChannel</name>
      <anchorfile>classBluetoothWidget.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>(const QString channel)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>address</name>
      <anchorfile>classBluetoothWidget.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>channel</name>
      <anchorfile>classBluetoothWidget.html</anchorfile>
      <anchor>a6</anchor>
      <arglist>() const </arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>CableWidget</name>
    <filename>classCableWidget.html</filename>
    <member kind="function">
      <type></type>
      <name>CableWidget</name>
      <anchorfile>classCableWidget.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(QWidget *parent)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>load</name>
      <anchorfile>classCableWidget.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>(const QDomElement &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>save</name>
      <anchorfile>classCableWidget.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>(QDomDocument &amp;, QDomElement &amp;)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>ConfigGui</name>
    <filename>classConfigGui.html</filename>
    <member kind="function">
      <type></type>
      <name>ConfigGui</name>
      <anchorfile>classConfigGui.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(const QSync::Member &amp;, QWidget *parent)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setInstanceName</name>
      <anchorfile>classConfigGui.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>(const QString &amp;)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>instanceName</name>
      <anchorfile>classConfigGui.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>load</name>
      <anchorfile>classConfigGui.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>(const QString &amp;xml)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual QString</type>
      <name>save</name>
      <anchorfile>classConfigGui.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function">
      <type>QSync::Member</type>
      <name>member</name>
      <anchorfile>classConfigGui.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QBoxLayout *</type>
      <name>topLayout</name>
      <anchorfile>classConfigGui.html</anchorfile>
      <anchor>a6</anchor>
      <arglist>() const </arglist>
    </member>
    <class kind="class">ConfigGui::Factory</class>
  </compound>
  <compound kind="class">
    <name>ConfigGui::Factory</name>
    <filename>classConfigGui_1_1Factory.html</filename>
    <member kind="function" static="yes">
      <type>static ConfigGui *</type>
      <name>create</name>
      <anchorfile>classConfigGui_1_1Factory.html</anchorfile>
      <anchor>e0</anchor>
      <arglist>(const QSync::Member &amp;, QWidget *parent)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>ConfigGuiBlank</name>
    <filename>classConfigGuiBlank.html</filename>
    <base>ConfigGui</base>
    <member kind="function">
      <type></type>
      <name>ConfigGuiBlank</name>
      <anchorfile>classConfigGuiBlank.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(const QSync::Member &amp;member, QWidget *parent=0)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>load</name>
      <anchorfile>classConfigGuiBlank.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>(const QString &amp;xml)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>save</name>
      <anchorfile>classConfigGuiBlank.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>() const </arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>ConfigGuiEvo2</name>
    <filename>classConfigGuiEvo2.html</filename>
    <base>ConfigGui</base>
    <member kind="function">
      <type></type>
      <name>ConfigGuiEvo2</name>
      <anchorfile>classConfigGuiEvo2.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(const QSync::Member &amp;, QWidget *parent)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>load</name>
      <anchorfile>classConfigGuiEvo2.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>(const QString &amp;xml)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>save</name>
      <anchorfile>classConfigGuiEvo2.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>() const </arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>ConfigGuiFile</name>
    <filename>classConfigGuiFile.html</filename>
    <base>ConfigGui</base>
    <member kind="function">
      <type></type>
      <name>ConfigGuiFile</name>
      <anchorfile>classConfigGuiFile.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(const QSync::Member &amp;, QWidget *parent)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>load</name>
      <anchorfile>classConfigGuiFile.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>(const QString &amp;xml)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>save</name>
      <anchorfile>classConfigGuiFile.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>() const </arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>ConfigGuiGnokii</name>
    <filename>classConfigGuiGnokii.html</filename>
    <base>ConfigGui</base>
    <member kind="function">
      <type></type>
      <name>ConfigGuiGnokii</name>
      <anchorfile>classConfigGuiGnokii.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(const QSync::Member &amp;, QWidget *parent)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>load</name>
      <anchorfile>classConfigGuiGnokii.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>(const QString &amp;xml)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>save</name>
      <anchorfile>classConfigGuiGnokii.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotConnectionChanged</name>
      <anchorfile>classConfigGuiGnokii.html</anchorfile>
      <anchor>j0</anchor>
      <arglist>(int nth)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotModelChanged</name>
      <anchorfile>classConfigGuiGnokii.html</anchorfile>
      <anchor>j1</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>ConfigGuiGoogleCalendar</name>
    <filename>classConfigGuiGoogleCalendar.html</filename>
    <base>ConfigGui</base>
    <member kind="function">
      <type></type>
      <name>ConfigGuiGoogleCalendar</name>
      <anchorfile>classConfigGuiGoogleCalendar.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(const QSync::Member &amp;, QWidget *parent)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>load</name>
      <anchorfile>classConfigGuiGoogleCalendar.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>(const QString &amp;xml)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>save</name>
      <anchorfile>classConfigGuiGoogleCalendar.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>() const </arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>ConfigGuiGpe</name>
    <filename>classConfigGuiGpe.html</filename>
    <base>ConfigGui</base>
    <member kind="function">
      <type></type>
      <name>ConfigGuiGpe</name>
      <anchorfile>classConfigGuiGpe.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(const QSync::Member &amp;, QWidget *parent)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>load</name>
      <anchorfile>classConfigGuiGpe.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>(const QString &amp;xml)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>save</name>
      <anchorfile>classConfigGuiGpe.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>() const </arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>ConfigGuiIRMC</name>
    <filename>classConfigGuiIRMC.html</filename>
    <base>ConfigGui</base>
    <member kind="function">
      <type></type>
      <name>ConfigGuiIRMC</name>
      <anchorfile>classConfigGuiIRMC.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(const QSync::Member &amp;, QWidget *parent)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>load</name>
      <anchorfile>classConfigGuiIRMC.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>(const QString &amp;xml)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>save</name>
      <anchorfile>classConfigGuiIRMC.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>connectionTypeChanged</name>
      <anchorfile>classConfigGuiIRMC.html</anchorfile>
      <anchor>j0</anchor>
      <arglist>(int type)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>ConfigGuiJescs</name>
    <filename>classConfigGuiJescs.html</filename>
    <base>ConfigGui</base>
    <member kind="function">
      <type></type>
      <name>ConfigGuiJescs</name>
      <anchorfile>classConfigGuiJescs.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(const QSync::Member &amp;, QWidget *parent)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>load</name>
      <anchorfile>classConfigGuiJescs.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>(const QString &amp;xml)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>save</name>
      <anchorfile>classConfigGuiJescs.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>() const </arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>ConfigGuiLdap</name>
    <filename>classConfigGuiLdap.html</filename>
    <base>ConfigGui</base>
    <member kind="function">
      <type></type>
      <name>ConfigGuiLdap</name>
      <anchorfile>classConfigGuiLdap.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(const QSync::Member &amp;, QWidget *parent)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>load</name>
      <anchorfile>classConfigGuiLdap.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>(const QString &amp;xml)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>save</name>
      <anchorfile>classConfigGuiLdap.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>() const </arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>ConfigGuiMoto</name>
    <filename>classConfigGuiMoto.html</filename>
    <base>ConfigGui</base>
    <member kind="function">
      <type></type>
      <name>ConfigGuiMoto</name>
      <anchorfile>classConfigGuiMoto.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(const QSync::Member &amp;, QWidget *parent)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>load</name>
      <anchorfile>classConfigGuiMoto.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>(const QString &amp;xml)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>save</name>
      <anchorfile>classConfigGuiMoto.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>() const </arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>ConfigGuiOpie</name>
    <filename>classConfigGuiOpie.html</filename>
    <base>ConfigGui</base>
    <member kind="function">
      <type></type>
      <name>ConfigGuiOpie</name>
      <anchorfile>classConfigGuiOpie.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(const QSync::Member &amp;, QWidget *parent)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>load</name>
      <anchorfile>classConfigGuiOpie.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>(const QString &amp;xml)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>save</name>
      <anchorfile>classConfigGuiOpie.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>() const </arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>ConfigGuiPalm</name>
    <filename>classConfigGuiPalm.html</filename>
    <base>ConfigGui</base>
    <member kind="function">
      <type></type>
      <name>ConfigGuiPalm</name>
      <anchorfile>classConfigGuiPalm.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(const QSync::Member &amp;, QWidget *parent)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>load</name>
      <anchorfile>classConfigGuiPalm.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>(const QString &amp;xml)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>save</name>
      <anchorfile>classConfigGuiPalm.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>() const </arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>ConfigGuiSunbird</name>
    <filename>classConfigGuiSunbird.html</filename>
    <base>ConfigGui</base>
    <member kind="slot">
      <type>void</type>
      <name>addLocalCalendar</name>
      <anchorfile>classConfigGuiSunbird.html</anchorfile>
      <anchor>i0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>addWebdavCalendar</name>
      <anchorfile>classConfigGuiSunbird.html</anchorfile>
      <anchor>i1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>delLocalCalendar</name>
      <anchorfile>classConfigGuiSunbird.html</anchorfile>
      <anchor>i2</anchor>
      <arglist>(LocalCalendar *)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>delWebdavCalendar</name>
      <anchorfile>classConfigGuiSunbird.html</anchorfile>
      <anchor>i3</anchor>
      <arglist>(WebdavCalendar *)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>ConfigGuiSunbird</name>
      <anchorfile>classConfigGuiSunbird.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(const QSync::Member &amp;, QWidget *parent)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>load</name>
      <anchorfile>classConfigGuiSunbird.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>(const QString &amp;xml)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>save</name>
      <anchorfile>classConfigGuiSunbird.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>() const </arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>ConfigGuiSynce</name>
    <filename>classConfigGuiSynce.html</filename>
    <base>ConfigGui</base>
    <member kind="function">
      <type></type>
      <name>ConfigGuiSynce</name>
      <anchorfile>classConfigGuiSynce.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(const QSync::Member &amp;, QWidget *parent)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>load</name>
      <anchorfile>classConfigGuiSynce.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>(const QString &amp;xml)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>save</name>
      <anchorfile>classConfigGuiSynce.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>() const </arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>ConfigGuiSyncmlHttp</name>
    <filename>classConfigGuiSyncmlHttp.html</filename>
    <base>ConfigGui</base>
    <member kind="function">
      <type></type>
      <name>ConfigGuiSyncmlHttp</name>
      <anchorfile>classConfigGuiSyncmlHttp.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(const QSync::Member &amp;, QWidget *parent)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>load</name>
      <anchorfile>classConfigGuiSyncmlHttp.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>(const QString &amp;xml)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>save</name>
      <anchorfile>classConfigGuiSyncmlHttp.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>addLineEdit</name>
      <anchorfile>classConfigGuiSyncmlHttp.html</anchorfile>
      <anchor>j0</anchor>
      <arglist>(QWidget *parent, const QString &amp;text, KComboBox **edit, int row)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>ConfigGuiSyncmlObex</name>
    <filename>classConfigGuiSyncmlObex.html</filename>
    <base>ConfigGui</base>
    <member kind="slot">
      <type>void</type>
      <name>slotConnectionChanged</name>
      <anchorfile>classConfigGuiSyncmlObex.html</anchorfile>
      <anchor>i0</anchor>
      <arglist>(int pos)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>ConfigGuiSyncmlObex</name>
      <anchorfile>classConfigGuiSyncmlObex.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(const QSync::Member &amp;, QWidget *parent=0)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>load</name>
      <anchorfile>classConfigGuiSyncmlObex.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>(const QString &amp;xml)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>save</name>
      <anchorfile>classConfigGuiSyncmlObex.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>addLineEdit</name>
      <anchorfile>classConfigGuiSyncmlObex.html</anchorfile>
      <anchor>j0</anchor>
      <arglist>(QWidget *parent, const QString &amp;text, KComboBox **edit, int row)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>ConfigGuiXml</name>
    <filename>classConfigGuiXml.html</filename>
    <base>ConfigGui</base>
    <member kind="function">
      <type></type>
      <name>ConfigGuiXml</name>
      <anchorfile>classConfigGuiXml.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(const QSync::Member &amp;, QWidget *parent)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>load</name>
      <anchorfile>classConfigGuiXml.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>(const QString &amp;)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>save</name>
      <anchorfile>classConfigGuiXml.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>() const </arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>ConflictDialog</name>
    <filename>classConflictDialog.html</filename>
    <member kind="function">
      <type></type>
      <name>ConflictDialog</name>
      <anchorfile>classConflictDialog.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(QSync::SyncMapping &amp;mapping, QWidget *parent)</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QSync::SyncMapping</type>
      <name>mMapping</name>
      <anchorfile>classConflictDialog.html</anchorfile>
      <anchor>p0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>GroupConfig</name>
    <filename>classGroupConfig.html</filename>
    <member kind="function">
      <type></type>
      <name>GroupConfig</name>
      <anchorfile>classGroupConfig.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(QWidget *parent)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setSyncProcess</name>
      <anchorfile>classGroupConfig.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>(SyncProcess *process)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>updateMembers</name>
      <anchorfile>classGroupConfig.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>saveConfig</name>
      <anchorfile>classGroupConfig.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>addMember</name>
      <anchorfile>classGroupConfig.html</anchorfile>
      <anchor>j0</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>GroupConfigCommon</name>
    <filename>classGroupConfigCommon.html</filename>
    <member kind="function">
      <type></type>
      <name>GroupConfigCommon</name>
      <anchorfile>classGroupConfigCommon.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(QWidget *parent)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setSyncProcess</name>
      <anchorfile>classGroupConfigCommon.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>(SyncProcess *syncProcess)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>save</name>
      <anchorfile>classGroupConfigCommon.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>GroupConfigDialog</name>
    <filename>classGroupConfigDialog.html</filename>
    <member kind="function">
      <type></type>
      <name>GroupConfigDialog</name>
      <anchorfile>classGroupConfigDialog.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(QWidget *parent, SyncProcess *)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~GroupConfigDialog</name>
      <anchorfile>classGroupConfigDialog.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotOk</name>
      <anchorfile>classGroupConfigDialog.html</anchorfile>
      <anchor>j0</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>GroupItem</name>
    <filename>classGroupItem.html</filename>
    <base>KWidgetListItem</base>
    <member kind="signal">
      <type>void</type>
      <name>synchronizeGroup</name>
      <anchorfile>classGroupItem.html</anchorfile>
      <anchor>l0</anchor>
      <arglist>(SyncProcess *syncProcess)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>abortSynchronizeGroup</name>
      <anchorfile>classGroupItem.html</anchorfile>
      <anchor>l1</anchor>
      <arglist>(SyncProcess *syncProcess)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>configureGroup</name>
      <anchorfile>classGroupItem.html</anchorfile>
      <anchor>l2</anchor>
      <arglist>(SyncProcess *syncProcess)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>GroupItem</name>
      <anchorfile>classGroupItem.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(KWidgetList *, SyncProcess *syncProcess)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~GroupItem</name>
      <anchorfile>classGroupItem.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>SyncProcess *</type>
      <name>syncProcess</name>
      <anchorfile>classGroupItem.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>update</name>
      <anchorfile>classGroupItem.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>clear</name>
      <anchorfile>classGroupItem.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>conflict</name>
      <anchorfile>classGroupItem.html</anchorfile>
      <anchor>j0</anchor>
      <arglist>(QSync::SyncMapping)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>change</name>
      <anchorfile>classGroupItem.html</anchorfile>
      <anchor>j1</anchor>
      <arglist>(const QSync::SyncChangeUpdate &amp;)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>mapping</name>
      <anchorfile>classGroupItem.html</anchorfile>
      <anchor>j2</anchor>
      <arglist>(const QSync::SyncMappingUpdate &amp;)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>engine</name>
      <anchorfile>classGroupItem.html</anchorfile>
      <anchor>j3</anchor>
      <arglist>(const QSync::SyncEngineUpdate &amp;)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>member</name>
      <anchorfile>classGroupItem.html</anchorfile>
      <anchor>j4</anchor>
      <arglist>(const QSync::SyncMemberUpdate &amp;)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>synchronize</name>
      <anchorfile>classGroupItem.html</anchorfile>
      <anchor>j5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>configure</name>
      <anchorfile>classGroupItem.html</anchorfile>
      <anchor>j6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>engineChanged</name>
      <anchorfile>classGroupItem.html</anchorfile>
      <anchor>j7</anchor>
      <arglist>(QSync::Engine *engine)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>GroupView</name>
    <filename>classGroupView.html</filename>
    <member kind="slot">
      <type>void</type>
      <name>updateView</name>
      <anchorfile>classGroupView.html</anchorfile>
      <anchor>i0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>updateSyncProcess</name>
      <anchorfile>classGroupView.html</anchorfile>
      <anchor>i1</anchor>
      <arglist>(SyncProcess *process)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>addGroup</name>
      <anchorfile>classGroupView.html</anchorfile>
      <anchor>l0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>synchronizeGroup</name>
      <anchorfile>classGroupView.html</anchorfile>
      <anchor>l1</anchor>
      <arglist>(SyncProcess *syncProcess)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>abortSynchronizeGroup</name>
      <anchorfile>classGroupView.html</anchorfile>
      <anchor>l2</anchor>
      <arglist>(SyncProcess *syncProcess)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>configureGroup</name>
      <anchorfile>classGroupView.html</anchorfile>
      <anchor>l3</anchor>
      <arglist>(SyncProcess *syncProcess)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>GroupView</name>
      <anchorfile>classGroupView.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(QWidget *parent)</arglist>
    </member>
    <member kind="function">
      <type>SyncProcess *</type>
      <name>selectedSyncProcess</name>
      <anchorfile>classGroupView.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>clear</name>
      <anchorfile>classGroupView.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>IRWidget</name>
    <filename>classIRWidget.html</filename>
    <member kind="function">
      <type></type>
      <name>IRWidget</name>
      <anchorfile>classIRWidget.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(QWidget *parent)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>load</name>
      <anchorfile>classIRWidget.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>(const QDomElement &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>save</name>
      <anchorfile>classIRWidget.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>(QDomDocument &amp;, QDomElement &amp;)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KitchenSyncPart</name>
    <filename>classKitchenSyncPart.html</filename>
    <member kind="function">
      <type></type>
      <name>KitchenSyncPart</name>
      <anchorfile>classKitchenSyncPart.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(QWidget *parentWidget, const char *widgetName, QObject *parent, const char *name, const QStringList &amp;)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~KitchenSyncPart</name>
      <anchorfile>classKitchenSyncPart.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>exit</name>
      <anchorfile>classKitchenSyncPart.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>openURL</name>
      <anchorfile>classKitchenSyncPart.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>(const KURL &amp;url)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static KAboutData *</type>
      <name>createAboutData</name>
      <anchorfile>classKitchenSyncPart.html</anchorfile>
      <anchor>e0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual bool</type>
      <name>openFile</name>
      <anchorfile>classKitchenSyncPart.html</anchorfile>
      <anchor>b0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>guiActivateEvent</name>
      <anchorfile>classKitchenSyncPart.html</anchorfile>
      <anchor>b1</anchor>
      <arglist>(KParts::GUIActivateEvent *)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KWidgetList</name>
    <filename>classKWidgetList.html</filename>
    <member kind="slot">
      <type>void</type>
      <name>clear</name>
      <anchorfile>classKWidgetList.html</anchorfile>
      <anchor>i0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" virtualness="virtual">
      <type>virtual void</type>
      <name>setFocus</name>
      <anchorfile>classKWidgetList.html</anchorfile>
      <anchor>i1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>selectionChanged</name>
      <anchorfile>classKWidgetList.html</anchorfile>
      <anchor>l0</anchor>
      <arglist>(KWidgetListItem *item)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>doubleClicked</name>
      <anchorfile>classKWidgetList.html</anchorfile>
      <anchor>l1</anchor>
      <arglist>(KWidgetListItem *item)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KWidgetList</name>
      <anchorfile>classKWidgetList.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(QWidget *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~KWidgetList</name>
      <anchorfile>classKWidgetList.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>uint</type>
      <name>count</name>
      <anchorfile>classKWidgetList.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>appendItem</name>
      <anchorfile>classKWidgetList.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>(KWidgetListItem *item)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>removeItem</name>
      <anchorfile>classKWidgetList.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>(int index)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>takeItem</name>
      <anchorfile>classKWidgetList.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>(KWidgetListItem *item)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setSelected</name>
      <anchorfile>classKWidgetList.html</anchorfile>
      <anchor>a6</anchor>
      <arglist>(KWidgetListItem *item)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setSelected</name>
      <anchorfile>classKWidgetList.html</anchorfile>
      <anchor>a7</anchor>
      <arglist>(int index)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isSelected</name>
      <anchorfile>classKWidgetList.html</anchorfile>
      <anchor>a8</anchor>
      <arglist>(KWidgetListItem *item) const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isSelected</name>
      <anchorfile>classKWidgetList.html</anchorfile>
      <anchor>a9</anchor>
      <arglist>(int index) const </arglist>
    </member>
    <member kind="function">
      <type>KWidgetListItem *</type>
      <name>selectedItem</name>
      <anchorfile>classKWidgetList.html</anchorfile>
      <anchor>a10</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>KWidgetListItem *</type>
      <name>item</name>
      <anchorfile>classKWidgetList.html</anchorfile>
      <anchor>a11</anchor>
      <arglist>(int index) const </arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>index</name>
      <anchorfile>classKWidgetList.html</anchorfile>
      <anchor>a12</anchor>
      <arglist>(KWidgetListItem *item) const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>eventFilter</name>
      <anchorfile>classKWidgetList.html</anchorfile>
      <anchor>a13</anchor>
      <arglist>(QObject *object, QEvent *event)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KWidgetListItem</name>
    <filename>classKWidgetListItem.html</filename>
    <member kind="function">
      <type></type>
      <name>KWidgetListItem</name>
      <anchorfile>classKWidgetListItem.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(KWidgetList *parent, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~KWidgetListItem</name>
      <anchorfile>classKWidgetListItem.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setSelected</name>
      <anchorfile>classKWidgetListItem.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>(bool selected)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>setForegroundColor</name>
      <anchorfile>classKWidgetListItem.html</anchorfile>
      <anchor>b0</anchor>
      <arglist>(const QColor &amp;)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>setBackgroundColor</name>
      <anchorfile>classKWidgetListItem.html</anchorfile>
      <anchor>b1</anchor>
      <arglist>(const QColor &amp;)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>setSelectionForegroundColor</name>
      <anchorfile>classKWidgetListItem.html</anchorfile>
      <anchor>b2</anchor>
      <arglist>(const QColor &amp;)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>setSelectionBackgroundColor</name>
      <anchorfile>classKWidgetListItem.html</anchorfile>
      <anchor>b3</anchor>
      <arglist>(const QColor &amp;)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>LocalCalendar</name>
    <filename>classLocalCalendar.html</filename>
    <member kind="signal">
      <type>void</type>
      <name>deleteRequest</name>
      <anchorfile>classLocalCalendar.html</anchorfile>
      <anchor>l0</anchor>
      <arglist>(LocalCalendar *)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>LocalCalendar</name>
      <anchorfile>classLocalCalendar.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(QWidget *parent=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>LocalCalendar</name>
      <anchorfile>classLocalCalendar.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>(const QString &amp;path, const QString &amp;defaultcal, const QString &amp;days, QWidget *parent=0)</arglist>
    </member>
    <member kind="variable">
      <type>KURLRequester *</type>
      <name>mPathRequester</name>
      <anchorfile>classLocalCalendar.html</anchorfile>
      <anchor>o0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QCheckBox *</type>
      <name>mDaysCheckBox</name>
      <anchorfile>classLocalCalendar.html</anchorfile>
      <anchor>o1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QSpinBox *</type>
      <name>mDaysSpinBox</name>
      <anchorfile>classLocalCalendar.html</anchorfile>
      <anchor>o2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QCheckBox *</type>
      <name>mDefaultCheckBox</name>
      <anchorfile>classLocalCalendar.html</anchorfile>
      <anchor>o3</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>MainWidget</name>
    <filename>classMainWidget.html</filename>
    <member kind="slot">
      <type>void</type>
      <name>addGroup</name>
      <anchorfile>classMainWidget.html</anchorfile>
      <anchor>i0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>deleteGroup</name>
      <anchorfile>classMainWidget.html</anchorfile>
      <anchor>i1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>editGroup</name>
      <anchorfile>classMainWidget.html</anchorfile>
      <anchor>i2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>editGroup</name>
      <anchorfile>classMainWidget.html</anchorfile>
      <anchor>i3</anchor>
      <arglist>(SyncProcess *syncProcess)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>sync</name>
      <anchorfile>classMainWidget.html</anchorfile>
      <anchor>i4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>sync</name>
      <anchorfile>classMainWidget.html</anchorfile>
      <anchor>i5</anchor>
      <arglist>(SyncProcess *syncProcess)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>abortSync</name>
      <anchorfile>classMainWidget.html</anchorfile>
      <anchor>i6</anchor>
      <arglist>(SyncProcess *syncProcess)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>MainWidget</name>
      <anchorfile>classMainWidget.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(KXMLGUIClient *guiClient, QWidget *widget=0, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~MainWidget</name>
      <anchorfile>classMainWidget.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual KXMLGUIClient *</type>
      <name>guiClient</name>
      <anchorfile>classMainWidget.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" static="yes">
      <type>static KAboutData *</type>
      <name>aboutData</name>
      <anchorfile>classMainWidget.html</anchorfile>
      <anchor>e0</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>MainWindow</name>
    <filename>classMainWindow.html</filename>
    <member kind="function">
      <type></type>
      <name>MainWindow</name>
      <anchorfile>classMainWindow.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~MainWindow</name>
      <anchorfile>classMainWindow.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>MemberConfig</name>
    <filename>classMemberConfig.html</filename>
    <member kind="function">
      <type></type>
      <name>MemberConfig</name>
      <anchorfile>classMemberConfig.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(QWidget *parent, const QSync::Member &amp;)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~MemberConfig</name>
      <anchorfile>classMemberConfig.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>loadData</name>
      <anchorfile>classMemberConfig.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>saveData</name>
      <anchorfile>classMemberConfig.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>MemberInfo</name>
    <filename>classMemberInfo.html</filename>
    <member kind="function">
      <type></type>
      <name>MemberInfo</name>
      <anchorfile>classMemberInfo.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(const QSync::Member &amp;member)</arglist>
    </member>
    <member kind="function">
      <type>QPixmap</type>
      <name>smallIcon</name>
      <anchorfile>classMemberInfo.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QPixmap</type>
      <name>desktopIcon</name>
      <anchorfile>classMemberInfo.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>iconName</name>
      <anchorfile>classMemberInfo.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>name</name>
      <anchorfile>classMemberInfo.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" static="yes">
      <type>static QString</type>
      <name>pluginIconName</name>
      <anchorfile>classMemberInfo.html</anchorfile>
      <anchor>e0</anchor>
      <arglist>(const QString &amp;pluginName)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>MemberItem</name>
    <filename>classMemberItem.html</filename>
    <member kind="function">
      <type></type>
      <name>MemberItem</name>
      <anchorfile>classMemberItem.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(QWidget *parent, SyncProcess *syncProcess, const QSync::Member &amp;member)</arglist>
    </member>
    <member kind="function">
      <type>SyncProcess *</type>
      <name>syncProcess</name>
      <anchorfile>classMemberItem.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QSync::Member</type>
      <name>member</name>
      <anchorfile>classMemberItem.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setStatusMessage</name>
      <anchorfile>classMemberItem.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>(const QString &amp;msg)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>MultiConflictDialog</name>
    <filename>classMultiConflictDialog.html</filename>
    <base>ConflictDialog</base>
    <member kind="function">
      <type></type>
      <name>MultiConflictDialog</name>
      <anchorfile>classMultiConflictDialog.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(QSync::SyncMapping &amp;mapping, QWidget *parent)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~MultiConflictDialog</name>
      <anchorfile>classMultiConflictDialog.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>ObjectTypeSelector</name>
    <filename>classObjectTypeSelector.html</filename>
    <member kind="function">
      <type></type>
      <name>ObjectTypeSelector</name>
      <anchorfile>classObjectTypeSelector.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(QWidget *parent)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>load</name>
      <anchorfile>classObjectTypeSelector.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>(const QSync::Group &amp;group)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>save</name>
      <anchorfile>classObjectTypeSelector.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>(QSync::Group group)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>OpenSyncService</name>
    <filename>classOpenSyncService.html</filename>
    <member kind="function">
      <type></type>
      <name>OpenSyncService</name>
      <anchorfile>classOpenSyncService.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setConnection</name>
      <anchorfile>classOpenSyncService.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>(QDBusConnection *connection)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual bool</type>
      <name>handleMethodCall</name>
      <anchorfile>classOpenSyncService.html</anchorfile>
      <anchor>b0</anchor>
      <arglist>(const QDBusMessage &amp;message)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>QDBusMessage</type>
      <name>hello</name>
      <anchorfile>classOpenSyncService.html</anchorfile>
      <anchor>b1</anchor>
      <arglist>(const QDBusMessage &amp;)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>QDBusMessage</type>
      <name>randomNumber</name>
      <anchorfile>classOpenSyncService.html</anchorfile>
      <anchor>b2</anchor>
      <arglist>(const QDBusMessage &amp;)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>QDBusMessage</type>
      <name>listGroups</name>
      <anchorfile>classOpenSyncService.html</anchorfile>
      <anchor>b3</anchor>
      <arglist>(const QDBusMessage &amp;message)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>QDBusMessage</type>
      <name>listPlugins</name>
      <anchorfile>classOpenSyncService.html</anchorfile>
      <anchor>b4</anchor>
      <arglist>(const QDBusMessage &amp;message)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>QDBusMessage</type>
      <name>showGroup</name>
      <anchorfile>classOpenSyncService.html</anchorfile>
      <anchor>b5</anchor>
      <arglist>(const QDBusMessage &amp;message)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>QDBusMessage</type>
      <name>showMember</name>
      <anchorfile>classOpenSyncService.html</anchorfile>
      <anchor>b6</anchor>
      <arglist>(const QDBusMessage &amp;message)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>QDBusMessage</type>
      <name>error</name>
      <anchorfile>classOpenSyncService.html</anchorfile>
      <anchor>b7</anchor>
      <arglist>(const QDBusMessage &amp;, const QString &amp;errorCode, const QString &amp;errorMessage)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>PluginItem</name>
    <filename>classPluginItem.html</filename>
    <base>KWidgetListItem</base>
    <member kind="function">
      <type></type>
      <name>PluginItem</name>
      <anchorfile>classPluginItem.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(KWidgetList *, const QSync::Plugin &amp;)</arglist>
    </member>
    <member kind="function">
      <type>QSync::Plugin</type>
      <name>plugin</name>
      <anchorfile>classPluginItem.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>() const </arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>PluginPicker</name>
    <filename>classPluginPicker.html</filename>
    <member kind="signal">
      <type>void</type>
      <name>selected</name>
      <anchorfile>classPluginPicker.html</anchorfile>
      <anchor>l0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>PluginPicker</name>
      <anchorfile>classPluginPicker.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(QWidget *parent)</arglist>
    </member>
    <member kind="function">
      <type>QSync::Plugin</type>
      <name>selectedPlugin</name>
      <anchorfile>classPluginPicker.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>updatePluginList</name>
      <anchorfile>classPluginPicker.html</anchorfile>
      <anchor>b0</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>PluginPickerDialog</name>
    <filename>classPluginPickerDialog.html</filename>
    <member kind="function">
      <type></type>
      <name>PluginPickerDialog</name>
      <anchorfile>classPluginPickerDialog.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(QWidget *parent)</arglist>
    </member>
    <member kind="function">
      <type>QSync::Plugin</type>
      <name>selectedPlugin</name>
      <anchorfile>classPluginPickerDialog.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" static="yes">
      <type>static QSync::Plugin</type>
      <name>getPlugin</name>
      <anchorfile>classPluginPickerDialog.html</anchorfile>
      <anchor>e0</anchor>
      <arglist>(QWidget *parent)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotOk</name>
      <anchorfile>classPluginPickerDialog.html</anchorfile>
      <anchor>j0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotCancel</name>
      <anchorfile>classPluginPickerDialog.html</anchorfile>
      <anchor>j1</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>SingleConflictDialog</name>
    <filename>classSingleConflictDialog.html</filename>
    <base>ConflictDialog</base>
    <member kind="function">
      <type></type>
      <name>SingleConflictDialog</name>
      <anchorfile>classSingleConflictDialog.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(QSync::SyncMapping &amp;mapping, QWidget *parent)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~SingleConflictDialog</name>
      <anchorfile>classSingleConflictDialog.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>SyncProcess</name>
    <filename>classSyncProcess.html</filename>
    <member kind="signal">
      <type>void</type>
      <name>engineChanged</name>
      <anchorfile>classSyncProcess.html</anchorfile>
      <anchor>l0</anchor>
      <arglist>(QSync::Engine *engine)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>SyncProcess</name>
      <anchorfile>classSyncProcess.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(const QSync::Group &amp;group)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~SyncProcess</name>
      <anchorfile>classSyncProcess.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QSync::Group</type>
      <name>group</name>
      <anchorfile>classSyncProcess.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QSync::Engine *</type>
      <name>engine</name>
      <anchorfile>classSyncProcess.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>groupStatus</name>
      <anchorfile>classSyncProcess.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>memberStatus</name>
      <anchorfile>classSyncProcess.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>(const QSync::Member &amp;member) const </arglist>
    </member>
    <member kind="function">
      <type>QSync::Result</type>
      <name>addMember</name>
      <anchorfile>classSyncProcess.html</anchorfile>
      <anchor>a6</anchor>
      <arglist>(const QSync::Plugin &amp;plugin)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>reinitEngine</name>
      <anchorfile>classSyncProcess.html</anchorfile>
      <anchor>a7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>applyObjectTypeFilter</name>
      <anchorfile>classSyncProcess.html</anchorfile>
      <anchor>a8</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>SyncProcessManager</name>
    <filename>classSyncProcessManager.html</filename>
    <member kind="signal">
      <type>void</type>
      <name>changed</name>
      <anchorfile>classSyncProcessManager.html</anchorfile>
      <anchor>l0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>syncProcessChanged</name>
      <anchorfile>classSyncProcessManager.html</anchorfile>
      <anchor>l1</anchor>
      <arglist>(SyncProcess *process)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~SyncProcessManager</name>
      <anchorfile>classSyncProcessManager.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QSync::Environment *</type>
      <name>environment</name>
      <anchorfile>classSyncProcessManager.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>count</name>
      <anchorfile>classSyncProcessManager.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>SyncProcess *</type>
      <name>at</name>
      <anchorfile>classSyncProcessManager.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>(int pos) const </arglist>
    </member>
    <member kind="function">
      <type>SyncProcess *</type>
      <name>byGroup</name>
      <anchorfile>classSyncProcessManager.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>(const QSync::Group &amp;group)</arglist>
    </member>
    <member kind="function">
      <type>SyncProcess *</type>
      <name>byGroupName</name>
      <anchorfile>classSyncProcessManager.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>(const QString &amp;name)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addGroup</name>
      <anchorfile>classSyncProcessManager.html</anchorfile>
      <anchor>a6</anchor>
      <arglist>(const QString &amp;name)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>remove</name>
      <anchorfile>classSyncProcessManager.html</anchorfile>
      <anchor>a7</anchor>
      <arglist>(SyncProcess *syncProcess)</arglist>
    </member>
    <member kind="function">
      <type>QSync::Result</type>
      <name>addMember</name>
      <anchorfile>classSyncProcessManager.html</anchorfile>
      <anchor>a8</anchor>
      <arglist>(SyncProcess *process, const QSync::Plugin &amp;plugin)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static SyncProcessManager *</type>
      <name>self</name>
      <anchorfile>classSyncProcessManager.html</anchorfile>
      <anchor>e0</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>UsbWidget</name>
    <filename>classUsbWidget.html</filename>
    <member kind="function">
      <type></type>
      <name>UsbWidget</name>
      <anchorfile>classUsbWidget.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(QWidget *parent)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>interface</name>
      <anchorfile>classUsbWidget.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setInterface</name>
      <anchorfile>classUsbWidget.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>(int interface)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>WebdavCalendar</name>
    <filename>classWebdavCalendar.html</filename>
    <member kind="signal">
      <type>void</type>
      <name>deleteRequest</name>
      <anchorfile>classWebdavCalendar.html</anchorfile>
      <anchor>l0</anchor>
      <arglist>(WebdavCalendar *)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>WebdavCalendar</name>
      <anchorfile>classWebdavCalendar.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(QWidget *parent=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>WebdavCalendar</name>
      <anchorfile>classWebdavCalendar.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>(const QString &amp;username, const QString &amp;password, const QString &amp;url, const QString &amp;defaultcal, const QString &amp;days, QWidget *parent=0)</arglist>
    </member>
    <member kind="variable">
      <type>KLineEdit *</type>
      <name>mUrl</name>
      <anchorfile>classWebdavCalendar.html</anchorfile>
      <anchor>o0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QCheckBox *</type>
      <name>mDaysCheckBox</name>
      <anchorfile>classWebdavCalendar.html</anchorfile>
      <anchor>o1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QSpinBox *</type>
      <name>mDaysSpinBox</name>
      <anchorfile>classWebdavCalendar.html</anchorfile>
      <anchor>o2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QCheckBox *</type>
      <name>mDefaultCheckBox</name>
      <anchorfile>classWebdavCalendar.html</anchorfile>
      <anchor>o3</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>KLineEdit *</type>
      <name>mUsername</name>
      <anchorfile>classWebdavCalendar.html</anchorfile>
      <anchor>o4</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>KLineEdit *</type>
      <name>mPassword</name>
      <anchorfile>classWebdavCalendar.html</anchorfile>
      <anchor>o5</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="dir">
    <name>/home/services/builder/rpm/BUILD/kdepim-3.5.10/kitchensync/</name>
    <path>/home/services/builder/rpm/BUILD/kdepim-3.5.10/kitchensync/</path>
    <filename>dir_000000.html</filename>
    <dir>/home/services/builder/rpm/BUILD/kdepim-3.5.10/kitchensync/libqopensync/</dir>
    <dir>/home/services/builder/rpm/BUILD/kdepim-3.5.10/kitchensync/opensyncdbus/</dir>
    <dir>/home/services/builder/rpm/BUILD/kdepim-3.5.10/kitchensync/src/</dir>
  </compound>
  <compound kind="dir">
    <name>/home/services/builder/rpm/BUILD/kdepim-3.5.10/kitchensync/libqopensync/</name>
    <path>/home/services/builder/rpm/BUILD/kdepim-3.5.10/kitchensync/libqopensync/</path>
    <filename>dir_000002.html</filename>
    <file>callbackhandler.cpp</file>
    <file>callbackhandler.h</file>
    <file>conversion.cpp</file>
    <file>conversion.h</file>
    <file>engine.cpp</file>
    <file>engine.h</file>
    <file>environment.cpp</file>
    <file>environment.h</file>
    <file>filter.cpp</file>
    <file>filter.h</file>
    <file>group.cpp</file>
    <file>group.h</file>
    <file>member.cpp</file>
    <file>member.h</file>
    <file>plugin.cpp</file>
    <file>plugin.h</file>
    <file>result.cpp</file>
    <file>result.h</file>
    <file>syncchange.cpp</file>
    <file>syncchange.h</file>
    <file>syncmapping.cpp</file>
    <file>syncmapping.h</file>
    <file>syncupdates.cpp</file>
    <file>syncupdates.h</file>
  </compound>
  <compound kind="dir">
    <name>/home/services/builder/rpm/BUILD/kdepim-3.5.10/kitchensync/opensyncdbus/</name>
    <path>/home/services/builder/rpm/BUILD/kdepim-3.5.10/kitchensync/opensyncdbus/</path>
    <filename>dir_000003.html</filename>
    <file>dbusclient.cpp</file>
    <file>dbusclient.h</file>
  </compound>
  <compound kind="dir">
    <name>/home/services/builder/rpm/BUILD/kdepim-3.5.10/kitchensync/src/</name>
    <path>/home/services/builder/rpm/BUILD/kdepim-3.5.10/kitchensync/src/</path>
    <filename>dir_000001.html</filename>
    <file>aboutpage.cpp</file>
    <file>aboutpage.h</file>
    <file>addresseediffalgo.cpp</file>
    <file>addresseediffalgo.h</file>
    <file>calendardiffalgo.cpp</file>
    <file>calendardiffalgo.h</file>
    <file>configgui.cpp</file>
    <file>configgui.h</file>
    <file>configguiblank.cpp</file>
    <file>configguiblank.h</file>
    <file>configguievo2.cpp</file>
    <file>configguievo2.h</file>
    <file>configguifile.cpp</file>
    <file>configguifile.h</file>
    <file>configguigcalendar.cpp</file>
    <file>configguigcalendar.h</file>
    <file>configguignokii.cpp</file>
    <file>configguignokii.h</file>
    <file>configguigpe.cpp</file>
    <file>configguigpe.h</file>
    <file>configguiirmc.cpp</file>
    <file>configguiirmc.h</file>
    <file>configguijescs.cpp</file>
    <file>configguijescs.h</file>
    <file>configguildap.cpp</file>
    <file>configguildap.h</file>
    <file>configguimoto.cpp</file>
    <file>configguimoto.h</file>
    <file>configguiopie.cpp</file>
    <file>configguiopie.h</file>
    <file>configguipalm.cpp</file>
    <file>configguipalm.h</file>
    <file>configguisunbird.cpp</file>
    <file>configguisunbird.h</file>
    <file>configguisynce.cpp</file>
    <file>configguisynce.h</file>
    <file>configguisyncmlhttp.cpp</file>
    <file>configguisyncmlhttp.h</file>
    <file>configguisyncmlobex.cpp</file>
    <file>configguisyncmlobex.h</file>
    <file>conflictdialog.cpp</file>
    <file>conflictdialog.h</file>
    <file>connectionwidgets.cpp</file>
    <file>connectionwidgets.h</file>
    <file>genericdiffalgo.cpp</file>
    <file>genericdiffalgo.h</file>
    <file>groupconfig.cpp</file>
    <file>groupconfig.h</file>
    <file>groupconfigcommon.cpp</file>
    <file>groupconfigcommon.h</file>
    <file>groupconfigdialog.cpp</file>
    <file>groupconfigdialog.h</file>
    <file>groupitem.cpp</file>
    <file>groupitem.h</file>
    <file>groupview.cpp</file>
    <file>groupview.h</file>
    <file>htmldiffalgodisplay.cpp</file>
    <file>htmldiffalgodisplay.h</file>
    <file>kwidgetlist.cpp</file>
    <file>kwidgetlist.h</file>
    <file>main.cpp</file>
    <file>mainwidget.cpp</file>
    <file>mainwidget.h</file>
    <file>mainwindow.cpp</file>
    <file>mainwindow.h</file>
    <file>memberconfig.cpp</file>
    <file>memberconfig.h</file>
    <file>memberinfo.cpp</file>
    <file>memberinfo.h</file>
    <file>multiconflictdialog.cpp</file>
    <file>multiconflictdialog.h</file>
    <file>part.cpp</file>
    <file>part.h</file>
    <file>pluginpicker.cpp</file>
    <file>pluginpicker.h</file>
    <file>singleconflictdialog.cpp</file>
    <file>singleconflictdialog.h</file>
    <file>syncprocess.cpp</file>
    <file>syncprocess.h</file>
    <file>syncprocessmanager.cpp</file>
    <file>syncprocessmanager.h</file>
  </compound>
  <compound kind="namespace">
    <name>KSync</name>
    <filename>namespaceKSync.html</filename>
    <class kind="class">KSync::AddresseeDiffAlgo</class>
    <class kind="class">KSync::CalendarDiffAlgo</class>
    <class kind="class">KSync::GenericDiffAlgo</class>
    <class kind="class">KSync::HTMLDiffAlgoDisplay</class>
  </compound>
  <compound kind="class">
    <name>KSync::AddresseeDiffAlgo</name>
    <filename>classKSync_1_1AddresseeDiffAlgo.html</filename>
    <member kind="function">
      <type></type>
      <name>AddresseeDiffAlgo</name>
      <anchorfile>classKSync_1_1AddresseeDiffAlgo.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(const KABC::Addressee &amp;leftAddressee, const KABC::Addressee &amp;rightAddressee)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>AddresseeDiffAlgo</name>
      <anchorfile>classKSync_1_1AddresseeDiffAlgo.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>(const QString &amp;leftAddressee, const QString &amp;rightAddressee)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>run</name>
      <anchorfile>classKSync_1_1AddresseeDiffAlgo.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KSync::CalendarDiffAlgo</name>
    <filename>classKSync_1_1CalendarDiffAlgo.html</filename>
    <member kind="function">
      <type></type>
      <name>CalendarDiffAlgo</name>
      <anchorfile>classKSync_1_1CalendarDiffAlgo.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(KCal::Incidence *leftIncidence, KCal::Incidence *rightIncidence)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>run</name>
      <anchorfile>classKSync_1_1CalendarDiffAlgo.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KSync::GenericDiffAlgo</name>
    <filename>classKSync_1_1GenericDiffAlgo.html</filename>
    <member kind="function">
      <type></type>
      <name>GenericDiffAlgo</name>
      <anchorfile>classKSync_1_1GenericDiffAlgo.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(const QString &amp;left, const QString &amp;right)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>run</name>
      <anchorfile>classKSync_1_1GenericDiffAlgo.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KSync::HTMLDiffAlgoDisplay</name>
    <filename>classKSync_1_1HTMLDiffAlgoDisplay.html</filename>
    <member kind="function">
      <type></type>
      <name>HTMLDiffAlgoDisplay</name>
      <anchorfile>classKSync_1_1HTMLDiffAlgoDisplay.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(QWidget *parent)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>begin</name>
      <anchorfile>classKSync_1_1HTMLDiffAlgoDisplay.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>end</name>
      <anchorfile>classKSync_1_1HTMLDiffAlgoDisplay.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setLeftSourceTitle</name>
      <anchorfile>classKSync_1_1HTMLDiffAlgoDisplay.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>(const QString &amp;title)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setRightSourceTitle</name>
      <anchorfile>classKSync_1_1HTMLDiffAlgoDisplay.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>(const QString &amp;title)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>additionalLeftField</name>
      <anchorfile>classKSync_1_1HTMLDiffAlgoDisplay.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>(const QString &amp;id, const QString &amp;value)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>additionalRightField</name>
      <anchorfile>classKSync_1_1HTMLDiffAlgoDisplay.html</anchorfile>
      <anchor>a6</anchor>
      <arglist>(const QString &amp;id, const QString &amp;value)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>conflictField</name>
      <anchorfile>classKSync_1_1HTMLDiffAlgoDisplay.html</anchorfile>
      <anchor>a7</anchor>
      <arglist>(const QString &amp;id, const QString &amp;leftValue, const QString &amp;rightValue)</arglist>
    </member>
  </compound>
  <compound kind="namespace">
    <name>QSync</name>
    <filename>namespaceQSync.html</filename>
    <class kind="class">QSync::CallbackHandler</class>
    <class kind="class">QSync::Conversion</class>
    <class kind="class">QSync::Engine</class>
    <class kind="class">QSync::Environment</class>
    <class kind="class">QSync::Filter</class>
    <class kind="class">QSync::GroupConfig</class>
    <class kind="class">QSync::Group</class>
    <class kind="class">QSync::Member</class>
    <class kind="class">QSync::Plugin</class>
    <class kind="class">QSync::Result</class>
    <class kind="class">QSync::SyncChange</class>
    <class kind="class">QSync::SyncMapping</class>
    <class kind="class">QSync::SyncMemberUpdate</class>
    <class kind="class">QSync::SyncChangeUpdate</class>
    <class kind="class">QSync::SyncMappingUpdate</class>
    <class kind="class">QSync::SyncEngineUpdate</class>
  </compound>
  <compound kind="class">
    <name>QSync::CallbackHandler</name>
    <filename>classQSync_1_1CallbackHandler.html</filename>
    <member kind="signal">
      <type>void</type>
      <name>conflict</name>
      <anchorfile>classQSync_1_1CallbackHandler.html</anchorfile>
      <anchor>l0</anchor>
      <arglist>(QSync::SyncMapping mapping)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>change</name>
      <anchorfile>classQSync_1_1CallbackHandler.html</anchorfile>
      <anchor>l1</anchor>
      <arglist>(const QSync::SyncChangeUpdate &amp;update)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>mapping</name>
      <anchorfile>classQSync_1_1CallbackHandler.html</anchorfile>
      <anchor>l2</anchor>
      <arglist>(const QSync::SyncMappingUpdate &amp;update)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>engine</name>
      <anchorfile>classQSync_1_1CallbackHandler.html</anchorfile>
      <anchor>l3</anchor>
      <arglist>(const QSync::SyncEngineUpdate &amp;update)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>member</name>
      <anchorfile>classQSync_1_1CallbackHandler.html</anchorfile>
      <anchor>l4</anchor>
      <arglist>(const QSync::SyncMemberUpdate &amp;update)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setEngine</name>
      <anchorfile>classQSync_1_1CallbackHandler.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>(Engine *engine)</arglist>
    </member>
    <member kind="function">
      <type>Engine *</type>
      <name>engine</name>
      <anchorfile>classQSync_1_1CallbackHandler.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>customEvent</name>
      <anchorfile>classQSync_1_1CallbackHandler.html</anchorfile>
      <anchor>b0</anchor>
      <arglist>(QCustomEvent *event)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>QSync::Conversion</name>
    <filename>classQSync_1_1Conversion.html</filename>
    <member kind="function">
      <type></type>
      <name>Conversion</name>
      <anchorfile>classQSync_1_1Conversion.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~Conversion</name>
      <anchorfile>classQSync_1_1Conversion.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isValid</name>
      <anchorfile>classQSync_1_1Conversion.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QStringList</type>
      <name>objectTypes</name>
      <anchorfile>classQSync_1_1Conversion.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>Environment</name>
      <anchorfile>classQSync_1_1Conversion.html</anchorfile>
      <anchor>n0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>QSync::Engine</name>
    <filename>classQSync_1_1Engine.html</filename>
    <member kind="function">
      <type></type>
      <name>Engine</name>
      <anchorfile>classQSync_1_1Engine.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(const Group &amp;group)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~Engine</name>
      <anchorfile>classQSync_1_1Engine.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>Result</type>
      <name>initialize</name>
      <anchorfile>classQSync_1_1Engine.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>finalize</name>
      <anchorfile>classQSync_1_1Engine.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>Result</type>
      <name>synchronize</name>
      <anchorfile>classQSync_1_1Engine.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>abort</name>
      <anchorfile>classQSync_1_1Engine.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>CallbackHandler</name>
      <anchorfile>classQSync_1_1Engine.html</anchorfile>
      <anchor>n0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>QSync::Environment</name>
    <filename>classQSync_1_1Environment.html</filename>
    <member kind="function">
      <type></type>
      <name>Environment</name>
      <anchorfile>classQSync_1_1Environment.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~Environment</name>
      <anchorfile>classQSync_1_1Environment.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>GroupIterator</type>
      <name>groupBegin</name>
      <anchorfile>classQSync_1_1Environment.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>GroupIterator</type>
      <name>groupEnd</name>
      <anchorfile>classQSync_1_1Environment.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>PluginIterator</type>
      <name>pluginBegin</name>
      <anchorfile>classQSync_1_1Environment.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>PluginIterator</type>
      <name>pluginEnd</name>
      <anchorfile>classQSync_1_1Environment.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>Result</type>
      <name>initialize</name>
      <anchorfile>classQSync_1_1Environment.html</anchorfile>
      <anchor>a6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>Result</type>
      <name>finalize</name>
      <anchorfile>classQSync_1_1Environment.html</anchorfile>
      <anchor>a7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>groupCount</name>
      <anchorfile>classQSync_1_1Environment.html</anchorfile>
      <anchor>a8</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>Group</type>
      <name>groupAt</name>
      <anchorfile>classQSync_1_1Environment.html</anchorfile>
      <anchor>a9</anchor>
      <arglist>(int pos) const </arglist>
    </member>
    <member kind="function">
      <type>Group</type>
      <name>groupByName</name>
      <anchorfile>classQSync_1_1Environment.html</anchorfile>
      <anchor>a10</anchor>
      <arglist>(const QString &amp;name) const </arglist>
    </member>
    <member kind="function">
      <type>Group</type>
      <name>addGroup</name>
      <anchorfile>classQSync_1_1Environment.html</anchorfile>
      <anchor>a11</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>Result</type>
      <name>removeGroup</name>
      <anchorfile>classQSync_1_1Environment.html</anchorfile>
      <anchor>a12</anchor>
      <arglist>(const Group &amp;group)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>pluginCount</name>
      <anchorfile>classQSync_1_1Environment.html</anchorfile>
      <anchor>a13</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>Plugin</type>
      <name>pluginAt</name>
      <anchorfile>classQSync_1_1Environment.html</anchorfile>
      <anchor>a14</anchor>
      <arglist>(int pos) const </arglist>
    </member>
    <member kind="function">
      <type>Plugin</type>
      <name>pluginByName</name>
      <anchorfile>classQSync_1_1Environment.html</anchorfile>
      <anchor>a15</anchor>
      <arglist>(const QString &amp;name) const </arglist>
    </member>
    <member kind="function">
      <type>Conversion</type>
      <name>conversion</name>
      <anchorfile>classQSync_1_1Environment.html</anchorfile>
      <anchor>a16</anchor>
      <arglist>() const </arglist>
    </member>
    <class kind="class">QSync::Environment::GroupIterator</class>
    <class kind="class">QSync::Environment::PluginIterator</class>
  </compound>
  <compound kind="class">
    <name>QSync::Environment::GroupIterator</name>
    <filename>classQSync_1_1Environment_1_1GroupIterator.html</filename>
    <member kind="function">
      <type></type>
      <name>GroupIterator</name>
      <anchorfile>classQSync_1_1Environment_1_1GroupIterator.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(Environment *environment)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>GroupIterator</name>
      <anchorfile>classQSync_1_1Environment_1_1GroupIterator.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>(const GroupIterator &amp;it)</arglist>
    </member>
    <member kind="function">
      <type>Group</type>
      <name>operator *</name>
      <anchorfile>classQSync_1_1Environment_1_1GroupIterator.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>GroupIterator &amp;</type>
      <name>operator++</name>
      <anchorfile>classQSync_1_1Environment_1_1GroupIterator.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>GroupIterator &amp;</type>
      <name>operator++</name>
      <anchorfile>classQSync_1_1Environment_1_1GroupIterator.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>(int)</arglist>
    </member>
    <member kind="function">
      <type>GroupIterator &amp;</type>
      <name>operator--</name>
      <anchorfile>classQSync_1_1Environment_1_1GroupIterator.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>GroupIterator &amp;</type>
      <name>operator--</name>
      <anchorfile>classQSync_1_1Environment_1_1GroupIterator.html</anchorfile>
      <anchor>a6</anchor>
      <arglist>(int)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>operator==</name>
      <anchorfile>classQSync_1_1Environment_1_1GroupIterator.html</anchorfile>
      <anchor>a7</anchor>
      <arglist>(const GroupIterator &amp;it)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>operator!=</name>
      <anchorfile>classQSync_1_1Environment_1_1GroupIterator.html</anchorfile>
      <anchor>a8</anchor>
      <arglist>(const GroupIterator &amp;it)</arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>Environment</name>
      <anchorfile>classQSync_1_1Environment_1_1GroupIterator.html</anchorfile>
      <anchor>n0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>QSync::Environment::PluginIterator</name>
    <filename>classQSync_1_1Environment_1_1PluginIterator.html</filename>
    <member kind="function">
      <type></type>
      <name>PluginIterator</name>
      <anchorfile>classQSync_1_1Environment_1_1PluginIterator.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(Environment *environment)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>PluginIterator</name>
      <anchorfile>classQSync_1_1Environment_1_1PluginIterator.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>(const PluginIterator &amp;it)</arglist>
    </member>
    <member kind="function">
      <type>Plugin</type>
      <name>operator *</name>
      <anchorfile>classQSync_1_1Environment_1_1PluginIterator.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>PluginIterator &amp;</type>
      <name>operator++</name>
      <anchorfile>classQSync_1_1Environment_1_1PluginIterator.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>PluginIterator &amp;</type>
      <name>operator++</name>
      <anchorfile>classQSync_1_1Environment_1_1PluginIterator.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>(int)</arglist>
    </member>
    <member kind="function">
      <type>PluginIterator &amp;</type>
      <name>operator--</name>
      <anchorfile>classQSync_1_1Environment_1_1PluginIterator.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>PluginIterator &amp;</type>
      <name>operator--</name>
      <anchorfile>classQSync_1_1Environment_1_1PluginIterator.html</anchorfile>
      <anchor>a6</anchor>
      <arglist>(int)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>operator==</name>
      <anchorfile>classQSync_1_1Environment_1_1PluginIterator.html</anchorfile>
      <anchor>a7</anchor>
      <arglist>(const PluginIterator &amp;it)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>operator!=</name>
      <anchorfile>classQSync_1_1Environment_1_1PluginIterator.html</anchorfile>
      <anchor>a8</anchor>
      <arglist>(const PluginIterator &amp;it)</arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>Environment</name>
      <anchorfile>classQSync_1_1Environment_1_1PluginIterator.html</anchorfile>
      <anchor>n0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>QSync::Filter</name>
    <filename>classQSync_1_1Filter.html</filename>
    <member kind="function">
      <type></type>
      <name>Filter</name>
      <anchorfile>classQSync_1_1Filter.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~Filter</name>
      <anchorfile>classQSync_1_1Filter.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isValid</name>
      <anchorfile>classQSync_1_1Filter.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setConfiguration</name>
      <anchorfile>classQSync_1_1Filter.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>(const QString &amp;configuration)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>configuration</name>
      <anchorfile>classQSync_1_1Filter.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>operator==</name>
      <anchorfile>classQSync_1_1Filter.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>(const Filter &amp;filter) const </arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>Group</name>
      <anchorfile>classQSync_1_1Filter.html</anchorfile>
      <anchor>n0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>QSync::GroupConfig</name>
    <filename>classQSync_1_1GroupConfig.html</filename>
    <member kind="function">
      <type></type>
      <name>GroupConfig</name>
      <anchorfile>classQSync_1_1GroupConfig.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QStringList</type>
      <name>activeObjectTypes</name>
      <anchorfile>classQSync_1_1GroupConfig.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setActiveObjectTypes</name>
      <anchorfile>classQSync_1_1GroupConfig.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>(const QStringList &amp;objectTypes)</arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>Group</name>
      <anchorfile>classQSync_1_1GroupConfig.html</anchorfile>
      <anchor>n0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>QSync::Group</name>
    <filename>classQSync_1_1Group.html</filename>
    <member kind="enumeration">
      <name>LockType</name>
      <anchor>w3</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Group</name>
      <anchorfile>classQSync_1_1Group.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~Group</name>
      <anchorfile>classQSync_1_1Group.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isValid</name>
      <anchorfile>classQSync_1_1Group.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>Iterator</type>
      <name>begin</name>
      <anchorfile>classQSync_1_1Group.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>Iterator</type>
      <name>end</name>
      <anchorfile>classQSync_1_1Group.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setName</name>
      <anchorfile>classQSync_1_1Group.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>(const QString &amp;name)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>name</name>
      <anchorfile>classQSync_1_1Group.html</anchorfile>
      <anchor>a6</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setLastSynchronization</name>
      <anchorfile>classQSync_1_1Group.html</anchorfile>
      <anchor>a7</anchor>
      <arglist>(const QDateTime &amp;dateTime)</arglist>
    </member>
    <member kind="function">
      <type>QDateTime</type>
      <name>lastSynchronization</name>
      <anchorfile>classQSync_1_1Group.html</anchorfile>
      <anchor>a8</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>LockType</type>
      <name>lock</name>
      <anchorfile>classQSync_1_1Group.html</anchorfile>
      <anchor>a9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>unlock</name>
      <anchorfile>classQSync_1_1Group.html</anchorfile>
      <anchor>a10</anchor>
      <arglist>(bool removeFile=true)</arglist>
    </member>
    <member kind="function">
      <type>Member</type>
      <name>addMember</name>
      <anchorfile>classQSync_1_1Group.html</anchorfile>
      <anchor>a11</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>removeMember</name>
      <anchorfile>classQSync_1_1Group.html</anchorfile>
      <anchor>a12</anchor>
      <arglist>(const Member &amp;member)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>memberCount</name>
      <anchorfile>classQSync_1_1Group.html</anchorfile>
      <anchor>a13</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>Member</type>
      <name>memberAt</name>
      <anchorfile>classQSync_1_1Group.html</anchorfile>
      <anchor>a14</anchor>
      <arglist>(int pos) const </arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>filterCount</name>
      <anchorfile>classQSync_1_1Group.html</anchorfile>
      <anchor>a15</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>Filter</type>
      <name>filterAt</name>
      <anchorfile>classQSync_1_1Group.html</anchorfile>
      <anchor>a16</anchor>
      <arglist>(int pos)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setObjectTypeEnabled</name>
      <anchorfile>classQSync_1_1Group.html</anchorfile>
      <anchor>a17</anchor>
      <arglist>(const QString &amp;objectType, bool enabled)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isObjectTypeEnabled</name>
      <anchorfile>classQSync_1_1Group.html</anchorfile>
      <anchor>a18</anchor>
      <arglist>(const QString &amp;objectType) const </arglist>
    </member>
    <member kind="function">
      <type>Result</type>
      <name>save</name>
      <anchorfile>classQSync_1_1Group.html</anchorfile>
      <anchor>a19</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>GroupConfig</type>
      <name>config</name>
      <anchorfile>classQSync_1_1Group.html</anchorfile>
      <anchor>a20</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>operator==</name>
      <anchorfile>classQSync_1_1Group.html</anchorfile>
      <anchor>a21</anchor>
      <arglist>(const Group &amp;group) const </arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>Engine</name>
      <anchorfile>classQSync_1_1Group.html</anchorfile>
      <anchor>n0</anchor>
      <arglist></arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>Environment</name>
      <anchorfile>classQSync_1_1Group.html</anchorfile>
      <anchor>n1</anchor>
      <arglist></arglist>
    </member>
    <class kind="class">QSync::Group::Iterator</class>
  </compound>
  <compound kind="class">
    <name>QSync::Group::Iterator</name>
    <filename>classQSync_1_1Group_1_1Iterator.html</filename>
    <member kind="function">
      <type></type>
      <name>Iterator</name>
      <anchorfile>classQSync_1_1Group_1_1Iterator.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(Group *group)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Iterator</name>
      <anchorfile>classQSync_1_1Group_1_1Iterator.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>(const Iterator &amp;it)</arglist>
    </member>
    <member kind="function">
      <type>Member</type>
      <name>operator *</name>
      <anchorfile>classQSync_1_1Group_1_1Iterator.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>Iterator &amp;</type>
      <name>operator++</name>
      <anchorfile>classQSync_1_1Group_1_1Iterator.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>Iterator &amp;</type>
      <name>operator++</name>
      <anchorfile>classQSync_1_1Group_1_1Iterator.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>(int)</arglist>
    </member>
    <member kind="function">
      <type>Iterator &amp;</type>
      <name>operator--</name>
      <anchorfile>classQSync_1_1Group_1_1Iterator.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>Iterator &amp;</type>
      <name>operator--</name>
      <anchorfile>classQSync_1_1Group_1_1Iterator.html</anchorfile>
      <anchor>a6</anchor>
      <arglist>(int)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>operator==</name>
      <anchorfile>classQSync_1_1Group_1_1Iterator.html</anchorfile>
      <anchor>a7</anchor>
      <arglist>(const Iterator &amp;it)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>operator!=</name>
      <anchorfile>classQSync_1_1Group_1_1Iterator.html</anchorfile>
      <anchor>a8</anchor>
      <arglist>(const Iterator &amp;it)</arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>Group</name>
      <anchorfile>classQSync_1_1Group_1_1Iterator.html</anchorfile>
      <anchor>n0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>QSync::Member</name>
    <filename>classQSync_1_1Member.html</filename>
    <member kind="function">
      <type></type>
      <name>Member</name>
      <anchorfile>classQSync_1_1Member.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~Member</name>
      <anchorfile>classQSync_1_1Member.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isValid</name>
      <anchorfile>classQSync_1_1Member.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>configurationDirectory</name>
      <anchorfile>classQSync_1_1Member.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>pluginName</name>
      <anchorfile>classQSync_1_1Member.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>Plugin</type>
      <name>plugin</name>
      <anchorfile>classQSync_1_1Member.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>id</name>
      <anchorfile>classQSync_1_1Member.html</anchorfile>
      <anchor>a6</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setName</name>
      <anchorfile>classQSync_1_1Member.html</anchorfile>
      <anchor>a7</anchor>
      <arglist>(const QString &amp;name)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>name</name>
      <anchorfile>classQSync_1_1Member.html</anchorfile>
      <anchor>a8</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setConfiguration</name>
      <anchorfile>classQSync_1_1Member.html</anchorfile>
      <anchor>a9</anchor>
      <arglist>(const QByteArray &amp;configurationData)</arglist>
    </member>
    <member kind="function">
      <type>Result</type>
      <name>configuration</name>
      <anchorfile>classQSync_1_1Member.html</anchorfile>
      <anchor>a10</anchor>
      <arglist>(QByteArray &amp;configurationData, bool useDefault=true)</arglist>
    </member>
    <member kind="function">
      <type>Result</type>
      <name>save</name>
      <anchorfile>classQSync_1_1Member.html</anchorfile>
      <anchor>a11</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>Result</type>
      <name>instance</name>
      <anchorfile>classQSync_1_1Member.html</anchorfile>
      <anchor>a12</anchor>
      <arglist>(const Plugin &amp;)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>operator==</name>
      <anchorfile>classQSync_1_1Member.html</anchorfile>
      <anchor>a13</anchor>
      <arglist>(const Member &amp;) const </arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>scanDevices</name>
      <anchorfile>classQSync_1_1Member.html</anchorfile>
      <anchor>a14</anchor>
      <arglist>(const QString &amp;query)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>testConnection</name>
      <anchorfile>classQSync_1_1Member.html</anchorfile>
      <anchor>a15</anchor>
      <arglist>(const QString &amp;configuration)</arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>Group</name>
      <anchorfile>classQSync_1_1Member.html</anchorfile>
      <anchor>n0</anchor>
      <arglist></arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>SyncChange</name>
      <anchorfile>classQSync_1_1Member.html</anchorfile>
      <anchor>n1</anchor>
      <arglist></arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>SyncMemberUpdate</name>
      <anchorfile>classQSync_1_1Member.html</anchorfile>
      <anchor>n2</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>QSync::Plugin</name>
    <filename>classQSync_1_1Plugin.html</filename>
    <member kind="function">
      <type></type>
      <name>Plugin</name>
      <anchorfile>classQSync_1_1Plugin.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~Plugin</name>
      <anchorfile>classQSync_1_1Plugin.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isValid</name>
      <anchorfile>classQSync_1_1Plugin.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>name</name>
      <anchorfile>classQSync_1_1Plugin.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>longName</name>
      <anchorfile>classQSync_1_1Plugin.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>description</name>
      <anchorfile>classQSync_1_1Plugin.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>Environment</name>
      <anchorfile>classQSync_1_1Plugin.html</anchorfile>
      <anchor>n0</anchor>
      <arglist></arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>Member</name>
      <anchorfile>classQSync_1_1Plugin.html</anchorfile>
      <anchor>n1</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>QSync::Result</name>
    <filename>classQSync_1_1Result.html</filename>
    <member kind="enumeration">
      <name>Type</name>
      <anchor>w17</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Result</name>
      <anchorfile>classQSync_1_1Result.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Result</name>
      <anchorfile>classQSync_1_1Result.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>(Type type)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Result</name>
      <anchorfile>classQSync_1_1Result.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>(OSyncError **, bool deleteError=true)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~Result</name>
      <anchorfile>classQSync_1_1Result.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setName</name>
      <anchorfile>classQSync_1_1Result.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>(const QString &amp;name)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>name</name>
      <anchorfile>classQSync_1_1Result.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setMessage</name>
      <anchorfile>classQSync_1_1Result.html</anchorfile>
      <anchor>a6</anchor>
      <arglist>(const QString &amp;message)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>message</name>
      <anchorfile>classQSync_1_1Result.html</anchorfile>
      <anchor>a7</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setType</name>
      <anchorfile>classQSync_1_1Result.html</anchorfile>
      <anchor>a8</anchor>
      <arglist>(Type type)</arglist>
    </member>
    <member kind="function">
      <type>Type</type>
      <name>type</name>
      <anchorfile>classQSync_1_1Result.html</anchorfile>
      <anchor>a9</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>operator bool</name>
      <anchorfile>classQSync_1_1Result.html</anchorfile>
      <anchor>a10</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isError</name>
      <anchorfile>classQSync_1_1Result.html</anchorfile>
      <anchor>a11</anchor>
      <arglist>() const </arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>QSync::SyncChange</name>
    <filename>classQSync_1_1SyncChange.html</filename>
    <member kind="enumeration">
      <name>Type</name>
      <anchor>w5</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>SyncChange</name>
      <anchorfile>classQSync_1_1SyncChange.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>SyncChange</name>
      <anchorfile>classQSync_1_1SyncChange.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>(OSyncChange *)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~SyncChange</name>
      <anchorfile>classQSync_1_1SyncChange.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isValid</name>
      <anchorfile>classQSync_1_1SyncChange.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setUid</name>
      <anchorfile>classQSync_1_1SyncChange.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>(const QString &amp;uid)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>uid</name>
      <anchorfile>classQSync_1_1SyncChange.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setHash</name>
      <anchorfile>classQSync_1_1SyncChange.html</anchorfile>
      <anchor>a6</anchor>
      <arglist>(const QString &amp;hash)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>hash</name>
      <anchorfile>classQSync_1_1SyncChange.html</anchorfile>
      <anchor>a7</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setData</name>
      <anchorfile>classQSync_1_1SyncChange.html</anchorfile>
      <anchor>a8</anchor>
      <arglist>(const QString &amp;data)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>data</name>
      <anchorfile>classQSync_1_1SyncChange.html</anchorfile>
      <anchor>a9</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>hasData</name>
      <anchorfile>classQSync_1_1SyncChange.html</anchorfile>
      <anchor>a10</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>objectFormatName</name>
      <anchorfile>classQSync_1_1SyncChange.html</anchorfile>
      <anchor>a11</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>Member</type>
      <name>member</name>
      <anchorfile>classQSync_1_1SyncChange.html</anchorfile>
      <anchor>a12</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setChangeType</name>
      <anchorfile>classQSync_1_1SyncChange.html</anchorfile>
      <anchor>a13</anchor>
      <arglist>(Type changeType)</arglist>
    </member>
    <member kind="function">
      <type>Type</type>
      <name>changeType</name>
      <anchorfile>classQSync_1_1SyncChange.html</anchorfile>
      <anchor>a14</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>SyncMapping</name>
      <anchorfile>classQSync_1_1SyncChange.html</anchorfile>
      <anchor>n0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>QSync::SyncMapping</name>
    <filename>classQSync_1_1SyncMapping.html</filename>
    <member kind="function">
      <type></type>
      <name>SyncMapping</name>
      <anchorfile>classQSync_1_1SyncMapping.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>SyncMapping</name>
      <anchorfile>classQSync_1_1SyncMapping.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>(OSyncMapping *, OSyncEngine *)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~SyncMapping</name>
      <anchorfile>classQSync_1_1SyncMapping.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isValid</name>
      <anchorfile>classQSync_1_1SyncMapping.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>long long</type>
      <name>id</name>
      <anchorfile>classQSync_1_1SyncMapping.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>duplicate</name>
      <anchorfile>classQSync_1_1SyncMapping.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>solve</name>
      <anchorfile>classQSync_1_1SyncMapping.html</anchorfile>
      <anchor>a6</anchor>
      <arglist>(const SyncChange &amp;change)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>ignore</name>
      <anchorfile>classQSync_1_1SyncMapping.html</anchorfile>
      <anchor>a7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>changesCount</name>
      <anchorfile>classQSync_1_1SyncMapping.html</anchorfile>
      <anchor>a8</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>SyncChange</type>
      <name>changeAt</name>
      <anchorfile>classQSync_1_1SyncMapping.html</anchorfile>
      <anchor>a9</anchor>
      <arglist>(int pos)</arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>SyncMappingUpdate</name>
      <anchorfile>classQSync_1_1SyncMapping.html</anchorfile>
      <anchor>n0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>QSync::SyncMemberUpdate</name>
    <filename>classQSync_1_1SyncMemberUpdate.html</filename>
    <member kind="enumeration">
      <name>Type</name>
      <anchor>w9</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>SyncMemberUpdate</name>
      <anchorfile>classQSync_1_1SyncMemberUpdate.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>SyncMemberUpdate</name>
      <anchorfile>classQSync_1_1SyncMemberUpdate.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>(OSyncMemberUpdate *)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~SyncMemberUpdate</name>
      <anchorfile>classQSync_1_1SyncMemberUpdate.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>Type</type>
      <name>type</name>
      <anchorfile>classQSync_1_1SyncMemberUpdate.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>Result</type>
      <name>result</name>
      <anchorfile>classQSync_1_1SyncMemberUpdate.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>Member</type>
      <name>member</name>
      <anchorfile>classQSync_1_1SyncMemberUpdate.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>CallbackHandler</name>
      <anchorfile>classQSync_1_1SyncMemberUpdate.html</anchorfile>
      <anchor>n0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>QSync::SyncChangeUpdate</name>
    <filename>classQSync_1_1SyncChangeUpdate.html</filename>
    <member kind="enumeration">
      <name>Type</name>
      <anchor>w5</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>SyncChangeUpdate</name>
      <anchorfile>classQSync_1_1SyncChangeUpdate.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>SyncChangeUpdate</name>
      <anchorfile>classQSync_1_1SyncChangeUpdate.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>(OSyncChangeUpdate *)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~SyncChangeUpdate</name>
      <anchorfile>classQSync_1_1SyncChangeUpdate.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>Type</type>
      <name>type</name>
      <anchorfile>classQSync_1_1SyncChangeUpdate.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>Result</type>
      <name>result</name>
      <anchorfile>classQSync_1_1SyncChangeUpdate.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>SyncChange</type>
      <name>change</name>
      <anchorfile>classQSync_1_1SyncChangeUpdate.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>memberId</name>
      <anchorfile>classQSync_1_1SyncChangeUpdate.html</anchorfile>
      <anchor>a6</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>mappingId</name>
      <anchorfile>classQSync_1_1SyncChangeUpdate.html</anchorfile>
      <anchor>a7</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>CallbackHandler</name>
      <anchorfile>classQSync_1_1SyncChangeUpdate.html</anchorfile>
      <anchor>n0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>QSync::SyncMappingUpdate</name>
    <filename>classQSync_1_1SyncMappingUpdate.html</filename>
    <member kind="enumeration">
      <name>Type</name>
      <anchor>w3</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>SyncMappingUpdate</name>
      <anchorfile>classQSync_1_1SyncMappingUpdate.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>SyncMappingUpdate</name>
      <anchorfile>classQSync_1_1SyncMappingUpdate.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>(OSyncMappingUpdate *, OSyncEngine *)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~SyncMappingUpdate</name>
      <anchorfile>classQSync_1_1SyncMappingUpdate.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>Type</type>
      <name>type</name>
      <anchorfile>classQSync_1_1SyncMappingUpdate.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>Result</type>
      <name>result</name>
      <anchorfile>classQSync_1_1SyncMappingUpdate.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>long long int</type>
      <name>winner</name>
      <anchorfile>classQSync_1_1SyncMappingUpdate.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>SyncMapping</type>
      <name>mapping</name>
      <anchorfile>classQSync_1_1SyncMappingUpdate.html</anchorfile>
      <anchor>a6</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>CallbackHandler</name>
      <anchorfile>classQSync_1_1SyncMappingUpdate.html</anchorfile>
      <anchor>n0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>QSync::SyncEngineUpdate</name>
    <filename>classQSync_1_1SyncEngineUpdate.html</filename>
    <member kind="enumeration">
      <name>Type</name>
      <anchor>w8</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>SyncEngineUpdate</name>
      <anchorfile>classQSync_1_1SyncEngineUpdate.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>SyncEngineUpdate</name>
      <anchorfile>classQSync_1_1SyncEngineUpdate.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>(OSyncEngineUpdate *)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~SyncEngineUpdate</name>
      <anchorfile>classQSync_1_1SyncEngineUpdate.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>Type</type>
      <name>type</name>
      <anchorfile>classQSync_1_1SyncEngineUpdate.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>Result</type>
      <name>result</name>
      <anchorfile>classQSync_1_1SyncEngineUpdate.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>CallbackHandler</name>
      <anchorfile>classQSync_1_1SyncEngineUpdate.html</anchorfile>
      <anchor>n0</anchor>
      <arglist></arglist>
    </member>
  </compound>
</tagfile>
