<?xml version='1.0' encoding='ISO-8859-1' standalone='yes' ?>
<tagfile>
  <compound kind="class">
    <name>Application</name>
    <filename>classApplication.html</filename>
    <member kind="function">
      <type></type>
      <name>Application</name>
      <anchorfile>classApplication.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~Application</name>
      <anchorfile>classApplication.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>newInstance</name>
      <anchorfile>classApplication.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KNote</name>
    <filename>classKNote.html</filename>
    <member kind="slot">
      <type>void</type>
      <name>slotKill</name>
      <anchorfile>classKNote.html</anchorfile>
      <anchor>i0</anchor>
      <arglist>(bool force=false)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>sigRequestNewNote</name>
      <anchorfile>classKNote.html</anchorfile>
      <anchor>l0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>sigShowNextNote</name>
      <anchorfile>classKNote.html</anchorfile>
      <anchor>l1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>sigNameChanged</name>
      <anchorfile>classKNote.html</anchorfile>
      <anchor>l2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>sigDataChanged</name>
      <anchorfile>classKNote.html</anchorfile>
      <anchor>l3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>sigColorChanged</name>
      <anchorfile>classKNote.html</anchorfile>
      <anchor>l4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>sigKillNote</name>
      <anchorfile>classKNote.html</anchorfile>
      <anchor>l5</anchor>
      <arglist>(KCal::Journal *)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>sigFindFinished</name>
      <anchorfile>classKNote.html</anchorfile>
      <anchor>l6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KNote</name>
      <anchorfile>classKNote.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(QDomDocument buildDoc, KCal::Journal *journal, QWidget *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~KNote</name>
      <anchorfile>classKNote.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>saveData</name>
      <anchorfile>classKNote.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>saveConfig</name>
      <anchorfile>classKNote.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>noteId</name>
      <anchorfile>classKNote.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>name</name>
      <anchorfile>classKNote.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>text</name>
      <anchorfile>classKNote.html</anchorfile>
      <anchor>a6</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>plainText</name>
      <anchorfile>classKNote.html</anchorfile>
      <anchor>a7</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setName</name>
      <anchorfile>classKNote.html</anchorfile>
      <anchor>a8</anchor>
      <arglist>(const QString &amp;name)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setText</name>
      <anchorfile>classKNote.html</anchorfile>
      <anchor>a9</anchor>
      <arglist>(const QString &amp;text)</arglist>
    </member>
    <member kind="function">
      <type>QColor</type>
      <name>fgColor</name>
      <anchorfile>classKNote.html</anchorfile>
      <anchor>a10</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QColor</type>
      <name>bgColor</name>
      <anchorfile>classKNote.html</anchorfile>
      <anchor>a11</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setColor</name>
      <anchorfile>classKNote.html</anchorfile>
      <anchor>a12</anchor>
      <arglist>(const QColor &amp;fg, const QColor &amp;bg)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>find</name>
      <anchorfile>classKNote.html</anchorfile>
      <anchor>a13</anchor>
      <arglist>(const QString &amp;pattern, long options)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isModified</name>
      <anchorfile>classKNote.html</anchorfile>
      <anchor>a14</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>sync</name>
      <anchorfile>classKNote.html</anchorfile>
      <anchor>a15</anchor>
      <arglist>(const QString &amp;app)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isNew</name>
      <anchorfile>classKNote.html</anchorfile>
      <anchor>a16</anchor>
      <arglist>(const QString &amp;app) const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isModified</name>
      <anchorfile>classKNote.html</anchorfile>
      <anchor>a17</anchor>
      <arglist>(const QString &amp;app) const </arglist>
    </member>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>setStyle</name>
      <anchorfile>classKNote.html</anchorfile>
      <anchor>e0</anchor>
      <arglist>(int style)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>drawFrame</name>
      <anchorfile>classKNote.html</anchorfile>
      <anchor>b0</anchor>
      <arglist>(QPainter *)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>showEvent</name>
      <anchorfile>classKNote.html</anchorfile>
      <anchor>b1</anchor>
      <arglist>(QShowEvent *)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>resizeEvent</name>
      <anchorfile>classKNote.html</anchorfile>
      <anchor>b2</anchor>
      <arglist>(QResizeEvent *)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>closeEvent</name>
      <anchorfile>classKNote.html</anchorfile>
      <anchor>b3</anchor>
      <arglist>(QCloseEvent *)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>dropEvent</name>
      <anchorfile>classKNote.html</anchorfile>
      <anchor>b4</anchor>
      <arglist>(QDropEvent *)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>dragEnterEvent</name>
      <anchorfile>classKNote.html</anchorfile>
      <anchor>b5</anchor>
      <arglist>(QDragEnterEvent *)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual bool</type>
      <name>event</name>
      <anchorfile>classKNote.html</anchorfile>
      <anchor>b6</anchor>
      <arglist>(QEvent *)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual bool</type>
      <name>eventFilter</name>
      <anchorfile>classKNote.html</anchorfile>
      <anchor>b7</anchor>
      <arglist>(QObject *, QEvent *)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual bool</type>
      <name>focusNextPrevChild</name>
      <anchorfile>classKNote.html</anchorfile>
      <anchor>b8</anchor>
      <arglist>(bool)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KNoteAlarmDlg</name>
    <filename>classKNoteAlarmDlg.html</filename>
    <member kind="function">
      <type></type>
      <name>KNoteAlarmDlg</name>
      <anchorfile>classKNoteAlarmDlg.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(const QString &amp;caption, QWidget *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setIncidence</name>
      <anchorfile>classKNoteAlarmDlg.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>(KCal::Journal *journal)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>slotOk</name>
      <anchorfile>classKNoteAlarmDlg.html</anchorfile>
      <anchor>b0</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KNoteButton</name>
    <filename>classKNoteButton.html</filename>
    <member kind="function">
      <type></type>
      <name>KNoteButton</name>
      <anchorfile>classKNoteButton.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(const QString &amp;icon, QWidget *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~KNoteButton</name>
      <anchorfile>classKNoteButton.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QSize</type>
      <name>sizeHint</name>
      <anchorfile>classKNoteButton.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>enterEvent</name>
      <anchorfile>classKNoteButton.html</anchorfile>
      <anchor>b0</anchor>
      <arglist>(QEvent *)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>leaveEvent</name>
      <anchorfile>classKNoteButton.html</anchorfile>
      <anchor>b1</anchor>
      <arglist>(QEvent *)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>drawButton</name>
      <anchorfile>classKNoteButton.html</anchorfile>
      <anchor>b2</anchor>
      <arglist>(QPainter *p)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>drawButtonLabel</name>
      <anchorfile>classKNoteButton.html</anchorfile>
      <anchor>b3</anchor>
      <arglist>(QPainter *p)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KNoteConfig</name>
    <filename>classKNoteConfig.html</filename>
    <member kind="function">
      <type></type>
      <name>KNoteConfig</name>
      <anchorfile>classKNoteConfig.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(KSharedConfig::Ptr config=KGlobal::sharedConfig())</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~KNoteConfig</name>
      <anchorfile>classKNoteConfig.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setBgColor</name>
      <anchorfile>classKNoteConfig.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>(const QColor &amp;v)</arglist>
    </member>
    <member kind="function">
      <type>QColor</type>
      <name>bgColor</name>
      <anchorfile>classKNoteConfig.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setFgColor</name>
      <anchorfile>classKNoteConfig.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>(const QColor &amp;v)</arglist>
    </member>
    <member kind="function">
      <type>QColor</type>
      <name>fgColor</name>
      <anchorfile>classKNoteConfig.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setWidth</name>
      <anchorfile>classKNoteConfig.html</anchorfile>
      <anchor>a6</anchor>
      <arglist>(uint v)</arglist>
    </member>
    <member kind="function">
      <type>uint</type>
      <name>width</name>
      <anchorfile>classKNoteConfig.html</anchorfile>
      <anchor>a7</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setHeight</name>
      <anchorfile>classKNoteConfig.html</anchorfile>
      <anchor>a8</anchor>
      <arglist>(uint v)</arglist>
    </member>
    <member kind="function">
      <type>uint</type>
      <name>height</name>
      <anchorfile>classKNoteConfig.html</anchorfile>
      <anchor>a9</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setFont</name>
      <anchorfile>classKNoteConfig.html</anchorfile>
      <anchor>a10</anchor>
      <arglist>(const QFont &amp;v)</arglist>
    </member>
    <member kind="function">
      <type>QFont</type>
      <name>font</name>
      <anchorfile>classKNoteConfig.html</anchorfile>
      <anchor>a11</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setTitleFont</name>
      <anchorfile>classKNoteConfig.html</anchorfile>
      <anchor>a12</anchor>
      <arglist>(const QFont &amp;v)</arglist>
    </member>
    <member kind="function">
      <type>QFont</type>
      <name>titleFont</name>
      <anchorfile>classKNoteConfig.html</anchorfile>
      <anchor>a13</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setAutoIndent</name>
      <anchorfile>classKNoteConfig.html</anchorfile>
      <anchor>a14</anchor>
      <arglist>(bool v)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>autoIndent</name>
      <anchorfile>classKNoteConfig.html</anchorfile>
      <anchor>a15</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setRichText</name>
      <anchorfile>classKNoteConfig.html</anchorfile>
      <anchor>a16</anchor>
      <arglist>(bool v)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>richText</name>
      <anchorfile>classKNoteConfig.html</anchorfile>
      <anchor>a17</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setTabSize</name>
      <anchorfile>classKNoteConfig.html</anchorfile>
      <anchor>a18</anchor>
      <arglist>(uint v)</arglist>
    </member>
    <member kind="function">
      <type>uint</type>
      <name>tabSize</name>
      <anchorfile>classKNoteConfig.html</anchorfile>
      <anchor>a19</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setReadOnly</name>
      <anchorfile>classKNoteConfig.html</anchorfile>
      <anchor>a20</anchor>
      <arglist>(bool v)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>readOnly</name>
      <anchorfile>classKNoteConfig.html</anchorfile>
      <anchor>a21</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setVersion</name>
      <anchorfile>classKNoteConfig.html</anchorfile>
      <anchor>a22</anchor>
      <arglist>(double v)</arglist>
    </member>
    <member kind="function">
      <type>double</type>
      <name>version</name>
      <anchorfile>classKNoteConfig.html</anchorfile>
      <anchor>a23</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setDesktop</name>
      <anchorfile>classKNoteConfig.html</anchorfile>
      <anchor>a24</anchor>
      <arglist>(int v)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>desktop</name>
      <anchorfile>classKNoteConfig.html</anchorfile>
      <anchor>a25</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setHideNote</name>
      <anchorfile>classKNoteConfig.html</anchorfile>
      <anchor>a26</anchor>
      <arglist>(bool v)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>hideNote</name>
      <anchorfile>classKNoteConfig.html</anchorfile>
      <anchor>a27</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setPosition</name>
      <anchorfile>classKNoteConfig.html</anchorfile>
      <anchor>a28</anchor>
      <arglist>(const QPoint &amp;v)</arglist>
    </member>
    <member kind="function">
      <type>QPoint</type>
      <name>position</name>
      <anchorfile>classKNoteConfig.html</anchorfile>
      <anchor>a29</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setShowInTaskbar</name>
      <anchorfile>classKNoteConfig.html</anchorfile>
      <anchor>a30</anchor>
      <arglist>(bool v)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>showInTaskbar</name>
      <anchorfile>classKNoteConfig.html</anchorfile>
      <anchor>a31</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setKeepAbove</name>
      <anchorfile>classKNoteConfig.html</anchorfile>
      <anchor>a32</anchor>
      <arglist>(bool v)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>keepAbove</name>
      <anchorfile>classKNoteConfig.html</anchorfile>
      <anchor>a33</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setKeepBelow</name>
      <anchorfile>classKNoteConfig.html</anchorfile>
      <anchor>a34</anchor>
      <arglist>(bool v)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>keepBelow</name>
      <anchorfile>classKNoteConfig.html</anchorfile>
      <anchor>a35</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QColor</type>
      <name>mBgColor</name>
      <anchorfile>classKNoteConfig.html</anchorfile>
      <anchor>p0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QColor</type>
      <name>mFgColor</name>
      <anchorfile>classKNoteConfig.html</anchorfile>
      <anchor>p1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>uint</type>
      <name>mWidth</name>
      <anchorfile>classKNoteConfig.html</anchorfile>
      <anchor>p2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>uint</type>
      <name>mHeight</name>
      <anchorfile>classKNoteConfig.html</anchorfile>
      <anchor>p3</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QFont</type>
      <name>mFont</name>
      <anchorfile>classKNoteConfig.html</anchorfile>
      <anchor>p4</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QFont</type>
      <name>mTitleFont</name>
      <anchorfile>classKNoteConfig.html</anchorfile>
      <anchor>p5</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>mAutoIndent</name>
      <anchorfile>classKNoteConfig.html</anchorfile>
      <anchor>p6</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>mRichText</name>
      <anchorfile>classKNoteConfig.html</anchorfile>
      <anchor>p7</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>uint</type>
      <name>mTabSize</name>
      <anchorfile>classKNoteConfig.html</anchorfile>
      <anchor>p8</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>mReadOnly</name>
      <anchorfile>classKNoteConfig.html</anchorfile>
      <anchor>p9</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>double</type>
      <name>mVersion</name>
      <anchorfile>classKNoteConfig.html</anchorfile>
      <anchor>p10</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>int</type>
      <name>mDesktop</name>
      <anchorfile>classKNoteConfig.html</anchorfile>
      <anchor>p11</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>mHideNote</name>
      <anchorfile>classKNoteConfig.html</anchorfile>
      <anchor>p12</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QPoint</type>
      <name>mPosition</name>
      <anchorfile>classKNoteConfig.html</anchorfile>
      <anchor>p13</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>mShowInTaskbar</name>
      <anchorfile>classKNoteConfig.html</anchorfile>
      <anchor>p14</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>mKeepAbove</name>
      <anchorfile>classKNoteConfig.html</anchorfile>
      <anchor>p15</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>mKeepBelow</name>
      <anchorfile>classKNoteConfig.html</anchorfile>
      <anchor>p16</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KNoteConfigDlg</name>
    <filename>classKNoteConfigDlg.html</filename>
    <member kind="slot">
      <type>void</type>
      <name>slotUpdateCaption</name>
      <anchorfile>classKNoteConfigDlg.html</anchorfile>
      <anchor>i0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KNoteConfigDlg</name>
      <anchorfile>classKNoteConfigDlg.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(KNoteConfig *config, const QString &amp;title, QWidget *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~KNoteConfigDlg</name>
      <anchorfile>classKNoteConfigDlg.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>QWidget *</type>
      <name>makeDisplayPage</name>
      <anchorfile>classKNoteConfigDlg.html</anchorfile>
      <anchor>b0</anchor>
      <arglist>(bool)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>QWidget *</type>
      <name>makeEditorPage</name>
      <anchorfile>classKNoteConfigDlg.html</anchorfile>
      <anchor>b1</anchor>
      <arglist>(bool)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>QWidget *</type>
      <name>makeDefaultsPage</name>
      <anchorfile>classKNoteConfigDlg.html</anchorfile>
      <anchor>b2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>QWidget *</type>
      <name>makeActionsPage</name>
      <anchorfile>classKNoteConfigDlg.html</anchorfile>
      <anchor>b3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>QWidget *</type>
      <name>makeNetworkPage</name>
      <anchorfile>classKNoteConfigDlg.html</anchorfile>
      <anchor>b4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>QWidget *</type>
      <name>makeStylePage</name>
      <anchorfile>classKNoteConfigDlg.html</anchorfile>
      <anchor>b5</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KNoteEdit</name>
    <filename>classKNoteEdit.html</filename>
    <member kind="slot" virtualness="virtual">
      <type>virtual void</type>
      <name>setTextFormat</name>
      <anchorfile>classKNoteEdit.html</anchorfile>
      <anchor>i0</anchor>
      <arglist>(TextFormat f)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>textStrikeOut</name>
      <anchorfile>classKNoteEdit.html</anchorfile>
      <anchor>i1</anchor>
      <arglist>(bool)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>textColor</name>
      <anchorfile>classKNoteEdit.html</anchorfile>
      <anchor>i2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>textAlignLeft</name>
      <anchorfile>classKNoteEdit.html</anchorfile>
      <anchor>i3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>textAlignCenter</name>
      <anchorfile>classKNoteEdit.html</anchorfile>
      <anchor>i4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>textAlignRight</name>
      <anchorfile>classKNoteEdit.html</anchorfile>
      <anchor>i5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>textAlignBlock</name>
      <anchorfile>classKNoteEdit.html</anchorfile>
      <anchor>i6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>textList</name>
      <anchorfile>classKNoteEdit.html</anchorfile>
      <anchor>i7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>textSuperScript</name>
      <anchorfile>classKNoteEdit.html</anchorfile>
      <anchor>i8</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>textSubScript</name>
      <anchorfile>classKNoteEdit.html</anchorfile>
      <anchor>i9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KNoteEdit</name>
      <anchorfile>classKNoteEdit.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(KActionCollection *actions, QWidget *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~KNoteEdit</name>
      <anchorfile>classKNoteEdit.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setText</name>
      <anchorfile>classKNoteEdit.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>(const QString &amp;text)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setTextFont</name>
      <anchorfile>classKNoteEdit.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>(const QFont &amp;font)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setTextColor</name>
      <anchorfile>classKNoteEdit.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>(const QColor &amp;color)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setTabStop</name>
      <anchorfile>classKNoteEdit.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>(int tabs)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setAutoIndentMode</name>
      <anchorfile>classKNoteEdit.html</anchorfile>
      <anchor>a6</anchor>
      <arglist>(bool newmode)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>contentsDragEnterEvent</name>
      <anchorfile>classKNoteEdit.html</anchorfile>
      <anchor>b0</anchor>
      <arglist>(QDragEnterEvent *e)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>contentsDropEvent</name>
      <anchorfile>classKNoteEdit.html</anchorfile>
      <anchor>b1</anchor>
      <arglist>(QDropEvent *e)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KNoteHostDlg</name>
    <filename>classKNoteHostDlg.html</filename>
    <member kind="function">
      <type></type>
      <name>KNoteHostDlg</name>
      <anchorfile>classKNoteHostDlg.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(const QString &amp;caption, QWidget *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~KNoteHostDlg</name>
      <anchorfile>classKNoteHostDlg.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>host</name>
      <anchorfile>classKNoteHostDlg.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>() const </arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KNotePrinter</name>
    <filename>classKNotePrinter.html</filename>
    <member kind="function">
      <type></type>
      <name>KNotePrinter</name>
      <anchorfile>classKNotePrinter.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>printNote</name>
      <anchorfile>classKNotePrinter.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>(const QString &amp;name, const QString &amp;content) const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>printNotes</name>
      <anchorfile>classKNotePrinter.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>(const QValueList&lt; KCal::Journal * &gt; &amp;journals) const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setFont</name>
      <anchorfile>classKNotePrinter.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>(const QFont &amp;font)</arglist>
    </member>
    <member kind="function">
      <type>QFont</type>
      <name>font</name>
      <anchorfile>classKNotePrinter.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setColorGroup</name>
      <anchorfile>classKNotePrinter.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>(const QColorGroup &amp;colorGroup)</arglist>
    </member>
    <member kind="function">
      <type>QColorGroup</type>
      <name>colorGroup</name>
      <anchorfile>classKNotePrinter.html</anchorfile>
      <anchor>a6</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setStyleSheet</name>
      <anchorfile>classKNotePrinter.html</anchorfile>
      <anchor>a7</anchor>
      <arglist>(QStyleSheet *styleSheet)</arglist>
    </member>
    <member kind="function">
      <type>QStyleSheet *</type>
      <name>styleSheet</name>
      <anchorfile>classKNotePrinter.html</anchorfile>
      <anchor>a8</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setContext</name>
      <anchorfile>classKNotePrinter.html</anchorfile>
      <anchor>a9</anchor>
      <arglist>(const QString &amp;context)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>context</name>
      <anchorfile>classKNotePrinter.html</anchorfile>
      <anchor>a10</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setMimeSourceFactory</name>
      <anchorfile>classKNotePrinter.html</anchorfile>
      <anchor>a11</anchor>
      <arglist>(QMimeSourceFactory *factory)</arglist>
    </member>
    <member kind="function">
      <type>QMimeSourceFactory *</type>
      <name>mimeSourceFactory</name>
      <anchorfile>classKNotePrinter.html</anchorfile>
      <anchor>a12</anchor>
      <arglist>() const </arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KNotesAlarm</name>
    <filename>classKNotesAlarm.html</filename>
    <member kind="function">
      <type></type>
      <name>KNotesAlarm</name>
      <anchorfile>classKNotesAlarm.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(KNotesResourceManager *manager, QObject *parent=0, const char *name=0)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KNotesApp</name>
    <filename>classKNotesApp.html</filename>
    <base virtualness="virtual">KNotesAppIface</base>
    <member kind="slot">
      <type>QString</type>
      <name>newNote</name>
      <anchorfile>classKNotesApp.html</anchorfile>
      <anchor>i0</anchor>
      <arglist>(const QString &amp;name=QString::null, const QString &amp;text=QString::null)</arglist>
    </member>
    <member kind="slot">
      <type>QString</type>
      <name>newNoteFromClipboard</name>
      <anchorfile>classKNotesApp.html</anchorfile>
      <anchor>i1</anchor>
      <arglist>(const QString &amp;name=QString::null)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>hideAllNotes</name>
      <anchorfile>classKNotesApp.html</anchorfile>
      <anchor>i2</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>showAllNotes</name>
      <anchorfile>classKNotesApp.html</anchorfile>
      <anchor>i3</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KNotesApp</name>
      <anchorfile>classKNotesApp.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~KNotesApp</name>
      <anchorfile>classKNotesApp.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>showNote</name>
      <anchorfile>classKNotesApp.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>(const QString &amp;id) const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>hideNote</name>
      <anchorfile>classKNotesApp.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>(const QString &amp;id) const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>killNote</name>
      <anchorfile>classKNotesApp.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>(const QString &amp;id)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>killNote</name>
      <anchorfile>classKNotesApp.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>(const QString &amp;id, bool force)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>name</name>
      <anchorfile>classKNotesApp.html</anchorfile>
      <anchor>a6</anchor>
      <arglist>(const QString &amp;id) const </arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>text</name>
      <anchorfile>classKNotesApp.html</anchorfile>
      <anchor>a7</anchor>
      <arglist>(const QString &amp;id) const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setName</name>
      <anchorfile>classKNotesApp.html</anchorfile>
      <anchor>a8</anchor>
      <arglist>(const QString &amp;id, const QString &amp;newName)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setText</name>
      <anchorfile>classKNotesApp.html</anchorfile>
      <anchor>a9</anchor>
      <arglist>(const QString &amp;id, const QString &amp;newText)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>fgColor</name>
      <anchorfile>classKNotesApp.html</anchorfile>
      <anchor>a10</anchor>
      <arglist>(const QString &amp;id) const </arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>bgColor</name>
      <anchorfile>classKNotesApp.html</anchorfile>
      <anchor>a11</anchor>
      <arglist>(const QString &amp;id) const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setColor</name>
      <anchorfile>classKNotesApp.html</anchorfile>
      <anchor>a12</anchor>
      <arglist>(const QString &amp;id, const QString &amp;fgColor, const QString &amp;bgColor)</arglist>
    </member>
    <member kind="function">
      <type>QMap&lt; QString, QString &gt;</type>
      <name>notes</name>
      <anchorfile>classKNotesApp.html</anchorfile>
      <anchor>a13</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>width</name>
      <anchorfile>classKNotesApp.html</anchorfile>
      <anchor>a14</anchor>
      <arglist>(const QString &amp;noteId) const </arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>height</name>
      <anchorfile>classKNotesApp.html</anchorfile>
      <anchor>a15</anchor>
      <arglist>(const QString &amp;noteId) const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>move</name>
      <anchorfile>classKNotesApp.html</anchorfile>
      <anchor>a16</anchor>
      <arglist>(const QString &amp;noteId, int x, int y) const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>resize</name>
      <anchorfile>classKNotesApp.html</anchorfile>
      <anchor>a17</anchor>
      <arglist>(const QString &amp;noteId, int width, int height) const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>sync</name>
      <anchorfile>classKNotesApp.html</anchorfile>
      <anchor>a18</anchor>
      <arglist>(const QString &amp;app)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isNew</name>
      <anchorfile>classKNotesApp.html</anchorfile>
      <anchor>a19</anchor>
      <arglist>(const QString &amp;app, const QString &amp;id) const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isModified</name>
      <anchorfile>classKNotesApp.html</anchorfile>
      <anchor>a20</anchor>
      <arglist>(const QString &amp;app, const QString &amp;id) const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>commitData</name>
      <anchorfile>classKNotesApp.html</anchorfile>
      <anchor>a21</anchor>
      <arglist>(QSessionManager &amp;)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotShowNote</name>
      <anchorfile>classKNotesApp.html</anchorfile>
      <anchor>j0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotWalkThroughNotes</name>
      <anchorfile>classKNotesApp.html</anchorfile>
      <anchor>j1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotOpenFindDialog</name>
      <anchorfile>classKNotesApp.html</anchorfile>
      <anchor>j2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotFindNext</name>
      <anchorfile>classKNotesApp.html</anchorfile>
      <anchor>j3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotPreferences</name>
      <anchorfile>classKNotesApp.html</anchorfile>
      <anchor>j4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotConfigureAccels</name>
      <anchorfile>classKNotesApp.html</anchorfile>
      <anchor>j5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotNoteKilled</name>
      <anchorfile>classKNotesApp.html</anchorfile>
      <anchor>j6</anchor>
      <arglist>(KCal::Journal *journal)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotQuit</name>
      <anchorfile>classKNotesApp.html</anchorfile>
      <anchor>j7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>mousePressEvent</name>
      <anchorfile>classKNotesApp.html</anchorfile>
      <anchor>b0</anchor>
      <arglist>(QMouseEvent *)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KNotesAppIface</name>
    <filename>classKNotesAppIface.html</filename>
    <member kind="dcop" virtualness="pure">
      <type>virtual QString</type>
      <name>newNote</name>
      <anchorfile>classKNotesAppIface.html</anchorfile>
      <anchor>z0</anchor>
      <arglist>(const QString &amp;name=QString::null, const QString &amp;text=QString::null)=0</arglist>
    </member>
    <member kind="dcop" virtualness="pure">
      <type>virtual QString</type>
      <name>newNoteFromClipboard</name>
      <anchorfile>classKNotesAppIface.html</anchorfile>
      <anchor>z1</anchor>
      <arglist>(const QString &amp;name=QString::null)=0</arglist>
    </member>
    <member kind="dcop" virtualness="pure">
      <type>virtual ASYNC</type>
      <name>killNote</name>
      <anchorfile>classKNotesAppIface.html</anchorfile>
      <anchor>z2</anchor>
      <arglist>(const QString &amp;noteId)=0</arglist>
    </member>
    <member kind="dcop" virtualness="pure">
      <type>virtual ASYNC</type>
      <name>killNote</name>
      <anchorfile>classKNotesAppIface.html</anchorfile>
      <anchor>z3</anchor>
      <arglist>(const QString &amp;noteId, bool force)=0</arglist>
    </member>
    <member kind="dcop" virtualness="pure">
      <type>virtual QMap&lt; QString, QString &gt;</type>
      <name>notes</name>
      <anchorfile>classKNotesAppIface.html</anchorfile>
      <anchor>z4</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="dcop" virtualness="pure">
      <type>virtual ASYNC</type>
      <name>setName</name>
      <anchorfile>classKNotesAppIface.html</anchorfile>
      <anchor>z5</anchor>
      <arglist>(const QString &amp;noteId, const QString &amp;newName)=0</arglist>
    </member>
    <member kind="dcop" virtualness="pure">
      <type>virtual ASYNC</type>
      <name>setText</name>
      <anchorfile>classKNotesAppIface.html</anchorfile>
      <anchor>z6</anchor>
      <arglist>(const QString &amp;noteId, const QString &amp;newText)=0</arglist>
    </member>
    <member kind="dcop" virtualness="pure">
      <type>virtual QString</type>
      <name>fgColor</name>
      <anchorfile>classKNotesAppIface.html</anchorfile>
      <anchor>z7</anchor>
      <arglist>(const QString &amp;noteId) const =0</arglist>
    </member>
    <member kind="dcop" virtualness="pure">
      <type>virtual QString</type>
      <name>bgColor</name>
      <anchorfile>classKNotesAppIface.html</anchorfile>
      <anchor>z8</anchor>
      <arglist>(const QString &amp;noteId) const =0</arglist>
    </member>
    <member kind="dcop" virtualness="pure">
      <type>virtual ASYNC</type>
      <name>setColor</name>
      <anchorfile>classKNotesAppIface.html</anchorfile>
      <anchor>z9</anchor>
      <arglist>(const QString &amp;noteId, const QString &amp;fgColor, const QString &amp;bgColor)=0</arglist>
    </member>
    <member kind="dcop" virtualness="pure">
      <type>virtual QString</type>
      <name>name</name>
      <anchorfile>classKNotesAppIface.html</anchorfile>
      <anchor>z10</anchor>
      <arglist>(const QString &amp;noteId) const =0</arglist>
    </member>
    <member kind="dcop" virtualness="pure">
      <type>virtual QString</type>
      <name>text</name>
      <anchorfile>classKNotesAppIface.html</anchorfile>
      <anchor>z11</anchor>
      <arglist>(const QString &amp;noteId) const =0</arglist>
    </member>
    <member kind="dcop" virtualness="pure">
      <type>virtual ASYNC</type>
      <name>showNote</name>
      <anchorfile>classKNotesAppIface.html</anchorfile>
      <anchor>z12</anchor>
      <arglist>(const QString &amp;noteId) const =0</arglist>
    </member>
    <member kind="dcop" virtualness="pure">
      <type>virtual ASYNC</type>
      <name>hideNote</name>
      <anchorfile>classKNotesAppIface.html</anchorfile>
      <anchor>z13</anchor>
      <arglist>(const QString &amp;noteId) const =0</arglist>
    </member>
    <member kind="dcop" virtualness="pure">
      <type>virtual ASYNC</type>
      <name>showAllNotes</name>
      <anchorfile>classKNotesAppIface.html</anchorfile>
      <anchor>z14</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="dcop" virtualness="pure">
      <type>virtual ASYNC</type>
      <name>hideAllNotes</name>
      <anchorfile>classKNotesAppIface.html</anchorfile>
      <anchor>z15</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="dcop" virtualness="pure">
      <type>virtual int</type>
      <name>width</name>
      <anchorfile>classKNotesAppIface.html</anchorfile>
      <anchor>z16</anchor>
      <arglist>(const QString &amp;noteId) const =0</arglist>
    </member>
    <member kind="dcop" virtualness="pure">
      <type>virtual int</type>
      <name>height</name>
      <anchorfile>classKNotesAppIface.html</anchorfile>
      <anchor>z17</anchor>
      <arglist>(const QString &amp;noteId) const =0</arglist>
    </member>
    <member kind="dcop" virtualness="pure">
      <type>virtual ASYNC</type>
      <name>move</name>
      <anchorfile>classKNotesAppIface.html</anchorfile>
      <anchor>z18</anchor>
      <arglist>(const QString &amp;noteId, int x, int y) const =0</arglist>
    </member>
    <member kind="dcop" virtualness="pure">
      <type>virtual ASYNC</type>
      <name>resize</name>
      <anchorfile>classKNotesAppIface.html</anchorfile>
      <anchor>z19</anchor>
      <arglist>(const QString &amp;noteId, int width, int height) const =0</arglist>
    </member>
    <member kind="dcop" virtualness="pure">
      <type>virtual ASYNC</type>
      <name>sync</name>
      <anchorfile>classKNotesAppIface.html</anchorfile>
      <anchor>z20</anchor>
      <arglist>(const QString &amp;app)=0</arglist>
    </member>
    <member kind="dcop" virtualness="pure">
      <type>virtual bool</type>
      <name>isNew</name>
      <anchorfile>classKNotesAppIface.html</anchorfile>
      <anchor>z21</anchor>
      <arglist>(const QString &amp;app, const QString &amp;noteId) const =0</arglist>
    </member>
    <member kind="dcop" virtualness="pure">
      <type>virtual bool</type>
      <name>isModified</name>
      <anchorfile>classKNotesAppIface.html</anchorfile>
      <anchor>z22</anchor>
      <arglist>(const QString &amp;app, const QString &amp;noteId) const =0</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KNotesGlobalConfig</name>
    <filename>classKNotesGlobalConfig.html</filename>
    <base>KNoteConfig</base>
    <member kind="function">
      <type></type>
      <name>~KNotesGlobalConfig</name>
      <anchorfile>classKNotesGlobalConfig.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static KNotesGlobalConfig *</type>
      <name>self</name>
      <anchorfile>classKNotesGlobalConfig.html</anchorfile>
      <anchor>e0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>setMailAction</name>
      <anchorfile>classKNotesGlobalConfig.html</anchorfile>
      <anchor>e1</anchor>
      <arglist>(const QString &amp;v)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static QString</type>
      <name>mailAction</name>
      <anchorfile>classKNotesGlobalConfig.html</anchorfile>
      <anchor>e2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>setCheckInterval</name>
      <anchorfile>classKNotesGlobalConfig.html</anchorfile>
      <anchor>e3</anchor>
      <arglist>(uint v)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static uint</type>
      <name>checkInterval</name>
      <anchorfile>classKNotesGlobalConfig.html</anchorfile>
      <anchor>e4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>setAlarmsLastChecked</name>
      <anchorfile>classKNotesGlobalConfig.html</anchorfile>
      <anchor>e5</anchor>
      <arglist>(const QDateTime &amp;v)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static QDateTime</type>
      <name>alarmsLastChecked</name>
      <anchorfile>classKNotesGlobalConfig.html</anchorfile>
      <anchor>e6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>setReceiveNotes</name>
      <anchorfile>classKNotesGlobalConfig.html</anchorfile>
      <anchor>e7</anchor>
      <arglist>(bool v)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static bool</type>
      <name>receiveNotes</name>
      <anchorfile>classKNotesGlobalConfig.html</anchorfile>
      <anchor>e8</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>setPort</name>
      <anchorfile>classKNotesGlobalConfig.html</anchorfile>
      <anchor>e9</anchor>
      <arglist>(uint v)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static uint</type>
      <name>port</name>
      <anchorfile>classKNotesGlobalConfig.html</anchorfile>
      <anchor>e10</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>setSenderID</name>
      <anchorfile>classKNotesGlobalConfig.html</anchorfile>
      <anchor>e11</anchor>
      <arglist>(const QString &amp;v)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static QString</type>
      <name>senderID</name>
      <anchorfile>classKNotesGlobalConfig.html</anchorfile>
      <anchor>e12</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>setKnownHosts</name>
      <anchorfile>classKNotesGlobalConfig.html</anchorfile>
      <anchor>e13</anchor>
      <arglist>(const QStringList &amp;v)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static QStringList</type>
      <name>knownHosts</name>
      <anchorfile>classKNotesGlobalConfig.html</anchorfile>
      <anchor>e14</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>setStyle</name>
      <anchorfile>classKNotesGlobalConfig.html</anchorfile>
      <anchor>e15</anchor>
      <arglist>(int v)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static int</type>
      <name>style</name>
      <anchorfile>classKNotesGlobalConfig.html</anchorfile>
      <anchor>e16</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>writeConfig</name>
      <anchorfile>classKNotesGlobalConfig.html</anchorfile>
      <anchor>e17</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type></type>
      <name>KNotesGlobalConfig</name>
      <anchorfile>classKNotesGlobalConfig.html</anchorfile>
      <anchor>b0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QString</type>
      <name>mMailAction</name>
      <anchorfile>classKNotesGlobalConfig.html</anchorfile>
      <anchor>p0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>uint</type>
      <name>mCheckInterval</name>
      <anchorfile>classKNotesGlobalConfig.html</anchorfile>
      <anchor>p1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QDateTime</type>
      <name>mAlarmsLastChecked</name>
      <anchorfile>classKNotesGlobalConfig.html</anchorfile>
      <anchor>p2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>mReceiveNotes</name>
      <anchorfile>classKNotesGlobalConfig.html</anchorfile>
      <anchor>p3</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>uint</type>
      <name>mPort</name>
      <anchorfile>classKNotesGlobalConfig.html</anchorfile>
      <anchor>p4</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QString</type>
      <name>mSenderID</name>
      <anchorfile>classKNotesGlobalConfig.html</anchorfile>
      <anchor>p5</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QStringList</type>
      <name>mKnownHosts</name>
      <anchorfile>classKNotesGlobalConfig.html</anchorfile>
      <anchor>p6</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>int</type>
      <name>mStyle</name>
      <anchorfile>classKNotesGlobalConfig.html</anchorfile>
      <anchor>p7</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected" static="yes">
      <type>static KNotesGlobalConfig *</type>
      <name>mSelf</name>
      <anchorfile>classKNotesGlobalConfig.html</anchorfile>
      <anchor>t0</anchor>
      <arglist></arglist>
    </member>
    <class kind="class">KNotesGlobalConfig::EnumStyle</class>
  </compound>
  <compound kind="class">
    <name>KNotesGlobalConfig::EnumStyle</name>
    <filename>classKNotesGlobalConfig_1_1EnumStyle.html</filename>
    <member kind="enumeration">
      <name>type</name>
      <anchor>w3</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KNotesIface</name>
    <filename>classKNotesIface.html</filename>
    <member kind="dcop" virtualness="pure">
      <type>virtual QString</type>
      <name>newNote</name>
      <anchorfile>classKNotesIface.html</anchorfile>
      <anchor>z0</anchor>
      <arglist>(const QString &amp;name=QString::null, const QString &amp;text=QString::null)=0</arglist>
    </member>
    <member kind="dcop" virtualness="pure">
      <type>virtual QString</type>
      <name>newNoteFromClipboard</name>
      <anchorfile>classKNotesIface.html</anchorfile>
      <anchor>z1</anchor>
      <arglist>(const QString &amp;name=QString::null)=0</arglist>
    </member>
    <member kind="dcop" virtualness="pure">
      <type>virtual ASYNC</type>
      <name>killNote</name>
      <anchorfile>classKNotesIface.html</anchorfile>
      <anchor>z2</anchor>
      <arglist>(const QString &amp;noteId)=0</arglist>
    </member>
    <member kind="dcop" virtualness="pure">
      <type>virtual ASYNC</type>
      <name>killNote</name>
      <anchorfile>classKNotesIface.html</anchorfile>
      <anchor>z3</anchor>
      <arglist>(const QString &amp;noteId, bool force)=0</arglist>
    </member>
    <member kind="dcop" virtualness="pure">
      <type>virtual QMap&lt; QString, QString &gt;</type>
      <name>notes</name>
      <anchorfile>classKNotesIface.html</anchorfile>
      <anchor>z4</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="dcop" virtualness="pure">
      <type>virtual ASYNC</type>
      <name>setName</name>
      <anchorfile>classKNotesIface.html</anchorfile>
      <anchor>z5</anchor>
      <arglist>(const QString &amp;noteId, const QString &amp;newName)=0</arglist>
    </member>
    <member kind="dcop" virtualness="pure">
      <type>virtual ASYNC</type>
      <name>setText</name>
      <anchorfile>classKNotesIface.html</anchorfile>
      <anchor>z6</anchor>
      <arglist>(const QString &amp;noteId, const QString &amp;newText)=0</arglist>
    </member>
    <member kind="dcop" virtualness="pure">
      <type>virtual QString</type>
      <name>name</name>
      <anchorfile>classKNotesIface.html</anchorfile>
      <anchor>z7</anchor>
      <arglist>(const QString &amp;noteId) const =0</arglist>
    </member>
    <member kind="dcop" virtualness="pure">
      <type>virtual QString</type>
      <name>text</name>
      <anchorfile>classKNotesIface.html</anchorfile>
      <anchor>z8</anchor>
      <arglist>(const QString &amp;noteId) const =0</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KNotesLegacy</name>
    <filename>classKNotesLegacy.html</filename>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>cleanUp</name>
      <anchorfile>classKNotesLegacy.html</anchorfile>
      <anchor>e0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static bool</type>
      <name>convert</name>
      <anchorfile>classKNotesLegacy.html</anchorfile>
      <anchor>e1</anchor>
      <arglist>(KCal::CalendarLocal *calendar)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KNotesNetworkReceiver</name>
    <filename>classKNotesNetworkReceiver.html</filename>
    <member kind="signal">
      <type>void</type>
      <name>sigNoteReceived</name>
      <anchorfile>classKNotesNetworkReceiver.html</anchorfile>
      <anchor>l0</anchor>
      <arglist>(const QString &amp;, const QString &amp;)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KNotesNetworkReceiver</name>
      <anchorfile>classKNotesNetworkReceiver.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(KNetwork::KBufferedSocket *)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~KNotesNetworkReceiver</name>
      <anchorfile>classKNotesNetworkReceiver.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KNotesNetworkSender</name>
    <filename>classKNotesNetworkSender.html</filename>
    <member kind="function">
      <type></type>
      <name>KNotesNetworkSender</name>
      <anchorfile>classKNotesNetworkSender.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(const QString &amp;host, int port)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setSenderId</name>
      <anchorfile>classKNotesNetworkSender.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>(const QString &amp;sender)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setNote</name>
      <anchorfile>classKNotesNetworkSender.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>(const QString &amp;title, const QString &amp;text)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotConnected</name>
      <anchorfile>classKNotesNetworkSender.html</anchorfile>
      <anchor>j0</anchor>
      <arglist>(const KResolverEntry &amp;)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotError</name>
      <anchorfile>classKNotesNetworkSender.html</anchorfile>
      <anchor>j1</anchor>
      <arglist>(int)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotClosed</name>
      <anchorfile>classKNotesNetworkSender.html</anchorfile>
      <anchor>j2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotReadyWrite</name>
      <anchorfile>classKNotesNetworkSender.html</anchorfile>
      <anchor>j3</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KNotesResourceManager</name>
    <filename>classKNotesResourceManager.html</filename>
    <member kind="signal">
      <type>void</type>
      <name>sigRegisteredNote</name>
      <anchorfile>classKNotesResourceManager.html</anchorfile>
      <anchor>l0</anchor>
      <arglist>(KCal::Journal *journal)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>sigDeregisteredNote</name>
      <anchorfile>classKNotesResourceManager.html</anchorfile>
      <anchor>l1</anchor>
      <arglist>(KCal::Journal *journal)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KNotesResourceManager</name>
      <anchorfile>classKNotesResourceManager.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~KNotesResourceManager</name>
      <anchorfile>classKNotesResourceManager.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>load</name>
      <anchorfile>classKNotesResourceManager.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>save</name>
      <anchorfile>classKNotesResourceManager.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addNewNote</name>
      <anchorfile>classKNotesResourceManager.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>(KCal::Journal *journal)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>registerNote</name>
      <anchorfile>classKNotesResourceManager.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>(ResourceNotes *resource, KCal::Journal *journal)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>deleteNote</name>
      <anchorfile>classKNotesResourceManager.html</anchorfile>
      <anchor>a6</anchor>
      <arglist>(KCal::Journal *journal)</arglist>
    </member>
    <member kind="function">
      <type>KCal::Alarm::List</type>
      <name>alarms</name>
      <anchorfile>classKNotesResourceManager.html</anchorfile>
      <anchor>a7</anchor>
      <arglist>(const QDateTime &amp;from, const QDateTime &amp;to)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>resourceAdded</name>
      <anchorfile>classKNotesResourceManager.html</anchorfile>
      <anchor>a8</anchor>
      <arglist>(ResourceNotes *resource)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>resourceModified</name>
      <anchorfile>classKNotesResourceManager.html</anchorfile>
      <anchor>a9</anchor>
      <arglist>(ResourceNotes *resource)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>resourceDeleted</name>
      <anchorfile>classKNotesResourceManager.html</anchorfile>
      <anchor>a10</anchor>
      <arglist>(ResourceNotes *resource)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>ResourceLocal</name>
    <filename>classResourceLocal.html</filename>
    <base>ResourceNotes</base>
    <member kind="function">
      <type></type>
      <name>ResourceLocal</name>
      <anchorfile>classResourceLocal.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(const KConfig *)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~ResourceLocal</name>
      <anchorfile>classResourceLocal.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>writeConfig</name>
      <anchorfile>classResourceLocal.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>(KConfig *config)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>load</name>
      <anchorfile>classResourceLocal.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>save</name>
      <anchorfile>classResourceLocal.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual KURL</type>
      <name>url</name>
      <anchorfile>classResourceLocal.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setURL</name>
      <anchorfile>classResourceLocal.html</anchorfile>
      <anchor>a6</anchor>
      <arglist>(const KURL &amp;url)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>addNote</name>
      <anchorfile>classResourceLocal.html</anchorfile>
      <anchor>a7</anchor>
      <arglist>(KCal::Journal *)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>deleteNote</name>
      <anchorfile>classResourceLocal.html</anchorfile>
      <anchor>a8</anchor>
      <arglist>(KCal::Journal *)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual KCal::Alarm::List</type>
      <name>alarms</name>
      <anchorfile>classResourceLocal.html</anchorfile>
      <anchor>a9</anchor>
      <arglist>(const QDateTime &amp;from, const QDateTime &amp;to)</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>KCal::CalendarLocal</type>
      <name>mCalendar</name>
      <anchorfile>classResourceLocal.html</anchorfile>
      <anchor>p0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>KURL</type>
      <name>mURL</name>
      <anchorfile>classResourceLocal.html</anchorfile>
      <anchor>p1</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>ResourceLocalConfig</name>
    <filename>classResourceLocalConfig.html</filename>
    <member kind="slot" virtualness="virtual">
      <type>virtual void</type>
      <name>loadSettings</name>
      <anchorfile>classResourceLocalConfig.html</anchorfile>
      <anchor>i0</anchor>
      <arglist>(KRES::Resource *resource)</arglist>
    </member>
    <member kind="slot" virtualness="virtual">
      <type>virtual void</type>
      <name>saveSettings</name>
      <anchorfile>classResourceLocalConfig.html</anchorfile>
      <anchor>i1</anchor>
      <arglist>(KRES::Resource *resource)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>ResourceLocalConfig</name>
      <anchorfile>classResourceLocalConfig.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(QWidget *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~ResourceLocalConfig</name>
      <anchorfile>classResourceLocalConfig.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>ResourceNotes</name>
    <filename>classResourceNotes.html</filename>
    <member kind="function">
      <type></type>
      <name>ResourceNotes</name>
      <anchorfile>classResourceNotes.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(const KConfig *)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~ResourceNotes</name>
      <anchorfile>classResourceNotes.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>load</name>
      <anchorfile>classResourceNotes.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>save</name>
      <anchorfile>classResourceNotes.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>addNote</name>
      <anchorfile>classResourceNotes.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>(KCal::Journal *)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>deleteNote</name>
      <anchorfile>classResourceNotes.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>(KCal::Journal *)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual KCal::Alarm::List</type>
      <name>alarms</name>
      <anchorfile>classResourceNotes.html</anchorfile>
      <anchor>a6</anchor>
      <arglist>(const QDateTime &amp;from, const QDateTime &amp;to)=0</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setManager</name>
      <anchorfile>classResourceNotes.html</anchorfile>
      <anchor>a7</anchor>
      <arglist>(KNotesResourceManager *manager)</arglist>
    </member>
    <member kind="function">
      <type>KNotesResourceManager *</type>
      <name>manager</name>
      <anchorfile>classResourceNotes.html</anchorfile>
      <anchor>a8</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>KNotesResourceManager *</type>
      <name>mManager</name>
      <anchorfile>classResourceNotes.html</anchorfile>
      <anchor>p0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="dir">
    <name>/home/services/builder/rpm/BUILD/kdepim-3.5.10/knotes/</name>
    <path>/home/services/builder/rpm/BUILD/kdepim-3.5.10/knotes/</path>
    <filename>dir_000000.html</filename>
    <file>knote.cpp</file>
    <file>knote.h</file>
    <file>knotealarmdlg.cpp</file>
    <file>knotealarmdlg.h</file>
    <file>knotebutton.cpp</file>
    <file>knotebutton.h</file>
    <file>knoteconfig.cpp</file>
    <file>knoteconfig.h</file>
    <file>knoteconfigdlg.cpp</file>
    <file>knoteconfigdlg.h</file>
    <file>knoteedit.cpp</file>
    <file>knoteedit.h</file>
    <file>knotehostdlg.cpp</file>
    <file>knotehostdlg.h</file>
    <file>knoteprinter.cpp</file>
    <file>knoteprinter.h</file>
    <file>knotesalarm.cpp</file>
    <file>knotesalarm.h</file>
    <file>knotesapp.cpp</file>
    <file>knotesapp.h</file>
    <file>KNotesAppIface.h</file>
    <file>KNotesAppIface_skel.cpp</file>
    <file>knotesglobalconfig.cpp</file>
    <file>knotesglobalconfig.h</file>
    <file>KNotesIface.h</file>
    <file>knoteslegacy.cpp</file>
    <file>knoteslegacy.h</file>
    <file>knotesnetrecv.cpp</file>
    <file>knotesnetrecv.h</file>
    <file>knotesnetsend.cpp</file>
    <file>knotesnetsend.h</file>
    <file>main.cpp</file>
    <file>main.h</file>
    <file>resourcelocal.cpp</file>
    <file>resourcelocal.h</file>
    <file>resourcelocal_plugin.cpp</file>
    <file>resourcelocalconfig.cpp</file>
    <file>resourcelocalconfig.h</file>
    <file>resourcemanager.cpp</file>
    <file>resourcemanager.h</file>
    <file>resourcenotes.cpp</file>
    <file>resourcenotes.h</file>
    <file>version.h</file>
  </compound>
  <compound kind="namespace">
    <name>KCal</name>
    <filename>namespaceKCal.html</filename>
  </compound>
  <compound kind="namespace">
    <name>KNetwork</name>
    <filename>namespaceKNetwork.html</filename>
  </compound>
</tagfile>
