<?xml version='1.0' encoding='ISO-8859-1' standalone='yes' ?>
<tagfile>
  <compound kind="page">
    <name>index</name>
    <title>libemailfunctions</title>
    <filename>index</filename>
  </compound>
  <compound kind="file">
    <name>email.h</name>
    <path>/home/services/builder/rpm/BUILD/kdepim-3.5.10/libemailfunctions/</path>
    <filename>email_8h</filename>
    <namespace>KPIM</namespace>
    <member kind="enumeration">
      <name>EmailParseResult</name>
      <anchor>a38</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type>QStringList</type>
      <name>splitEmailAddrList</name>
      <anchorfile>namespaceKPIM.html</anchorfile>
      <anchor>a15</anchor>
      <arglist>(const QString &amp;aStr)</arglist>
    </member>
    <member kind="function">
      <type>KPIM::EmailParseResult</type>
      <name>splitAddress</name>
      <anchorfile>namespaceKPIM.html</anchorfile>
      <anchor>a16</anchor>
      <arglist>(const QCString &amp;address, QCString &amp;displayName, QCString &amp;addrSpec, QCString &amp;comment)</arglist>
    </member>
    <member kind="function">
      <type>KPIM::EmailParseResult</type>
      <name>splitAddress</name>
      <anchorfile>namespaceKPIM.html</anchorfile>
      <anchor>a17</anchor>
      <arglist>(const QString &amp;address, QString &amp;displayName, QString &amp;addrSpec, QString &amp;comment)</arglist>
    </member>
    <member kind="function">
      <type>KPIM::EmailParseResult</type>
      <name>isValidEmailAddress</name>
      <anchorfile>namespaceKPIM.html</anchorfile>
      <anchor>a18</anchor>
      <arglist>(const QString &amp;aStr)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>emailParseResultToString</name>
      <anchorfile>namespaceKPIM.html</anchorfile>
      <anchor>a19</anchor>
      <arglist>(EmailParseResult errorCode)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isValidSimpleEmailAddress</name>
      <anchorfile>namespaceKPIM.html</anchorfile>
      <anchor>a20</anchor>
      <arglist>(const QString &amp;aStr)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>simpleEmailAddressErrorMsg</name>
      <anchorfile>namespaceKPIM.html</anchorfile>
      <anchor>a21</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QCString</type>
      <name>getEmailAddress</name>
      <anchorfile>namespaceKPIM.html</anchorfile>
      <anchor>a22</anchor>
      <arglist>(const QCString &amp;address)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>getEmailAddress</name>
      <anchorfile>namespaceKPIM.html</anchorfile>
      <anchor>a23</anchor>
      <arglist>(const QString &amp;address)</arglist>
    </member>
    <member kind="function">
      <type>QCString</type>
      <name>getFirstEmailAddress</name>
      <anchorfile>namespaceKPIM.html</anchorfile>
      <anchor>a24</anchor>
      <arglist>(const QCString &amp;addresses)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>getFirstEmailAddress</name>
      <anchorfile>namespaceKPIM.html</anchorfile>
      <anchor>a25</anchor>
      <arglist>(const QString &amp;addresses)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>getNameAndMail</name>
      <anchorfile>namespaceKPIM.html</anchorfile>
      <anchor>a26</anchor>
      <arglist>(const QString &amp;aStr, QString &amp;name, QString &amp;mail)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>compareEmail</name>
      <anchorfile>namespaceKPIM.html</anchorfile>
      <anchor>a27</anchor>
      <arglist>(const QString &amp;email1, const QString &amp;email2, bool matchName)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>normalizedAddress</name>
      <anchorfile>namespaceKPIM.html</anchorfile>
      <anchor>a28</anchor>
      <arglist>(const QString &amp;displayName, const QString &amp;addrSpec, const QString &amp;comment)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>decodeIDN</name>
      <anchorfile>namespaceKPIM.html</anchorfile>
      <anchor>a29</anchor>
      <arglist>(const QString &amp;addrSpec)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>encodeIDN</name>
      <anchorfile>namespaceKPIM.html</anchorfile>
      <anchor>a30</anchor>
      <arglist>(const QString &amp;addrSpec)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>normalizeAddressesAndDecodeIDNs</name>
      <anchorfile>namespaceKPIM.html</anchorfile>
      <anchor>a31</anchor>
      <arglist>(const QString &amp;addresses)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>normalizeAddressesAndEncodeIDNs</name>
      <anchorfile>namespaceKPIM.html</anchorfile>
      <anchor>a32</anchor>
      <arglist>(const QString &amp;str)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>quoteNameIfNecessary</name>
      <anchorfile>namespaceKPIM.html</anchorfile>
      <anchor>a33</anchor>
      <arglist>(const QString &amp;str)</arglist>
    </member>
  </compound>
  <compound kind="dir">
    <name>/home/services/builder/rpm/BUILD/kdepim-3.5.10/libemailfunctions/</name>
    <path>/home/services/builder/rpm/BUILD/kdepim-3.5.10/libemailfunctions/</path>
    <filename>dir_000000.html</filename>
    <file>email.cpp</file>
    <file>email.h</file>
    <file>idmapper.cpp</file>
    <file>idmapper.h</file>
    <file>kasciistricmp.cpp</file>
    <file>kasciistricmp.h</file>
    <file>kasciistringtools.cpp</file>
    <file>kasciistringtools.h</file>
    <file>networkstatus.cpp</file>
    <file>networkstatus.h</file>
    <file>networkstatus_skel.cpp</file>
  </compound>
  <compound kind="namespace">
    <name>KPIM</name>
    <filename>namespaceKPIM.html</filename>
    <class kind="class">KPIM::IdMapper</class>
    <class kind="class">KPIM::NetworkStatus</class>
    <member kind="enumeration">
      <name>EmailParseResult</name>
      <anchor>a38</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type>QStringList</type>
      <name>splitEmailAddrList</name>
      <anchorfile>namespaceKPIM.html</anchorfile>
      <anchor>a15</anchor>
      <arglist>(const QString &amp;aStr)</arglist>
    </member>
    <member kind="function">
      <type>KPIM::EmailParseResult</type>
      <name>splitAddress</name>
      <anchorfile>namespaceKPIM.html</anchorfile>
      <anchor>a16</anchor>
      <arglist>(const QCString &amp;address, QCString &amp;displayName, QCString &amp;addrSpec, QCString &amp;comment)</arglist>
    </member>
    <member kind="function">
      <type>KPIM::EmailParseResult</type>
      <name>splitAddress</name>
      <anchorfile>namespaceKPIM.html</anchorfile>
      <anchor>a17</anchor>
      <arglist>(const QString &amp;address, QString &amp;displayName, QString &amp;addrSpec, QString &amp;comment)</arglist>
    </member>
    <member kind="function">
      <type>KPIM::EmailParseResult</type>
      <name>isValidEmailAddress</name>
      <anchorfile>namespaceKPIM.html</anchorfile>
      <anchor>a18</anchor>
      <arglist>(const QString &amp;aStr)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>emailParseResultToString</name>
      <anchorfile>namespaceKPIM.html</anchorfile>
      <anchor>a19</anchor>
      <arglist>(EmailParseResult errorCode)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isValidSimpleEmailAddress</name>
      <anchorfile>namespaceKPIM.html</anchorfile>
      <anchor>a20</anchor>
      <arglist>(const QString &amp;aStr)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>simpleEmailAddressErrorMsg</name>
      <anchorfile>namespaceKPIM.html</anchorfile>
      <anchor>a21</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QCString</type>
      <name>getEmailAddress</name>
      <anchorfile>namespaceKPIM.html</anchorfile>
      <anchor>a22</anchor>
      <arglist>(const QCString &amp;address)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>getEmailAddress</name>
      <anchorfile>namespaceKPIM.html</anchorfile>
      <anchor>a23</anchor>
      <arglist>(const QString &amp;address)</arglist>
    </member>
    <member kind="function">
      <type>QCString</type>
      <name>getFirstEmailAddress</name>
      <anchorfile>namespaceKPIM.html</anchorfile>
      <anchor>a24</anchor>
      <arglist>(const QCString &amp;addresses)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>getFirstEmailAddress</name>
      <anchorfile>namespaceKPIM.html</anchorfile>
      <anchor>a25</anchor>
      <arglist>(const QString &amp;addresses)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>getNameAndMail</name>
      <anchorfile>namespaceKPIM.html</anchorfile>
      <anchor>a26</anchor>
      <arglist>(const QString &amp;aStr, QString &amp;name, QString &amp;mail)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>compareEmail</name>
      <anchorfile>namespaceKPIM.html</anchorfile>
      <anchor>a27</anchor>
      <arglist>(const QString &amp;email1, const QString &amp;email2, bool matchName)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>normalizedAddress</name>
      <anchorfile>namespaceKPIM.html</anchorfile>
      <anchor>a28</anchor>
      <arglist>(const QString &amp;displayName, const QString &amp;addrSpec, const QString &amp;comment)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>decodeIDN</name>
      <anchorfile>namespaceKPIM.html</anchorfile>
      <anchor>a29</anchor>
      <arglist>(const QString &amp;addrSpec)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>encodeIDN</name>
      <anchorfile>namespaceKPIM.html</anchorfile>
      <anchor>a30</anchor>
      <arglist>(const QString &amp;addrSpec)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>normalizeAddressesAndDecodeIDNs</name>
      <anchorfile>namespaceKPIM.html</anchorfile>
      <anchor>a31</anchor>
      <arglist>(const QString &amp;addresses)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>normalizeAddressesAndEncodeIDNs</name>
      <anchorfile>namespaceKPIM.html</anchorfile>
      <anchor>a32</anchor>
      <arglist>(const QString &amp;str)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>quoteNameIfNecessary</name>
      <anchorfile>namespaceKPIM.html</anchorfile>
      <anchor>a33</anchor>
      <arglist>(const QString &amp;str)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static unsigned char</type>
      <name>ASCIIToLower</name>
      <anchorfile>namespaceKPIM.html</anchorfile>
      <anchor>a34</anchor>
      <arglist>(unsigned char ch)</arglist>
    </member>
    <member kind="function">
      <type>char *</type>
      <name>kAsciiToLower</name>
      <anchorfile>namespaceKPIM.html</anchorfile>
      <anchor>a35</anchor>
      <arglist>(char *str)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static unsigned char</type>
      <name>ASCIIToUpper</name>
      <anchorfile>namespaceKPIM.html</anchorfile>
      <anchor>a36</anchor>
      <arglist>(unsigned char ch)</arglist>
    </member>
    <member kind="function">
      <type>char *</type>
      <name>kAsciiToUpper</name>
      <anchorfile>namespaceKPIM.html</anchorfile>
      <anchor>a37</anchor>
      <arglist>(char *str)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KPIM::IdMapper</name>
    <filename>classKPIM_1_1IdMapper.html</filename>
    <member kind="function">
      <type></type>
      <name>IdMapper</name>
      <anchorfile>classKPIM_1_1IdMapper.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>IdMapper</name>
      <anchorfile>classKPIM_1_1IdMapper.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>(const QString &amp;path, const QString &amp;identifier=QString::null)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~IdMapper</name>
      <anchorfile>classKPIM_1_1IdMapper.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setPath</name>
      <anchorfile>classKPIM_1_1IdMapper.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>(const QString &amp;path)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>path</name>
      <anchorfile>classKPIM_1_1IdMapper.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setIdentifier</name>
      <anchorfile>classKPIM_1_1IdMapper.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>(const QString &amp;identifier)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>identifier</name>
      <anchorfile>classKPIM_1_1IdMapper.html</anchorfile>
      <anchor>a6</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>load</name>
      <anchorfile>classKPIM_1_1IdMapper.html</anchorfile>
      <anchor>a7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>save</name>
      <anchorfile>classKPIM_1_1IdMapper.html</anchorfile>
      <anchor>a8</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>clear</name>
      <anchorfile>classKPIM_1_1IdMapper.html</anchorfile>
      <anchor>a9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setRemoteId</name>
      <anchorfile>classKPIM_1_1IdMapper.html</anchorfile>
      <anchor>a10</anchor>
      <arglist>(const QString &amp;localId, const QString &amp;remoteId)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>removeRemoteId</name>
      <anchorfile>classKPIM_1_1IdMapper.html</anchorfile>
      <anchor>a11</anchor>
      <arglist>(const QString &amp;remoteId)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>remoteId</name>
      <anchorfile>classKPIM_1_1IdMapper.html</anchorfile>
      <anchor>a12</anchor>
      <arglist>(const QString &amp;localId) const </arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>localId</name>
      <anchorfile>classKPIM_1_1IdMapper.html</anchorfile>
      <anchor>a13</anchor>
      <arglist>(const QString &amp;remoteId) const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setFingerprint</name>
      <anchorfile>classKPIM_1_1IdMapper.html</anchorfile>
      <anchor>a14</anchor>
      <arglist>(const QString &amp;localId, const QString &amp;fingerprint)</arglist>
    </member>
    <member kind="function">
      <type>const QString &amp;</type>
      <name>fingerprint</name>
      <anchorfile>classKPIM_1_1IdMapper.html</anchorfile>
      <anchor>a15</anchor>
      <arglist>(const QString &amp;localId) const </arglist>
    </member>
    <member kind="function">
      <type>QMap&lt; QString, QString &gt;</type>
      <name>remoteIdMap</name>
      <anchorfile>classKPIM_1_1IdMapper.html</anchorfile>
      <anchor>a16</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>asString</name>
      <anchorfile>classKPIM_1_1IdMapper.html</anchorfile>
      <anchor>a17</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" protection="protected">
      <type>QString</type>
      <name>filename</name>
      <anchorfile>classKPIM_1_1IdMapper.html</anchorfile>
      <anchor>b0</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KPIM::NetworkStatus</name>
    <filename>classKPIM_1_1NetworkStatus.html</filename>
    <member kind="enumeration">
      <name>Status</name>
      <anchor>w2</anchor>
      <arglist></arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>statusChanged</name>
      <anchorfile>classKPIM_1_1NetworkStatus.html</anchorfile>
      <anchor>l0</anchor>
      <arglist>(Status status)</arglist>
    </member>
    <member kind="dcop">
      <type>void</type>
      <name>onlineStatusChanged</name>
      <anchorfile>classKPIM_1_1NetworkStatus.html</anchorfile>
      <anchor>z0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~NetworkStatus</name>
      <anchorfile>classKPIM_1_1NetworkStatus.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setStatus</name>
      <anchorfile>classKPIM_1_1NetworkStatus.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>(Status status)</arglist>
    </member>
    <member kind="function">
      <type>Status</type>
      <name>status</name>
      <anchorfile>classKPIM_1_1NetworkStatus.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" static="yes">
      <type>static NetworkStatus *</type>
      <name>self</name>
      <anchorfile>classKPIM_1_1NetworkStatus.html</anchorfile>
      <anchor>e0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type></type>
      <name>NetworkStatus</name>
      <anchorfile>classKPIM_1_1NetworkStatus.html</anchorfile>
      <anchor>b0</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
</tagfile>
