<?xml version='1.0' encoding='ISO-8859-1' standalone='yes' ?>
<tagfile>
  <compound kind="struct">
    <name>KHoliday</name>
    <filename>structKHoliday.html</filename>
    <member kind="variable">
      <type>QString</type>
      <name>text</name>
      <anchorfile>structKHoliday.html</anchorfile>
      <anchor>o0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QString</type>
      <name>shortText</name>
      <anchorfile>structKHoliday.html</anchorfile>
      <anchor>o1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>int</type>
      <name>Category</name>
      <anchorfile>structKHoliday.html</anchorfile>
      <anchor>o2</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KHolidays</name>
    <filename>classKHolidays.html</filename>
    <member kind="function">
      <type></type>
      <name>KHolidays</name>
      <anchorfile>classKHolidays.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(const QString &amp;location)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~KHolidays</name>
      <anchorfile>classKHolidays.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>location</name>
      <anchorfile>classKHolidays.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QValueList&lt; KHoliday &gt;</type>
      <name>getHolidays</name>
      <anchorfile>classKHolidays.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>(const QDate &amp;)</arglist>
    </member>
    <member kind="function">
      <type>KDE_DEPRECATED QString</type>
      <name>shortText</name>
      <anchorfile>classKHolidays.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>(const QDate &amp;)</arglist>
    </member>
    <member kind="function">
      <type>KDE_DEPRECATED QString</type>
      <name>getHoliday</name>
      <anchorfile>classKHolidays.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>(const QDate &amp;)</arglist>
    </member>
    <member kind="function">
      <type>KDE_DEPRECATED int</type>
      <name>category</name>
      <anchorfile>classKHolidays.html</anchorfile>
      <anchor>a6</anchor>
      <arglist>(const QDate &amp;)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static QStringList</type>
      <name>locations</name>
      <anchorfile>classKHolidays.html</anchorfile>
      <anchor>e0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static QString</type>
      <name>fileForLocation</name>
      <anchorfile>classKHolidays.html</anchorfile>
      <anchor>e1</anchor>
      <arglist>(const QString &amp;location)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static QString</type>
      <name>userPath</name>
      <anchorfile>classKHolidays.html</anchorfile>
      <anchor>e2</anchor>
      <arglist>(bool create=false)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static QString</type>
      <name>generateFileName</name>
      <anchorfile>classKHolidays.html</anchorfile>
      <anchor>e3</anchor>
      <arglist>(const QString &amp;location)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>LunarPhase</name>
    <filename>classLunarPhase.html</filename>
    <member kind="enumeration">
      <name>Phase</name>
      <anchor>w7</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <name>Hemisphere</name>
      <anchor>w8</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>LunarPhase</name>
      <anchorfile>classLunarPhase.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(Hemisphere hemisphere=Northern)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~LunarPhase</name>
      <anchorfile>classLunarPhase.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>Phase</type>
      <name>phase</name>
      <anchorfile>classLunarPhase.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>(const QDate &amp;date) const </arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>phaseStr</name>
      <anchorfile>classLunarPhase.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>(const QDate &amp;date) const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setHemisphere</name>
      <anchorfile>classLunarPhase.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>(Hemisphere hemisphere=Northern)</arglist>
    </member>
    <member kind="function">
      <type>Hemisphere</type>
      <name>hemisphere</name>
      <anchorfile>classLunarPhase.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>hemisphereStr</name>
      <anchorfile>classLunarPhase.html</anchorfile>
      <anchor>a6</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" static="yes">
      <type>static QString</type>
      <name>hemisphereName</name>
      <anchorfile>classLunarPhase.html</anchorfile>
      <anchor>e0</anchor>
      <arglist>(Hemisphere hemisphere)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static QString</type>
      <name>phaseName</name>
      <anchorfile>classLunarPhase.html</anchorfile>
      <anchor>e1</anchor>
      <arglist>(Phase phase)</arglist>
    </member>
  </compound>
  <compound kind="union">
    <name>YYSTYPE</name>
    <filename>unionYYSTYPE.html</filename>
    <member kind="variable">
      <type>int</type>
      <name>ival</name>
      <anchorfile>unionYYSTYPE.html</anchorfile>
      <anchor>o0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>char *</type>
      <name>sval</name>
      <anchorfile>unionYYSTYPE.html</anchorfile>
      <anchor>o1</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="dir">
    <name>/home/services/builder/rpm/BUILD/kdepim-3.5.10/libkholidays/</name>
    <path>/home/services/builder/rpm/BUILD/kdepim-3.5.10/libkholidays/</path>
    <filename>dir_000000.html</filename>
    <file>kholidays.cpp</file>
    <file>kholidays.h</file>
    <file>kholidays_version.h</file>
    <file>lunarphase.cpp</file>
    <file>lunarphase.h</file>
    <file>parseholiday.h</file>
  </compound>
</tagfile>
