<?xml version='1.0' encoding='ISO-8859-1' standalone='yes' ?>
<tagfile>
  <compound kind="dir">
    <name>/home/services/builder/rpm/BUILD/kdepim-3.5.10/libkpgp/</name>
    <path>/home/services/builder/rpm/BUILD/kdepim-3.5.10/libkpgp/</path>
    <filename>dir_000000.html</filename>
    <file>kpgp.cpp</file>
    <file>kpgp.h</file>
    <file>kpgpbase.cpp</file>
    <file>kpgpbase.h</file>
    <file>kpgpbase2.cpp</file>
    <file>kpgpbase5.cpp</file>
    <file>kpgpbase6.cpp</file>
    <file>kpgpbaseG.cpp</file>
    <file>kpgpblock.cpp</file>
    <file>kpgpblock.h</file>
    <file>kpgpkey.cpp</file>
    <file>kpgpkey.h</file>
    <file>kpgpui.cpp</file>
    <file>kpgpui.h</file>
  </compound>
  <compound kind="namespace">
    <name>Kpgp</name>
    <filename>namespaceKpgp.html</filename>
    <class kind="class">Kpgp::Module</class>
    <class kind="class">Kpgp::Base</class>
    <class kind="class">Kpgp::Base2</class>
    <class kind="class">Kpgp::BaseG</class>
    <class kind="class">Kpgp::Base5</class>
    <class kind="class">Kpgp::Base6</class>
    <class kind="class">Kpgp::Block</class>
    <class kind="class">Kpgp::KeyIDList</class>
    <class kind="class">Kpgp::UserID</class>
    <class kind="class">Kpgp::Subkey</class>
    <class kind="class">Kpgp::Key</class>
    <class kind="class">Kpgp::KeyList</class>
    <class kind="class">Kpgp::PassphraseDialog</class>
    <class kind="class">Kpgp::Config</class>
    <class kind="class">Kpgp::KeySelectionDialog</class>
    <class kind="class">Kpgp::KeyRequester</class>
    <class kind="class">Kpgp::PublicKeyRequester</class>
    <class kind="class">Kpgp::SecretKeyRequester</class>
    <class kind="class">Kpgp::KeyApprovalDialog</class>
    <class kind="class">Kpgp::CipherTextDialog</class>
    <member kind="typedef">
      <type>QCString</type>
      <name>KeyID</name>
      <anchorfile>namespaceKpgp.html</anchorfile>
      <anchor>a35</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>QPtrList&lt; UserID &gt;</type>
      <name>UserIDList</name>
      <anchorfile>namespaceKpgp.html</anchorfile>
      <anchor>a36</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>QPtrListIterator&lt; UserID &gt;</type>
      <name>UserIDListIterator</name>
      <anchorfile>namespaceKpgp.html</anchorfile>
      <anchor>a37</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>QPtrList&lt; Subkey &gt;</type>
      <name>SubkeyList</name>
      <anchorfile>namespaceKpgp.html</anchorfile>
      <anchor>a38</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>QPtrListIterator&lt; Subkey &gt;</type>
      <name>SubkeyListIterator</name>
      <anchorfile>namespaceKpgp.html</anchorfile>
      <anchor>a39</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>QPtrList&lt; Key &gt;</type>
      <name>KeyListBase</name>
      <anchorfile>namespaceKpgp.html</anchorfile>
      <anchor>a40</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>QPtrListIterator&lt; Key &gt;</type>
      <name>KeyListIterator</name>
      <anchorfile>namespaceKpgp.html</anchorfile>
      <anchor>a41</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <name>Result</name>
      <anchor>a55</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <name>BlockType</name>
      <anchor>a56</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <name>MessageStatus</name>
      <anchor>a57</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <name>Validity</name>
      <anchor>a58</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <name>EncryptPref</name>
      <anchor>a59</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>static KStaticDeleter&lt; Module &gt;</type>
      <name>kpgpod</name>
      <anchorfile>namespaceKpgp.html</anchorfile>
      <anchor>a0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kpgp::Module</name>
    <filename>classKpgp_1_1Module.html</filename>
    <member kind="enumeration">
      <name>PGPType</name>
      <anchor>w6</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Module</name>
      <anchorfile>classKpgp_1_1Module.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~Module</name>
      <anchorfile>classKpgp_1_1Module.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>readConfig</name>
      <anchorfile>classKpgp_1_1Module.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>writeConfig</name>
      <anchorfile>classKpgp_1_1Module.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>(bool sync)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>init</name>
      <anchorfile>classKpgp_1_1Module.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>decrypt</name>
      <anchorfile>classKpgp_1_1Module.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>(Block &amp;block)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>verify</name>
      <anchorfile>classKpgp_1_1Module.html</anchorfile>
      <anchor>a6</anchor>
      <arglist>(Block &amp;block)</arglist>
    </member>
    <member kind="function">
      <type>Kpgp::Result</type>
      <name>clearsign</name>
      <anchorfile>classKpgp_1_1Module.html</anchorfile>
      <anchor>a7</anchor>
      <arglist>(Block &amp;block, const KeyID &amp;keyId, const QCString &amp;charset=0)</arglist>
    </member>
    <member kind="function">
      <type>Kpgp::Result</type>
      <name>encrypt</name>
      <anchorfile>classKpgp_1_1Module.html</anchorfile>
      <anchor>a8</anchor>
      <arglist>(Block &amp;block, const QStringList &amp;receivers, const KeyID &amp;keyId, bool sign, const QCString &amp;charset=0)</arglist>
    </member>
    <member kind="function">
      <type>Kpgp::Result</type>
      <name>getEncryptionKeys</name>
      <anchorfile>classKpgp_1_1Module.html</anchorfile>
      <anchor>a9</anchor>
      <arglist>(KeyIDList &amp;encryptionKeyIds, const QStringList &amp;recipients, const KeyID &amp;keyId)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>encryptionPossible</name>
      <anchorfile>classKpgp_1_1Module.html</anchorfile>
      <anchor>a10</anchor>
      <arglist>(const QStringList &amp;recipients)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>signKey</name>
      <anchorfile>classKpgp_1_1Module.html</anchorfile>
      <anchor>a11</anchor>
      <arglist>(const KeyID &amp;keyID)</arglist>
    </member>
    <member kind="function">
      <type>const KeyList</type>
      <name>publicKeys</name>
      <anchorfile>classKpgp_1_1Module.html</anchorfile>
      <anchor>a12</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>const KeyList</type>
      <name>secretKeys</name>
      <anchorfile>classKpgp_1_1Module.html</anchorfile>
      <anchor>a13</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>readPublicKeys</name>
      <anchorfile>classKpgp_1_1Module.html</anchorfile>
      <anchor>a14</anchor>
      <arglist>(bool reread=false)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>readSecretKeys</name>
      <anchorfile>classKpgp_1_1Module.html</anchorfile>
      <anchor>a15</anchor>
      <arglist>(bool reread=false)</arglist>
    </member>
    <member kind="function">
      <type>QCString</type>
      <name>getAsciiPublicKey</name>
      <anchorfile>classKpgp_1_1Module.html</anchorfile>
      <anchor>a16</anchor>
      <arglist>(const KeyID &amp;keyID)</arglist>
    </member>
    <member kind="function">
      <type>Key *</type>
      <name>publicKey</name>
      <anchorfile>classKpgp_1_1Module.html</anchorfile>
      <anchor>a17</anchor>
      <arglist>(const KeyID &amp;keyID)</arglist>
    </member>
    <member kind="function">
      <type>Key *</type>
      <name>publicKey</name>
      <anchorfile>classKpgp_1_1Module.html</anchorfile>
      <anchor>a18</anchor>
      <arglist>(const QString &amp;userID)</arglist>
    </member>
    <member kind="function">
      <type>Key *</type>
      <name>secretKey</name>
      <anchorfile>classKpgp_1_1Module.html</anchorfile>
      <anchor>a19</anchor>
      <arglist>(const KeyID &amp;keyID)</arglist>
    </member>
    <member kind="function">
      <type>Validity</type>
      <name>keyTrust</name>
      <anchorfile>classKpgp_1_1Module.html</anchorfile>
      <anchor>a20</anchor>
      <arglist>(const KeyID &amp;keyID)</arglist>
    </member>
    <member kind="function">
      <type>Validity</type>
      <name>keyTrust</name>
      <anchorfile>classKpgp_1_1Module.html</anchorfile>
      <anchor>a21</anchor>
      <arglist>(const QString &amp;userID)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isTrusted</name>
      <anchorfile>classKpgp_1_1Module.html</anchorfile>
      <anchor>a22</anchor>
      <arglist>(const KeyID &amp;keyID)</arglist>
    </member>
    <member kind="function">
      <type>Key *</type>
      <name>rereadKey</name>
      <anchorfile>classKpgp_1_1Module.html</anchorfile>
      <anchor>a23</anchor>
      <arglist>(const KeyID &amp;keyID, const bool readTrust=true)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>changePassPhrase</name>
      <anchorfile>classKpgp_1_1Module.html</anchorfile>
      <anchor>a24</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setUser</name>
      <anchorfile>classKpgp_1_1Module.html</anchorfile>
      <anchor>a25</anchor>
      <arglist>(const KeyID &amp;keyID)</arglist>
    </member>
    <member kind="function">
      <type>const KeyID</type>
      <name>user</name>
      <anchorfile>classKpgp_1_1Module.html</anchorfile>
      <anchor>a26</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setEncryptToSelf</name>
      <anchorfile>classKpgp_1_1Module.html</anchorfile>
      <anchor>a27</anchor>
      <arglist>(bool flag)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>encryptToSelf</name>
      <anchorfile>classKpgp_1_1Module.html</anchorfile>
      <anchor>a28</anchor>
      <arglist>(void) const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setStorePassPhrase</name>
      <anchorfile>classKpgp_1_1Module.html</anchorfile>
      <anchor>a29</anchor>
      <arglist>(bool)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>storePassPhrase</name>
      <anchorfile>classKpgp_1_1Module.html</anchorfile>
      <anchor>a30</anchor>
      <arglist>(void) const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>clear</name>
      <anchorfile>classKpgp_1_1Module.html</anchorfile>
      <anchor>a31</anchor>
      <arglist>(const bool erasePassPhrase=FALSE)</arglist>
    </member>
    <member kind="function">
      <type>const QString</type>
      <name>lastErrorMsg</name>
      <anchorfile>classKpgp_1_1Module.html</anchorfile>
      <anchor>a32</anchor>
      <arglist>(void) const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>havePGP</name>
      <anchorfile>classKpgp_1_1Module.html</anchorfile>
      <anchor>a33</anchor>
      <arglist>(void) const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>usePGP</name>
      <anchorfile>classKpgp_1_1Module.html</anchorfile>
      <anchor>a34</anchor>
      <arglist>(void) const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setShowCipherText</name>
      <anchorfile>classKpgp_1_1Module.html</anchorfile>
      <anchor>a35</anchor>
      <arglist>(const bool flag)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>showCipherText</name>
      <anchorfile>classKpgp_1_1Module.html</anchorfile>
      <anchor>a36</anchor>
      <arglist>(void) const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setShowKeyApprovalDlg</name>
      <anchorfile>classKpgp_1_1Module.html</anchorfile>
      <anchor>a37</anchor>
      <arglist>(const bool flag)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>showKeyApprovalDlg</name>
      <anchorfile>classKpgp_1_1Module.html</anchorfile>
      <anchor>a38</anchor>
      <arglist>(void) const </arglist>
    </member>
    <member kind="function">
      <type>KeyID</type>
      <name>selectSecretKey</name>
      <anchorfile>classKpgp_1_1Module.html</anchorfile>
      <anchor>a39</anchor>
      <arglist>(const QString &amp;title, const QString &amp;text=QString::null, const KeyID &amp;keyId=KeyID())</arglist>
    </member>
    <member kind="function">
      <type>KeyID</type>
      <name>selectPublicKey</name>
      <anchorfile>classKpgp_1_1Module.html</anchorfile>
      <anchor>a40</anchor>
      <arglist>(const QString &amp;title, const QString &amp;text=QString::null, const KeyID &amp;oldKeyId=KeyID(), const QString &amp;address=QString::null, const unsigned int allowedKeys=AllKeys)</arglist>
    </member>
    <member kind="function">
      <type>KeyIDList</type>
      <name>selectPublicKeys</name>
      <anchorfile>classKpgp_1_1Module.html</anchorfile>
      <anchor>a41</anchor>
      <arglist>(const QString &amp;title, const QString &amp;text=QString::null, const KeyIDList &amp;oldKeyIds=KeyIDList(), const QString &amp;address=QString::null, const unsigned int allowedKeys=AllKeys)</arglist>
    </member>
    <member kind="function">
      <type>EncryptPref</type>
      <name>encryptionPreference</name>
      <anchorfile>classKpgp_1_1Module.html</anchorfile>
      <anchor>a42</anchor>
      <arglist>(const QString &amp;address)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setEncryptionPreference</name>
      <anchorfile>classKpgp_1_1Module.html</anchorfile>
      <anchor>a43</anchor>
      <arglist>(const QString &amp;address, const EncryptPref pref)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static Kpgp::Module *</type>
      <name>getKpgp</name>
      <anchorfile>classKpgp_1_1Module.html</anchorfile>
      <anchor>e0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static KConfig *</type>
      <name>getConfig</name>
      <anchorfile>classKpgp_1_1Module.html</anchorfile>
      <anchor>e1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static bool</type>
      <name>prepareMessageForDecryption</name>
      <anchorfile>classKpgp_1_1Module.html</anchorfile>
      <anchor>e2</anchor>
      <arglist>(const QCString &amp;msg, QPtrList&lt; Block &gt; &amp;pgpBlocks, QStrList &amp;nonPgpBlocks)</arglist>
    </member>
    <member kind="variable">
      <type>enum Kpgp::Module::PGPType</type>
      <name>pgpType</name>
      <anchorfile>classKpgp_1_1Module.html</anchorfile>
      <anchor>o0</anchor>
      <arglist></arglist>
    </member>
    <member kind="function" protection="protected">
      <type>int</type>
      <name>doEncSign</name>
      <anchorfile>classKpgp_1_1Module.html</anchorfile>
      <anchor>b0</anchor>
      <arglist>(Block &amp;block, const KeyIDList &amp;recipientKeyIds, bool sign)</arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>Block</name>
      <anchorfile>classKpgp_1_1Module.html</anchorfile>
      <anchor>n0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kpgp::Base</name>
    <filename>classKpgp_1_1Base.html</filename>
    <member kind="function">
      <type></type>
      <name>Base</name>
      <anchorfile>classKpgp_1_1Base.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~Base</name>
      <anchorfile>classKpgp_1_1Base.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>encrypt</name>
      <anchorfile>classKpgp_1_1Base.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>(Block &amp;, const KeyIDList &amp;)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>clearsign</name>
      <anchorfile>classKpgp_1_1Base.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>(Block &amp;, const char *)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>encsign</name>
      <anchorfile>classKpgp_1_1Base.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>(Block &amp;, const KeyIDList &amp;, const char *=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>decrypt</name>
      <anchorfile>classKpgp_1_1Base.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>(Block &amp;, const char *=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>verify</name>
      <anchorfile>classKpgp_1_1Base.html</anchorfile>
      <anchor>a6</anchor>
      <arglist>(Block &amp;block)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual Key *</type>
      <name>readPublicKey</name>
      <anchorfile>classKpgp_1_1Base.html</anchorfile>
      <anchor>a7</anchor>
      <arglist>(const KeyID &amp;, const bool=false, Key *=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual KeyList</type>
      <name>publicKeys</name>
      <anchorfile>classKpgp_1_1Base.html</anchorfile>
      <anchor>a8</anchor>
      <arglist>(const QStringList &amp;=QStringList())</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual KeyList</type>
      <name>secretKeys</name>
      <anchorfile>classKpgp_1_1Base.html</anchorfile>
      <anchor>a9</anchor>
      <arglist>(const QStringList &amp;=QStringList())</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QCString</type>
      <name>getAsciiPublicKey</name>
      <anchorfile>classKpgp_1_1Base.html</anchorfile>
      <anchor>a10</anchor>
      <arglist>(const KeyID &amp;)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>signKey</name>
      <anchorfile>classKpgp_1_1Base.html</anchorfile>
      <anchor>a11</anchor>
      <arglist>(const KeyID &amp;, const char *)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QString</type>
      <name>lastErrorMessage</name>
      <anchorfile>classKpgp_1_1Base.html</anchorfile>
      <anchor>a12</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual int</type>
      <name>run</name>
      <anchorfile>classKpgp_1_1Base.html</anchorfile>
      <anchor>b0</anchor>
      <arglist>(const char *cmd, const char *passphrase=0, bool onlyReadFromPGP=false)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual int</type>
      <name>runGpg</name>
      <anchorfile>classKpgp_1_1Base.html</anchorfile>
      <anchor>b1</anchor>
      <arglist>(const char *cmd, const char *passphrase=0, bool onlyReadFromGnuPG=false)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>clear</name>
      <anchorfile>classKpgp_1_1Base.html</anchorfile>
      <anchor>b2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>QCString</type>
      <name>addUserId</name>
      <anchorfile>classKpgp_1_1Base.html</anchorfile>
      <anchor>b3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QCString</type>
      <name>input</name>
      <anchorfile>classKpgp_1_1Base.html</anchorfile>
      <anchor>p0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QCString</type>
      <name>output</name>
      <anchorfile>classKpgp_1_1Base.html</anchorfile>
      <anchor>p1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QCString</type>
      <name>error</name>
      <anchorfile>classKpgp_1_1Base.html</anchorfile>
      <anchor>p2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QString</type>
      <name>errMsg</name>
      <anchorfile>classKpgp_1_1Base.html</anchorfile>
      <anchor>p3</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QCString</type>
      <name>mVersion</name>
      <anchorfile>classKpgp_1_1Base.html</anchorfile>
      <anchor>p4</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>int</type>
      <name>status</name>
      <anchorfile>classKpgp_1_1Base.html</anchorfile>
      <anchor>p5</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kpgp::Base2</name>
    <filename>classKpgp_1_1Base2.html</filename>
    <base>Kpgp::Base</base>
    <member kind="function">
      <type></type>
      <name>Base2</name>
      <anchorfile>classKpgp_1_1Base2.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~Base2</name>
      <anchorfile>classKpgp_1_1Base2.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>encrypt</name>
      <anchorfile>classKpgp_1_1Base2.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>(Block &amp;block, const KeyIDList &amp;recipients)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>clearsign</name>
      <anchorfile>classKpgp_1_1Base2.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>(Block &amp;block, const char *passphrase)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>encsign</name>
      <anchorfile>classKpgp_1_1Base2.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>(Block &amp;block, const KeyIDList &amp;recipients, const char *passphrase=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>decrypt</name>
      <anchorfile>classKpgp_1_1Base2.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>(Block &amp;block, const char *passphrase=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>verify</name>
      <anchorfile>classKpgp_1_1Base2.html</anchorfile>
      <anchor>a6</anchor>
      <arglist>(Block &amp;block)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual Key *</type>
      <name>readPublicKey</name>
      <anchorfile>classKpgp_1_1Base2.html</anchorfile>
      <anchor>a7</anchor>
      <arglist>(const KeyID &amp;keyID, const bool readTrust=false, Key *key=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual KeyList</type>
      <name>publicKeys</name>
      <anchorfile>classKpgp_1_1Base2.html</anchorfile>
      <anchor>a8</anchor>
      <arglist>(const QStringList &amp;patterns=QStringList())</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual KeyList</type>
      <name>secretKeys</name>
      <anchorfile>classKpgp_1_1Base2.html</anchorfile>
      <anchor>a9</anchor>
      <arglist>(const QStringList &amp;patterns=QStringList())</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QCString</type>
      <name>getAsciiPublicKey</name>
      <anchorfile>classKpgp_1_1Base2.html</anchorfile>
      <anchor>a10</anchor>
      <arglist>(const KeyID &amp;keyID)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>signKey</name>
      <anchorfile>classKpgp_1_1Base2.html</anchorfile>
      <anchor>a11</anchor>
      <arglist>(const KeyID &amp;keyID, const char *passphrase)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>KeyList</type>
      <name>doGetPublicKeys</name>
      <anchorfile>classKpgp_1_1Base2.html</anchorfile>
      <anchor>b0</anchor>
      <arglist>(const QCString &amp;cmd, const QStringList &amp;patterns)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual KeyList</type>
      <name>parseKeyList</name>
      <anchorfile>classKpgp_1_1Base2.html</anchorfile>
      <anchor>b1</anchor>
      <arglist>(const QCString &amp;, bool)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kpgp::BaseG</name>
    <filename>classKpgp_1_1BaseG.html</filename>
    <base>Kpgp::Base</base>
    <member kind="function">
      <type></type>
      <name>BaseG</name>
      <anchorfile>classKpgp_1_1BaseG.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~BaseG</name>
      <anchorfile>classKpgp_1_1BaseG.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>encrypt</name>
      <anchorfile>classKpgp_1_1BaseG.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>(Block &amp;block, const KeyIDList &amp;recipients)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>clearsign</name>
      <anchorfile>classKpgp_1_1BaseG.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>(Block &amp;block, const char *passphrase)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>encsign</name>
      <anchorfile>classKpgp_1_1BaseG.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>(Block &amp;block, const KeyIDList &amp;recipients, const char *passphrase=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>decrypt</name>
      <anchorfile>classKpgp_1_1BaseG.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>(Block &amp;block, const char *passphrase=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>verify</name>
      <anchorfile>classKpgp_1_1BaseG.html</anchorfile>
      <anchor>a6</anchor>
      <arglist>(Block &amp;block)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual Key *</type>
      <name>readPublicKey</name>
      <anchorfile>classKpgp_1_1BaseG.html</anchorfile>
      <anchor>a7</anchor>
      <arglist>(const KeyID &amp;keyID, const bool readTrust=false, Key *key=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual KeyList</type>
      <name>publicKeys</name>
      <anchorfile>classKpgp_1_1BaseG.html</anchorfile>
      <anchor>a8</anchor>
      <arglist>(const QStringList &amp;patterns=QStringList())</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual KeyList</type>
      <name>secretKeys</name>
      <anchorfile>classKpgp_1_1BaseG.html</anchorfile>
      <anchor>a9</anchor>
      <arglist>(const QStringList &amp;patterns=QStringList())</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QCString</type>
      <name>getAsciiPublicKey</name>
      <anchorfile>classKpgp_1_1BaseG.html</anchorfile>
      <anchor>a10</anchor>
      <arglist>(const KeyID &amp;keyID)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>signKey</name>
      <anchorfile>classKpgp_1_1BaseG.html</anchorfile>
      <anchor>a11</anchor>
      <arglist>(const KeyID &amp;keyID, const char *passphrase)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kpgp::Base5</name>
    <filename>classKpgp_1_1Base5.html</filename>
    <base>Kpgp::Base</base>
    <member kind="function">
      <type></type>
      <name>Base5</name>
      <anchorfile>classKpgp_1_1Base5.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~Base5</name>
      <anchorfile>classKpgp_1_1Base5.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>encrypt</name>
      <anchorfile>classKpgp_1_1Base5.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>(Block &amp;block, const KeyIDList &amp;recipients)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>clearsign</name>
      <anchorfile>classKpgp_1_1Base5.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>(Block &amp;block, const char *passphrase)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>encsign</name>
      <anchorfile>classKpgp_1_1Base5.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>(Block &amp;block, const KeyIDList &amp;recipients, const char *passphrase=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>decrypt</name>
      <anchorfile>classKpgp_1_1Base5.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>(Block &amp;block, const char *passphrase=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>verify</name>
      <anchorfile>classKpgp_1_1Base5.html</anchorfile>
      <anchor>a6</anchor>
      <arglist>(Block &amp;block)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual Key *</type>
      <name>readPublicKey</name>
      <anchorfile>classKpgp_1_1Base5.html</anchorfile>
      <anchor>a7</anchor>
      <arglist>(const KeyID &amp;keyID, const bool readTrust=false, Key *key=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual KeyList</type>
      <name>publicKeys</name>
      <anchorfile>classKpgp_1_1Base5.html</anchorfile>
      <anchor>a8</anchor>
      <arglist>(const QStringList &amp;patterns=QStringList())</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual KeyList</type>
      <name>secretKeys</name>
      <anchorfile>classKpgp_1_1Base5.html</anchorfile>
      <anchor>a9</anchor>
      <arglist>(const QStringList &amp;patterns=QStringList())</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QCString</type>
      <name>getAsciiPublicKey</name>
      <anchorfile>classKpgp_1_1Base5.html</anchorfile>
      <anchor>a10</anchor>
      <arglist>(const KeyID &amp;keyID)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>signKey</name>
      <anchorfile>classKpgp_1_1Base5.html</anchorfile>
      <anchor>a11</anchor>
      <arglist>(const KeyID &amp;keyID, const char *passphrase)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kpgp::Base6</name>
    <filename>classKpgp_1_1Base6.html</filename>
    <base>Kpgp::Base2</base>
    <member kind="function">
      <type></type>
      <name>Base6</name>
      <anchorfile>classKpgp_1_1Base6.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~Base6</name>
      <anchorfile>classKpgp_1_1Base6.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>decrypt</name>
      <anchorfile>classKpgp_1_1Base6.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>(Block &amp;block, const char *passphrase=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>verify</name>
      <anchorfile>classKpgp_1_1Base6.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>(Block &amp;block)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual Key *</type>
      <name>readPublicKey</name>
      <anchorfile>classKpgp_1_1Base6.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>(const KeyID &amp;keyID, const bool readTrust=false, Key *key=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual KeyList</type>
      <name>publicKeys</name>
      <anchorfile>classKpgp_1_1Base6.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>(const QStringList &amp;patterns=QStringList())</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual KeyList</type>
      <name>secretKeys</name>
      <anchorfile>classKpgp_1_1Base6.html</anchorfile>
      <anchor>a6</anchor>
      <arglist>(const QStringList &amp;patterns=QStringList())</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>isVersion6</name>
      <anchorfile>classKpgp_1_1Base6.html</anchorfile>
      <anchor>a7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual KeyList</type>
      <name>parseKeyList</name>
      <anchorfile>classKpgp_1_1Base6.html</anchorfile>
      <anchor>b0</anchor>
      <arglist>(const QCString &amp;, bool)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kpgp::Block</name>
    <filename>classKpgp_1_1Block.html</filename>
    <member kind="function">
      <type></type>
      <name>Block</name>
      <anchorfile>classKpgp_1_1Block.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(const QCString &amp;str=QCString())</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~Block</name>
      <anchorfile>classKpgp_1_1Block.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QCString</type>
      <name>text</name>
      <anchorfile>classKpgp_1_1Block.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setText</name>
      <anchorfile>classKpgp_1_1Block.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>(const QCString &amp;str)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setProcessedText</name>
      <anchorfile>classKpgp_1_1Block.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>(const QCString &amp;str)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>status</name>
      <anchorfile>classKpgp_1_1Block.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setStatus</name>
      <anchorfile>classKpgp_1_1Block.html</anchorfile>
      <anchor>a6</anchor>
      <arglist>(const int status)</arglist>
    </member>
    <member kind="function">
      <type>BlockType</type>
      <name>type</name>
      <anchorfile>classKpgp_1_1Block.html</anchorfile>
      <anchor>a7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isEncrypted</name>
      <anchorfile>classKpgp_1_1Block.html</anchorfile>
      <anchor>a8</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isSigned</name>
      <anchorfile>classKpgp_1_1Block.html</anchorfile>
      <anchor>a9</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>goodSignature</name>
      <anchorfile>classKpgp_1_1Block.html</anchorfile>
      <anchor>a10</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>signatureUserId</name>
      <anchorfile>classKpgp_1_1Block.html</anchorfile>
      <anchor>a11</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setSignatureUserId</name>
      <anchorfile>classKpgp_1_1Block.html</anchorfile>
      <anchor>a12</anchor>
      <arglist>(const QString &amp;userId)</arglist>
    </member>
    <member kind="function">
      <type>QCString</type>
      <name>signatureKeyId</name>
      <anchorfile>classKpgp_1_1Block.html</anchorfile>
      <anchor>a13</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setSignatureKeyId</name>
      <anchorfile>classKpgp_1_1Block.html</anchorfile>
      <anchor>a14</anchor>
      <arglist>(const QCString &amp;keyId)</arglist>
    </member>
    <member kind="function">
      <type>QCString</type>
      <name>signatureDate</name>
      <anchorfile>classKpgp_1_1Block.html</anchorfile>
      <anchor>a15</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setSignatureDate</name>
      <anchorfile>classKpgp_1_1Block.html</anchorfile>
      <anchor>a16</anchor>
      <arglist>(const QCString &amp;date)</arglist>
    </member>
    <member kind="function">
      <type>const QStrList</type>
      <name>encryptedFor</name>
      <anchorfile>classKpgp_1_1Block.html</anchorfile>
      <anchor>a17</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>requiredKey</name>
      <anchorfile>classKpgp_1_1Block.html</anchorfile>
      <anchor>a18</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setRequiredKey</name>
      <anchorfile>classKpgp_1_1Block.html</anchorfile>
      <anchor>a19</anchor>
      <arglist>(const QCString &amp;keyId)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>requiredUserId</name>
      <anchorfile>classKpgp_1_1Block.html</anchorfile>
      <anchor>a20</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setRequiredUserId</name>
      <anchorfile>classKpgp_1_1Block.html</anchorfile>
      <anchor>a21</anchor>
      <arglist>(const QString &amp;userId)</arglist>
    </member>
    <member kind="function">
      <type>QCString</type>
      <name>error</name>
      <anchorfile>classKpgp_1_1Block.html</anchorfile>
      <anchor>a22</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setError</name>
      <anchorfile>classKpgp_1_1Block.html</anchorfile>
      <anchor>a23</anchor>
      <arglist>(const QCString &amp;str)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>reset</name>
      <anchorfile>classKpgp_1_1Block.html</anchorfile>
      <anchor>a24</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>decrypt</name>
      <anchorfile>classKpgp_1_1Block.html</anchorfile>
      <anchor>a25</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>verify</name>
      <anchorfile>classKpgp_1_1Block.html</anchorfile>
      <anchor>a26</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>Kpgp::Result</type>
      <name>clearsign</name>
      <anchorfile>classKpgp_1_1Block.html</anchorfile>
      <anchor>a27</anchor>
      <arglist>(const QCString &amp;keyId, const QCString &amp;charset=QCString())</arglist>
    </member>
    <member kind="function">
      <type>Kpgp::Result</type>
      <name>encrypt</name>
      <anchorfile>classKpgp_1_1Block.html</anchorfile>
      <anchor>a28</anchor>
      <arglist>(const QStringList &amp;receivers, const QCString &amp;keyId, const bool sign, const QCString &amp;charset=QCString())</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kpgp::KeyIDList</name>
    <filename>classKpgp_1_1KeyIDList.html</filename>
    <member kind="function">
      <type></type>
      <name>KeyIDList</name>
      <anchorfile>classKpgp_1_1KeyIDList.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KeyIDList</name>
      <anchorfile>classKpgp_1_1KeyIDList.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>(const KeyIDList &amp;l)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KeyIDList</name>
      <anchorfile>classKpgp_1_1KeyIDList.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>(const QValueList&lt; KeyID &gt; &amp;l)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KeyIDList</name>
      <anchorfile>classKpgp_1_1KeyIDList.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>(const KeyID &amp;i)</arglist>
    </member>
    <member kind="function">
      <type>QStringList</type>
      <name>toStringList</name>
      <anchorfile>classKpgp_1_1KeyIDList.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" static="yes">
      <type>static KeyIDList</type>
      <name>fromStringList</name>
      <anchorfile>classKpgp_1_1KeyIDList.html</anchorfile>
      <anchor>e0</anchor>
      <arglist>(const QStringList &amp;)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kpgp::UserID</name>
    <filename>classKpgp_1_1UserID.html</filename>
    <member kind="function">
      <type></type>
      <name>UserID</name>
      <anchorfile>classKpgp_1_1UserID.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(const QString &amp;str, const Validity validity=KPGP_VALIDITY_UNKNOWN, const bool revoked=false, const bool invalid=false)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~UserID</name>
      <anchorfile>classKpgp_1_1UserID.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>text</name>
      <anchorfile>classKpgp_1_1UserID.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>revoked</name>
      <anchorfile>classKpgp_1_1UserID.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>invalid</name>
      <anchorfile>classKpgp_1_1UserID.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>Validity</type>
      <name>validity</name>
      <anchorfile>classKpgp_1_1UserID.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setText</name>
      <anchorfile>classKpgp_1_1UserID.html</anchorfile>
      <anchor>a6</anchor>
      <arglist>(const QString &amp;str)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setRevoked</name>
      <anchorfile>classKpgp_1_1UserID.html</anchorfile>
      <anchor>a7</anchor>
      <arglist>(const bool revoked)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setInvalid</name>
      <anchorfile>classKpgp_1_1UserID.html</anchorfile>
      <anchor>a8</anchor>
      <arglist>(const bool invalid)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setValidity</name>
      <anchorfile>classKpgp_1_1UserID.html</anchorfile>
      <anchor>a9</anchor>
      <arglist>(const Validity validity)</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>mRevoked</name>
      <anchorfile>classKpgp_1_1UserID.html</anchorfile>
      <anchor>p0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>mInvalid</name>
      <anchorfile>classKpgp_1_1UserID.html</anchorfile>
      <anchor>p1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>Validity</type>
      <name>mValidity</name>
      <anchorfile>classKpgp_1_1UserID.html</anchorfile>
      <anchor>p2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QString</type>
      <name>mText</name>
      <anchorfile>classKpgp_1_1UserID.html</anchorfile>
      <anchor>p3</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kpgp::Subkey</name>
    <filename>classKpgp_1_1Subkey.html</filename>
    <member kind="function">
      <type></type>
      <name>Subkey</name>
      <anchorfile>classKpgp_1_1Subkey.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(const KeyID &amp;keyID, const bool secret=false)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~Subkey</name>
      <anchorfile>classKpgp_1_1Subkey.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>secret</name>
      <anchorfile>classKpgp_1_1Subkey.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>revoked</name>
      <anchorfile>classKpgp_1_1Subkey.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>expired</name>
      <anchorfile>classKpgp_1_1Subkey.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>disabled</name>
      <anchorfile>classKpgp_1_1Subkey.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>invalid</name>
      <anchorfile>classKpgp_1_1Subkey.html</anchorfile>
      <anchor>a6</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>canEncrypt</name>
      <anchorfile>classKpgp_1_1Subkey.html</anchorfile>
      <anchor>a7</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>canSign</name>
      <anchorfile>classKpgp_1_1Subkey.html</anchorfile>
      <anchor>a8</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>canCertify</name>
      <anchorfile>classKpgp_1_1Subkey.html</anchorfile>
      <anchor>a9</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>unsigned int</type>
      <name>keyAlgorithm</name>
      <anchorfile>classKpgp_1_1Subkey.html</anchorfile>
      <anchor>a10</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>unsigned int</type>
      <name>keyLength</name>
      <anchorfile>classKpgp_1_1Subkey.html</anchorfile>
      <anchor>a11</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>KeyID</type>
      <name>longKeyID</name>
      <anchorfile>classKpgp_1_1Subkey.html</anchorfile>
      <anchor>a12</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>KeyID</type>
      <name>keyID</name>
      <anchorfile>classKpgp_1_1Subkey.html</anchorfile>
      <anchor>a13</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QCString</type>
      <name>fingerprint</name>
      <anchorfile>classKpgp_1_1Subkey.html</anchorfile>
      <anchor>a14</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>time_t</type>
      <name>creationDate</name>
      <anchorfile>classKpgp_1_1Subkey.html</anchorfile>
      <anchor>a15</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>time_t</type>
      <name>expirationDate</name>
      <anchorfile>classKpgp_1_1Subkey.html</anchorfile>
      <anchor>a16</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setSecret</name>
      <anchorfile>classKpgp_1_1Subkey.html</anchorfile>
      <anchor>a17</anchor>
      <arglist>(const bool secret)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setRevoked</name>
      <anchorfile>classKpgp_1_1Subkey.html</anchorfile>
      <anchor>a18</anchor>
      <arglist>(const bool revoked)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setExpired</name>
      <anchorfile>classKpgp_1_1Subkey.html</anchorfile>
      <anchor>a19</anchor>
      <arglist>(const bool expired)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setDisabled</name>
      <anchorfile>classKpgp_1_1Subkey.html</anchorfile>
      <anchor>a20</anchor>
      <arglist>(const bool disabled)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setInvalid</name>
      <anchorfile>classKpgp_1_1Subkey.html</anchorfile>
      <anchor>a21</anchor>
      <arglist>(const bool invalid)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setCanEncrypt</name>
      <anchorfile>classKpgp_1_1Subkey.html</anchorfile>
      <anchor>a22</anchor>
      <arglist>(const bool canEncrypt)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setCanSign</name>
      <anchorfile>classKpgp_1_1Subkey.html</anchorfile>
      <anchor>a23</anchor>
      <arglist>(const bool canSign)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setCanCertify</name>
      <anchorfile>classKpgp_1_1Subkey.html</anchorfile>
      <anchor>a24</anchor>
      <arglist>(const bool canCertify)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setKeyAlgorithm</name>
      <anchorfile>classKpgp_1_1Subkey.html</anchorfile>
      <anchor>a25</anchor>
      <arglist>(const unsigned int keyAlgo)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setKeyLength</name>
      <anchorfile>classKpgp_1_1Subkey.html</anchorfile>
      <anchor>a26</anchor>
      <arglist>(const unsigned int keyLen)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setKeyID</name>
      <anchorfile>classKpgp_1_1Subkey.html</anchorfile>
      <anchor>a27</anchor>
      <arglist>(const KeyID &amp;keyID)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setFingerprint</name>
      <anchorfile>classKpgp_1_1Subkey.html</anchorfile>
      <anchor>a28</anchor>
      <arglist>(const QCString &amp;fingerprint)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setCreationDate</name>
      <anchorfile>classKpgp_1_1Subkey.html</anchorfile>
      <anchor>a29</anchor>
      <arglist>(const time_t creationDate)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setExpirationDate</name>
      <anchorfile>classKpgp_1_1Subkey.html</anchorfile>
      <anchor>a30</anchor>
      <arglist>(const time_t expirationDate)</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>mSecret</name>
      <anchorfile>classKpgp_1_1Subkey.html</anchorfile>
      <anchor>p0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>mRevoked</name>
      <anchorfile>classKpgp_1_1Subkey.html</anchorfile>
      <anchor>p1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>mExpired</name>
      <anchorfile>classKpgp_1_1Subkey.html</anchorfile>
      <anchor>p2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>mDisabled</name>
      <anchorfile>classKpgp_1_1Subkey.html</anchorfile>
      <anchor>p3</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>mInvalid</name>
      <anchorfile>classKpgp_1_1Subkey.html</anchorfile>
      <anchor>p4</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>mCanEncrypt</name>
      <anchorfile>classKpgp_1_1Subkey.html</anchorfile>
      <anchor>p5</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>mCanSign</name>
      <anchorfile>classKpgp_1_1Subkey.html</anchorfile>
      <anchor>p6</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>mCanCertify</name>
      <anchorfile>classKpgp_1_1Subkey.html</anchorfile>
      <anchor>p7</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>unsigned int</type>
      <name>mKeyAlgo</name>
      <anchorfile>classKpgp_1_1Subkey.html</anchorfile>
      <anchor>p8</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>unsigned int</type>
      <name>mKeyLen</name>
      <anchorfile>classKpgp_1_1Subkey.html</anchorfile>
      <anchor>p9</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>KeyID</type>
      <name>mKeyID</name>
      <anchorfile>classKpgp_1_1Subkey.html</anchorfile>
      <anchor>p10</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QCString</type>
      <name>mFingerprint</name>
      <anchorfile>classKpgp_1_1Subkey.html</anchorfile>
      <anchor>p11</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>time_t</type>
      <name>mTimestamp</name>
      <anchorfile>classKpgp_1_1Subkey.html</anchorfile>
      <anchor>p12</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>time_t</type>
      <name>mExpiration</name>
      <anchorfile>classKpgp_1_1Subkey.html</anchorfile>
      <anchor>p13</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kpgp::Key</name>
    <filename>classKpgp_1_1Key.html</filename>
    <member kind="function">
      <type></type>
      <name>Key</name>
      <anchorfile>classKpgp_1_1Key.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(const KeyID &amp;keyid=KeyID(), const QString &amp;uid=QString::null, const bool secret=false)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~Key</name>
      <anchorfile>classKpgp_1_1Key.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>clear</name>
      <anchorfile>classKpgp_1_1Key.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>secret</name>
      <anchorfile>classKpgp_1_1Key.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>revoked</name>
      <anchorfile>classKpgp_1_1Key.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>expired</name>
      <anchorfile>classKpgp_1_1Key.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>disabled</name>
      <anchorfile>classKpgp_1_1Key.html</anchorfile>
      <anchor>a6</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>invalid</name>
      <anchorfile>classKpgp_1_1Key.html</anchorfile>
      <anchor>a7</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>canEncrypt</name>
      <anchorfile>classKpgp_1_1Key.html</anchorfile>
      <anchor>a8</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>canSign</name>
      <anchorfile>classKpgp_1_1Key.html</anchorfile>
      <anchor>a9</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>canCertify</name>
      <anchorfile>classKpgp_1_1Key.html</anchorfile>
      <anchor>a10</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setSecret</name>
      <anchorfile>classKpgp_1_1Key.html</anchorfile>
      <anchor>a11</anchor>
      <arglist>(const bool secret)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setRevoked</name>
      <anchorfile>classKpgp_1_1Key.html</anchorfile>
      <anchor>a12</anchor>
      <arglist>(const bool revoked)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setExpired</name>
      <anchorfile>classKpgp_1_1Key.html</anchorfile>
      <anchor>a13</anchor>
      <arglist>(const bool expired)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setDisabled</name>
      <anchorfile>classKpgp_1_1Key.html</anchorfile>
      <anchor>a14</anchor>
      <arglist>(const bool disabled)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setInvalid</name>
      <anchorfile>classKpgp_1_1Key.html</anchorfile>
      <anchor>a15</anchor>
      <arglist>(const bool invalid)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setCanEncrypt</name>
      <anchorfile>classKpgp_1_1Key.html</anchorfile>
      <anchor>a16</anchor>
      <arglist>(const bool canEncrypt)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setCanSign</name>
      <anchorfile>classKpgp_1_1Key.html</anchorfile>
      <anchor>a17</anchor>
      <arglist>(const bool canSign)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setCanCertify</name>
      <anchorfile>classKpgp_1_1Key.html</anchorfile>
      <anchor>a18</anchor>
      <arglist>(const bool canCertify)</arglist>
    </member>
    <member kind="function">
      <type>EncryptPref</type>
      <name>encryptionPreference</name>
      <anchorfile>classKpgp_1_1Key.html</anchorfile>
      <anchor>a19</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setEncryptionPreference</name>
      <anchorfile>classKpgp_1_1Key.html</anchorfile>
      <anchor>a20</anchor>
      <arglist>(const EncryptPref encrPref)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>primaryUserID</name>
      <anchorfile>classKpgp_1_1Key.html</anchorfile>
      <anchor>a21</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>KeyID</type>
      <name>primaryKeyID</name>
      <anchorfile>classKpgp_1_1Key.html</anchorfile>
      <anchor>a22</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QCString</type>
      <name>primaryFingerprint</name>
      <anchorfile>classKpgp_1_1Key.html</anchorfile>
      <anchor>a23</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isNull</name>
      <anchorfile>classKpgp_1_1Key.html</anchorfile>
      <anchor>a24</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>time_t</type>
      <name>creationDate</name>
      <anchorfile>classKpgp_1_1Key.html</anchorfile>
      <anchor>a25</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>Validity</type>
      <name>keyTrust</name>
      <anchorfile>classKpgp_1_1Key.html</anchorfile>
      <anchor>a26</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>Validity</type>
      <name>keyTrust</name>
      <anchorfile>classKpgp_1_1Key.html</anchorfile>
      <anchor>a27</anchor>
      <arglist>(const QString &amp;uid) const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>cloneKeyTrust</name>
      <anchorfile>classKpgp_1_1Key.html</anchorfile>
      <anchor>a28</anchor>
      <arglist>(const Key *key)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isValid</name>
      <anchorfile>classKpgp_1_1Key.html</anchorfile>
      <anchor>a29</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isValidEncryptionKey</name>
      <anchorfile>classKpgp_1_1Key.html</anchorfile>
      <anchor>a30</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isValidSigningKey</name>
      <anchorfile>classKpgp_1_1Key.html</anchorfile>
      <anchor>a31</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>const UserIDList</type>
      <name>userIDs</name>
      <anchorfile>classKpgp_1_1Key.html</anchorfile>
      <anchor>a32</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>const SubkeyList</type>
      <name>subkeys</name>
      <anchorfile>classKpgp_1_1Key.html</anchorfile>
      <anchor>a33</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addUserID</name>
      <anchorfile>classKpgp_1_1Key.html</anchorfile>
      <anchor>a34</anchor>
      <arglist>(const QString &amp;uid, const Validity validity=KPGP_VALIDITY_UNKNOWN, const bool revoked=false, const bool invalid=false)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addUserID</name>
      <anchorfile>classKpgp_1_1Key.html</anchorfile>
      <anchor>a35</anchor>
      <arglist>(const UserID *userID)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>matchesUserID</name>
      <anchorfile>classKpgp_1_1Key.html</anchorfile>
      <anchor>a36</anchor>
      <arglist>(const QString &amp;str, bool cs=true)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addSubkey</name>
      <anchorfile>classKpgp_1_1Key.html</anchorfile>
      <anchor>a37</anchor>
      <arglist>(const KeyID &amp;keyID, const bool secret=false)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addSubkey</name>
      <anchorfile>classKpgp_1_1Key.html</anchorfile>
      <anchor>a38</anchor>
      <arglist>(const Subkey *subkey)</arglist>
    </member>
    <member kind="function">
      <type>Subkey *</type>
      <name>getSubkey</name>
      <anchorfile>classKpgp_1_1Key.html</anchorfile>
      <anchor>a39</anchor>
      <arglist>(const KeyID &amp;keyID)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setFingerprint</name>
      <anchorfile>classKpgp_1_1Key.html</anchorfile>
      <anchor>a40</anchor>
      <arglist>(const KeyID &amp;keyID, const QCString &amp;fpr)</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>mSecret</name>
      <anchorfile>classKpgp_1_1Key.html</anchorfile>
      <anchor>p0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>mRevoked</name>
      <anchorfile>classKpgp_1_1Key.html</anchorfile>
      <anchor>p1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>mExpired</name>
      <anchorfile>classKpgp_1_1Key.html</anchorfile>
      <anchor>p2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>mDisabled</name>
      <anchorfile>classKpgp_1_1Key.html</anchorfile>
      <anchor>p3</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>mInvalid</name>
      <anchorfile>classKpgp_1_1Key.html</anchorfile>
      <anchor>p4</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>mCanEncrypt</name>
      <anchorfile>classKpgp_1_1Key.html</anchorfile>
      <anchor>p5</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>mCanSign</name>
      <anchorfile>classKpgp_1_1Key.html</anchorfile>
      <anchor>p6</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>mCanCertify</name>
      <anchorfile>classKpgp_1_1Key.html</anchorfile>
      <anchor>p7</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>EncryptPref</type>
      <name>mEncryptPref</name>
      <anchorfile>classKpgp_1_1Key.html</anchorfile>
      <anchor>p8</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>SubkeyList</type>
      <name>mSubkeys</name>
      <anchorfile>classKpgp_1_1Key.html</anchorfile>
      <anchor>p9</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>UserIDList</type>
      <name>mUserIDs</name>
      <anchorfile>classKpgp_1_1Key.html</anchorfile>
      <anchor>p10</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kpgp::KeyList</name>
    <filename>classKpgp_1_1KeyList.html</filename>
    <member kind="function">
      <type></type>
      <name>~KeyList</name>
      <anchorfile>classKpgp_1_1KeyList.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kpgp::PassphraseDialog</name>
    <filename>classKpgp_1_1PassphraseDialog.html</filename>
    <member kind="function">
      <type></type>
      <name>PassphraseDialog</name>
      <anchorfile>classKpgp_1_1PassphraseDialog.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(QWidget *parent=0, const QString &amp;caption=QString::null, bool modal=true, const QString &amp;keyID=QString::null)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~PassphraseDialog</name>
      <anchorfile>classKpgp_1_1PassphraseDialog.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>const char *</type>
      <name>passphrase</name>
      <anchorfile>classKpgp_1_1PassphraseDialog.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kpgp::Config</name>
    <filename>classKpgp_1_1Config.html</filename>
    <member kind="signal">
      <type>void</type>
      <name>changed</name>
      <anchorfile>classKpgp_1_1Config.html</anchorfile>
      <anchor>l0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Config</name>
      <anchorfile>classKpgp_1_1Config.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(QWidget *parent=0, const char *name=0, bool encrypt=true)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~Config</name>
      <anchorfile>classKpgp_1_1Config.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setValues</name>
      <anchorfile>classKpgp_1_1Config.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>applySettings</name>
      <anchorfile>classKpgp_1_1Config.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QGroupBox *</type>
      <name>optionsGroupBox</name>
      <anchorfile>classKpgp_1_1Config.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>Module *</type>
      <name>pgp</name>
      <anchorfile>classKpgp_1_1Config.html</anchorfile>
      <anchor>p0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QCheckBox *</type>
      <name>storePass</name>
      <anchorfile>classKpgp_1_1Config.html</anchorfile>
      <anchor>p1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QCheckBox *</type>
      <name>encToSelf</name>
      <anchorfile>classKpgp_1_1Config.html</anchorfile>
      <anchor>p2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QCheckBox *</type>
      <name>showCipherText</name>
      <anchorfile>classKpgp_1_1Config.html</anchorfile>
      <anchor>p3</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QCheckBox *</type>
      <name>showKeyApprovalDlg</name>
      <anchorfile>classKpgp_1_1Config.html</anchorfile>
      <anchor>p4</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QComboBox *</type>
      <name>toolCombo</name>
      <anchorfile>classKpgp_1_1Config.html</anchorfile>
      <anchor>p5</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QGroupBox *</type>
      <name>mpOptionsGroupBox</name>
      <anchorfile>classKpgp_1_1Config.html</anchorfile>
      <anchor>p6</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kpgp::KeySelectionDialog</name>
    <filename>classKpgp_1_1KeySelectionDialog.html</filename>
    <member kind="function">
      <type></type>
      <name>KeySelectionDialog</name>
      <anchorfile>classKpgp_1_1KeySelectionDialog.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(const KeyList &amp;keyList, const QString &amp;title, const QString &amp;text=QString::null, const KeyIDList &amp;keyIds=KeyIDList(), const bool rememberChoice=false, const unsigned int allowedKeys=AllKeys, const bool extendedSelection=false, QWidget *parent=0, const char *name=0, bool modal=true)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~KeySelectionDialog</name>
      <anchorfile>classKpgp_1_1KeySelectionDialog.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual KeyID</type>
      <name>key</name>
      <anchorfile>classKpgp_1_1KeySelectionDialog.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual KeyIDList</type>
      <name>keys</name>
      <anchorfile>classKpgp_1_1KeySelectionDialog.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>rememberSelection</name>
      <anchorfile>classKpgp_1_1KeySelectionDialog.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="slot" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>slotRereadKeys</name>
      <anchorfile>classKpgp_1_1KeySelectionDialog.html</anchorfile>
      <anchor>j0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>slotSelectionChanged</name>
      <anchorfile>classKpgp_1_1KeySelectionDialog.html</anchorfile>
      <anchor>j1</anchor>
      <arglist>(QListViewItem *)</arglist>
    </member>
    <member kind="slot" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>slotSelectionChanged</name>
      <anchorfile>classKpgp_1_1KeySelectionDialog.html</anchorfile>
      <anchor>j2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>slotCheckSelection</name>
      <anchorfile>classKpgp_1_1KeySelectionDialog.html</anchorfile>
      <anchor>j3</anchor>
      <arglist>(QListViewItem *=0)</arglist>
    </member>
    <member kind="slot" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>slotRMB</name>
      <anchorfile>classKpgp_1_1KeySelectionDialog.html</anchorfile>
      <anchor>j4</anchor>
      <arglist>(QListViewItem *, const QPoint &amp;, int)</arglist>
    </member>
    <member kind="slot" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>slotRecheckKey</name>
      <anchorfile>classKpgp_1_1KeySelectionDialog.html</anchorfile>
      <anchor>j5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>slotOk</name>
      <anchorfile>classKpgp_1_1KeySelectionDialog.html</anchorfile>
      <anchor>j6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>slotCancel</name>
      <anchorfile>classKpgp_1_1KeySelectionDialog.html</anchorfile>
      <anchor>j7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>slotSearch</name>
      <anchorfile>classKpgp_1_1KeySelectionDialog.html</anchorfile>
      <anchor>j8</anchor>
      <arglist>(const QString &amp;text)</arglist>
    </member>
    <member kind="slot" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>slotFilter</name>
      <anchorfile>classKpgp_1_1KeySelectionDialog.html</anchorfile>
      <anchor>j9</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kpgp::KeyRequester</name>
    <filename>classKpgp_1_1KeyRequester.html</filename>
    <member kind="signal">
      <type>void</type>
      <name>changed</name>
      <anchorfile>classKpgp_1_1KeyRequester.html</anchorfile>
      <anchor>l0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KeyRequester</name>
      <anchorfile>classKpgp_1_1KeyRequester.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(QWidget *parent=0, bool multipleKeys=false, unsigned int allowedKeys=AllKeys, const char *name=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~KeyRequester</name>
      <anchorfile>classKpgp_1_1KeyRequester.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>KeyIDList</type>
      <name>keyIDs</name>
      <anchorfile>classKpgp_1_1KeyRequester.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setKeyIDs</name>
      <anchorfile>classKpgp_1_1KeyRequester.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>(const KeyIDList &amp;keyIDs)</arglist>
    </member>
    <member kind="function">
      <type>QPushButton *</type>
      <name>eraseButton</name>
      <anchorfile>classKpgp_1_1KeyRequester.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QPushButton *</type>
      <name>dialogButton</name>
      <anchorfile>classKpgp_1_1KeyRequester.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setDialogCaption</name>
      <anchorfile>classKpgp_1_1KeyRequester.html</anchorfile>
      <anchor>a6</anchor>
      <arglist>(const QString &amp;caption)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setDialogMessage</name>
      <anchorfile>classKpgp_1_1KeyRequester.html</anchorfile>
      <anchor>a7</anchor>
      <arglist>(const QString &amp;message)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isMultipleKeysEnabled</name>
      <anchorfile>classKpgp_1_1KeyRequester.html</anchorfile>
      <anchor>a8</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setMultipleKeysEnabled</name>
      <anchorfile>classKpgp_1_1KeyRequester.html</anchorfile>
      <anchor>a9</anchor>
      <arglist>(bool enable)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>allowedKeys</name>
      <anchorfile>classKpgp_1_1KeyRequester.html</anchorfile>
      <anchor>a10</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setAllowedKeys</name>
      <anchorfile>classKpgp_1_1KeyRequester.html</anchorfile>
      <anchor>a11</anchor>
      <arglist>(int allowed)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotDialogButtonClicked</name>
      <anchorfile>classKpgp_1_1KeyRequester.html</anchorfile>
      <anchor>j0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotEraseButtonClicked</name>
      <anchorfile>classKpgp_1_1KeyRequester.html</anchorfile>
      <anchor>j1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="pure">
      <type>virtual KeyIDList</type>
      <name>keyRequestHook</name>
      <anchorfile>classKpgp_1_1KeyRequester.html</anchorfile>
      <anchor>b0</anchor>
      <arglist>(Module *pgp) const =0</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>virtual_hook</name>
      <anchorfile>classKpgp_1_1KeyRequester.html</anchorfile>
      <anchor>b1</anchor>
      <arglist>(int, void *)</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QLabel *</type>
      <name>mLabel</name>
      <anchorfile>classKpgp_1_1KeyRequester.html</anchorfile>
      <anchor>p0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QPushButton *</type>
      <name>mEraseButton</name>
      <anchorfile>classKpgp_1_1KeyRequester.html</anchorfile>
      <anchor>p1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QPushButton *</type>
      <name>mDialogButton</name>
      <anchorfile>classKpgp_1_1KeyRequester.html</anchorfile>
      <anchor>p2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QString</type>
      <name>mDialogCaption</name>
      <anchorfile>classKpgp_1_1KeyRequester.html</anchorfile>
      <anchor>p3</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QString</type>
      <name>mDialogMessage</name>
      <anchorfile>classKpgp_1_1KeyRequester.html</anchorfile>
      <anchor>p4</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>mMulti</name>
      <anchorfile>classKpgp_1_1KeyRequester.html</anchorfile>
      <anchor>p5</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>int</type>
      <name>mAllowedKeys</name>
      <anchorfile>classKpgp_1_1KeyRequester.html</anchorfile>
      <anchor>p6</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>KeyIDList</type>
      <name>mKeys</name>
      <anchorfile>classKpgp_1_1KeyRequester.html</anchorfile>
      <anchor>p7</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kpgp::PublicKeyRequester</name>
    <filename>classKpgp_1_1PublicKeyRequester.html</filename>
    <base>Kpgp::KeyRequester</base>
    <member kind="function">
      <type></type>
      <name>PublicKeyRequester</name>
      <anchorfile>classKpgp_1_1PublicKeyRequester.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(QWidget *parent=0, bool multipleKeys=false, unsigned int allowedKeys=PublicKeys, const char *name=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~PublicKeyRequester</name>
      <anchorfile>classKpgp_1_1PublicKeyRequester.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>KeyIDList</type>
      <name>keyRequestHook</name>
      <anchorfile>classKpgp_1_1PublicKeyRequester.html</anchorfile>
      <anchor>b0</anchor>
      <arglist>(Module *pgp) const </arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>virtual_hook</name>
      <anchorfile>classKpgp_1_1PublicKeyRequester.html</anchorfile>
      <anchor>b1</anchor>
      <arglist>(int, void *)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kpgp::SecretKeyRequester</name>
    <filename>classKpgp_1_1SecretKeyRequester.html</filename>
    <base>Kpgp::KeyRequester</base>
    <member kind="function">
      <type></type>
      <name>SecretKeyRequester</name>
      <anchorfile>classKpgp_1_1SecretKeyRequester.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(QWidget *parent=0, bool multipleKeys=false, unsigned int allowedKeys=SecretKeys, const char *name=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~SecretKeyRequester</name>
      <anchorfile>classKpgp_1_1SecretKeyRequester.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>KeyIDList</type>
      <name>keyRequestHook</name>
      <anchorfile>classKpgp_1_1SecretKeyRequester.html</anchorfile>
      <anchor>b0</anchor>
      <arglist>(Module *pgp) const </arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>virtual_hook</name>
      <anchorfile>classKpgp_1_1SecretKeyRequester.html</anchorfile>
      <anchor>b1</anchor>
      <arglist>(int, void *)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kpgp::KeyApprovalDialog</name>
    <filename>classKpgp_1_1KeyApprovalDialog.html</filename>
    <member kind="function">
      <type></type>
      <name>KeyApprovalDialog</name>
      <anchorfile>classKpgp_1_1KeyApprovalDialog.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(const QStringList &amp;, const QValueVector&lt; KeyIDList &gt; &amp;, const int allowedKeys, QWidget *parent=0, const char *name=0, bool modal=true)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~KeyApprovalDialog</name>
      <anchorfile>classKpgp_1_1KeyApprovalDialog.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QValueVector&lt; KeyIDList &gt;</type>
      <name>keys</name>
      <anchorfile>classKpgp_1_1KeyApprovalDialog.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>preferencesChanged</name>
      <anchorfile>classKpgp_1_1KeyApprovalDialog.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotPrefsChanged</name>
      <anchorfile>classKpgp_1_1KeyApprovalDialog.html</anchorfile>
      <anchor>j0</anchor>
      <arglist>(int)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotChangeEncryptionKey</name>
      <anchorfile>classKpgp_1_1KeyApprovalDialog.html</anchorfile>
      <anchor>j1</anchor>
      <arglist>(int)</arglist>
    </member>
    <member kind="slot" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>slotOk</name>
      <anchorfile>classKpgp_1_1KeyApprovalDialog.html</anchorfile>
      <anchor>j2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>slotCancel</name>
      <anchorfile>classKpgp_1_1KeyApprovalDialog.html</anchorfile>
      <anchor>j3</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kpgp::CipherTextDialog</name>
    <filename>classKpgp_1_1CipherTextDialog.html</filename>
    <member kind="function">
      <type></type>
      <name>CipherTextDialog</name>
      <anchorfile>classKpgp_1_1CipherTextDialog.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(const QCString &amp;text, const QCString &amp;charset=0, QWidget *parent=0, const char *name=0, bool modal=true)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~CipherTextDialog</name>
      <anchorfile>classKpgp_1_1CipherTextDialog.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
</tagfile>
