<?xml version='1.0' encoding='ISO-8859-1' standalone='yes' ?>
<tagfile>
  <compound kind="dir">
    <name>/home/services/builder/rpm/BUILD/kdepim-3.5.10/libkpimidentities/</name>
    <path>/home/services/builder/rpm/BUILD/kdepim-3.5.10/libkpimidentities/</path>
    <filename>dir_000000.html</filename>
    <file>identity.cpp</file>
    <file>identity.h</file>
    <file>identitycombo.cpp</file>
    <file>identitycombo.h</file>
    <file>identitymanager.cpp</file>
    <file>identitymanager.h</file>
    <file>identitymanager_skel.cpp</file>
  </compound>
  <compound kind="namespace">
    <name>KPIM</name>
    <filename>namespaceKPIM.html</filename>
    <class kind="class">KPIM::Signature</class>
    <class kind="class">KPIM::Identity</class>
    <class kind="class">KPIM::IdentityCombo</class>
    <class kind="class">KPIM::IdentityManager</class>
    <member kind="function">
      <type>QDataStream &amp;</type>
      <name>operator&lt;&lt;</name>
      <anchorfile>namespaceKPIM.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>(QDataStream &amp;stream, const KPIM::Signature &amp;sig)</arglist>
    </member>
    <member kind="function">
      <type>QDataStream &amp;</type>
      <name>operator&gt;&gt;</name>
      <anchorfile>namespaceKPIM.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>(QDataStream &amp;stream, KPIM::Signature &amp;sig)</arglist>
    </member>
    <member kind="function">
      <type>QDataStream &amp;</type>
      <name>operator&lt;&lt;</name>
      <anchorfile>namespaceKPIM.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>(QDataStream &amp;stream, const KPIM::Identity &amp;i)</arglist>
    </member>
    <member kind="function">
      <type>QDataStream &amp;</type>
      <name>operator&gt;&gt;</name>
      <anchorfile>namespaceKPIM.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>(QDataStream &amp;stream, KPIM::Identity &amp;i)</arglist>
    </member>
    <member kind="variable" static="yes">
      <type>static const char *const</type>
      <name>IdentityManager_ftable</name>
      <anchorfile>namespaceKPIM.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>[2][3]</arglist>
    </member>
    <member kind="variable" static="yes">
      <type>static const int</type>
      <name>IdentityManager_ftable_hiddens</name>
      <anchorfile>namespaceKPIM.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>[1]</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KPIM::Signature</name>
    <filename>classKPIM_1_1Signature.html</filename>
    <member kind="enumeration">
      <name>Type</name>
      <anchor>w4</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>operator==</name>
      <anchorfile>classKPIM_1_1Signature.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(const Signature &amp;other) const </arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Signature</name>
      <anchorfile>classKPIM_1_1Signature.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Signature</name>
      <anchorfile>classKPIM_1_1Signature.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>(const QString &amp;text)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Signature</name>
      <anchorfile>classKPIM_1_1Signature.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>(const QString &amp;url, bool isExecutable)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>rawText</name>
      <anchorfile>classKPIM_1_1Signature.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>(bool *ok=0) const </arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>withSeparator</name>
      <anchorfile>classKPIM_1_1Signature.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>(bool *ok=0) const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setText</name>
      <anchorfile>classKPIM_1_1Signature.html</anchorfile>
      <anchor>a6</anchor>
      <arglist>(const QString &amp;text)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>text</name>
      <anchorfile>classKPIM_1_1Signature.html</anchorfile>
      <anchor>a7</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setUrl</name>
      <anchorfile>classKPIM_1_1Signature.html</anchorfile>
      <anchor>a8</anchor>
      <arglist>(const QString &amp;url, bool isExecutable=false)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>url</name>
      <anchorfile>classKPIM_1_1Signature.html</anchorfile>
      <anchor>a9</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>Type</type>
      <name>type</name>
      <anchorfile>classKPIM_1_1Signature.html</anchorfile>
      <anchor>a10</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setType</name>
      <anchorfile>classKPIM_1_1Signature.html</anchorfile>
      <anchor>a11</anchor>
      <arglist>(Type type)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>writeConfig</name>
      <anchorfile>classKPIM_1_1Signature.html</anchorfile>
      <anchor>b0</anchor>
      <arglist>(KConfigBase *config) const </arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>readConfig</name>
      <anchorfile>classKPIM_1_1Signature.html</anchorfile>
      <anchor>b1</anchor>
      <arglist>(const KConfigBase *config)</arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>Identity</name>
      <anchorfile>classKPIM_1_1Signature.html</anchorfile>
      <anchor>n0</anchor>
      <arglist></arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend QDataStream &amp;</type>
      <name>operator&lt;&lt;</name>
      <anchorfile>classKPIM_1_1Signature.html</anchorfile>
      <anchor>n1</anchor>
      <arglist>(QDataStream &amp;stream, const Signature &amp;sig)</arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend QDataStream &amp;</type>
      <name>operator&gt;&gt;</name>
      <anchorfile>classKPIM_1_1Signature.html</anchorfile>
      <anchor>n2</anchor>
      <arglist>(QDataStream &amp;stream, Signature &amp;sig)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KPIM::Identity</name>
    <filename>classKPIM_1_1Identity.html</filename>
    <member kind="typedef">
      <type>QValueList&lt; Identity &gt;</type>
      <name>List</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>w0</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>operator==</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(const Identity &amp;other) const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>operator!=</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>(const Identity &amp;other) const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>operator&lt;</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>(const Identity &amp;other) const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>operator&gt;</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>(const Identity &amp;other) const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>operator&lt;=</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>(const Identity &amp;other) const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>operator&gt;=</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>(const Identity &amp;other) const </arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Identity</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>a6</anchor>
      <arglist>(const QString &amp;id=QString::null, const QString &amp;realName=QString::null, const QString &amp;emailAddr=QString::null, const QString &amp;organization=QString::null, const QString &amp;replyToAddress=QString::null)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~Identity</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>a7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>mailingAllowed</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>a8</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>identityName</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>a9</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setIdentityName</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>a10</anchor>
      <arglist>(const QString &amp;name)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isDefault</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>a11</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>uint</type>
      <name>uoid</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>a12</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>fullName</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>a13</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setFullName</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>a14</anchor>
      <arglist>(const QString &amp;)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>organization</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>a15</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setOrganization</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>a16</anchor>
      <arglist>(const QString &amp;)</arglist>
    </member>
    <member kind="function">
      <type>KDE_DEPRECATED QCString</type>
      <name>pgpIdentity</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>a17</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>KDE_DEPRECATED void</type>
      <name>setPgpIdentity</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>a18</anchor>
      <arglist>(const QCString &amp;key)</arglist>
    </member>
    <member kind="function">
      <type>QCString</type>
      <name>pgpEncryptionKey</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>a19</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setPGPEncryptionKey</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>a20</anchor>
      <arglist>(const QCString &amp;key)</arglist>
    </member>
    <member kind="function">
      <type>QCString</type>
      <name>pgpSigningKey</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>a21</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setPGPSigningKey</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>a22</anchor>
      <arglist>(const QCString &amp;key)</arglist>
    </member>
    <member kind="function">
      <type>QCString</type>
      <name>smimeEncryptionKey</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>a23</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setSMIMEEncryptionKey</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>a24</anchor>
      <arglist>(const QCString &amp;key)</arglist>
    </member>
    <member kind="function">
      <type>QCString</type>
      <name>smimeSigningKey</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>a25</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setSMIMESigningKey</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>a26</anchor>
      <arglist>(const QCString &amp;key)</arglist>
    </member>
    <member kind="function">
      <type>Kleo::CryptoMessageFormat</type>
      <name>preferredCryptoMessageFormat</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>a27</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setPreferredCryptoMessageFormat</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>a28</anchor>
      <arglist>(Kleo::CryptoMessageFormat format)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>emailAddr</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>a29</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setEmailAddr</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>a30</anchor>
      <arglist>(const QString &amp;)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>vCardFile</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>a31</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setVCardFile</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>a32</anchor>
      <arglist>(const QString &amp;)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>fullEmailAddr</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>a33</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>replyToAddr</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>a34</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setReplyToAddr</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>a35</anchor>
      <arglist>(const QString &amp;)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>bcc</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>a36</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setBcc</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>a37</anchor>
      <arglist>(const QString &amp;aBcc)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setSignature</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>a38</anchor>
      <arglist>(const Signature &amp;sig)</arglist>
    </member>
    <member kind="function">
      <type>Signature &amp;</type>
      <name>signature</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>a39</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>const Signature &amp;</type>
      <name>signature</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>a40</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>signatureText</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>a41</anchor>
      <arglist>(bool *ok=0) const </arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>transport</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>a42</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setTransport</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>a43</anchor>
      <arglist>(const QString &amp;)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>fcc</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>a44</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setFcc</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>a45</anchor>
      <arglist>(const QString &amp;)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>drafts</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>a46</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setDrafts</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>a47</anchor>
      <arglist>(const QString &amp;)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>templates</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>a48</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setTemplates</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>a49</anchor>
      <arglist>(const QString &amp;)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>dictionary</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>a50</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setDictionary</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>a51</anchor>
      <arglist>(const QString &amp;)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>xface</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>a52</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setXFace</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>a53</anchor>
      <arglist>(const QString &amp;)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isXFaceEnabled</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>a54</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setXFaceEnabled</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>a55</anchor>
      <arglist>(const bool)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isNull</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>a56</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" static="yes">
      <type>static const Identity &amp;</type>
      <name>null</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>e0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>readConfig</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>b0</anchor>
      <arglist>(const KConfigBase *)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>writeConfig</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>b1</anchor>
      <arglist>(KConfigBase *) const </arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>setIsDefault</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>b2</anchor>
      <arglist>(bool flag)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>setUoid</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>b3</anchor>
      <arglist>(uint aUoid)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>bool</type>
      <name>signatureIsCommand</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>b4</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" protection="protected">
      <type>bool</type>
      <name>signatureIsPlainFile</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>b5</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" protection="protected">
      <type>bool</type>
      <name>signatureIsInline</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>b6</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" protection="protected">
      <type>QString</type>
      <name>signatureFile</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>b7</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>setSignatureFile</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>b8</anchor>
      <arglist>(const QString &amp;)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>QString</type>
      <name>signatureInlineText</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>b9</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>setSignatureInlineText</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>b10</anchor>
      <arglist>(const QString &amp;)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>bool</type>
      <name>useSignatureFile</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>b11</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>uint</type>
      <name>mUoid</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>p0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QString</type>
      <name>mIdentity</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>p1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QString</type>
      <name>mFullName</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>p2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QString</type>
      <name>mEmailAddr</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>p3</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QString</type>
      <name>mOrganization</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>p4</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QString</type>
      <name>mReplyToAddr</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>p5</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QString</type>
      <name>mBcc</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>p6</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QString</type>
      <name>mVCardFile</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>p7</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QCString</type>
      <name>mPGPEncryptionKey</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>p8</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QCString</type>
      <name>mPGPSigningKey</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>p9</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QCString</type>
      <name>mSMIMEEncryptionKey</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>p10</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QCString</type>
      <name>mSMIMESigningKey</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>p11</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QString</type>
      <name>mFcc</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>p12</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QString</type>
      <name>mDrafts</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>p13</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QString</type>
      <name>mTemplates</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>p14</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QString</type>
      <name>mTransport</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>p15</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QString</type>
      <name>mDictionary</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>p16</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QString</type>
      <name>mXFace</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>p17</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>mXFaceEnabled</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>p18</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>Signature</type>
      <name>mSignature</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>p19</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>mIsDefault</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>p20</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>Kleo::CryptoMessageFormat</type>
      <name>mPreferredCryptoMessageFormat</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>p21</anchor>
      <arglist></arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>IdentityManager</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>n0</anchor>
      <arglist></arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend QDataStream &amp;</type>
      <name>operator&lt;&lt;</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>n1</anchor>
      <arglist>(QDataStream &amp;stream, const KPIM::Identity &amp;ident)</arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend QDataStream &amp;</type>
      <name>operator&gt;&gt;</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>n2</anchor>
      <arglist>(QDataStream &amp;stream, KPIM::Identity &amp;ident)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KPIM::IdentityCombo</name>
    <filename>classKPIM_1_1IdentityCombo.html</filename>
    <member kind="slot">
      <type>void</type>
      <name>slotIdentityManagerChanged</name>
      <anchorfile>classKPIM_1_1IdentityCombo.html</anchorfile>
      <anchor>i0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>identityChanged</name>
      <anchorfile>classKPIM_1_1IdentityCombo.html</anchorfile>
      <anchor>l0</anchor>
      <arglist>(const QString &amp;identityName)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>identityChanged</name>
      <anchorfile>classKPIM_1_1IdentityCombo.html</anchorfile>
      <anchor>l1</anchor>
      <arglist>(uint uoid)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>IdentityCombo</name>
      <anchorfile>classKPIM_1_1IdentityCombo.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(IdentityManager *manager, QWidget *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>currentIdentityName</name>
      <anchorfile>classKPIM_1_1IdentityCombo.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>uint</type>
      <name>currentIdentity</name>
      <anchorfile>classKPIM_1_1IdentityCombo.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setCurrentIdentity</name>
      <anchorfile>classKPIM_1_1IdentityCombo.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>(const QString &amp;identityName)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setCurrentIdentity</name>
      <anchorfile>classKPIM_1_1IdentityCombo.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>(const Identity &amp;identity)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setCurrentIdentity</name>
      <anchorfile>classKPIM_1_1IdentityCombo.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>(uint uoid)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotEmitChanged</name>
      <anchorfile>classKPIM_1_1IdentityCombo.html</anchorfile>
      <anchor>j0</anchor>
      <arglist>(int)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>reloadCombo</name>
      <anchorfile>classKPIM_1_1IdentityCombo.html</anchorfile>
      <anchor>b0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>reloadUoidList</name>
      <anchorfile>classKPIM_1_1IdentityCombo.html</anchorfile>
      <anchor>b1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QValueList&lt; uint &gt;</type>
      <name>mUoidList</name>
      <anchorfile>classKPIM_1_1IdentityCombo.html</anchorfile>
      <anchor>p0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>IdentityManager *</type>
      <name>mIdentityManager</name>
      <anchorfile>classKPIM_1_1IdentityCombo.html</anchorfile>
      <anchor>p1</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KPIM::IdentityManager</name>
    <filename>classKPIM_1_1IdentityManager.html</filename>
    <member kind="typedef">
      <type>QValueList&lt; Identity &gt;::Iterator</type>
      <name>Iterator</name>
      <anchorfile>classKPIM_1_1IdentityManager.html</anchorfile>
      <anchor>w0</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>QValueList&lt; Identity &gt;::ConstIterator</type>
      <name>ConstIterator</name>
      <anchorfile>classKPIM_1_1IdentityManager.html</anchorfile>
      <anchor>w1</anchor>
      <arglist></arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>changed</name>
      <anchorfile>classKPIM_1_1IdentityManager.html</anchorfile>
      <anchor>l0</anchor>
      <arglist>(uint uoid)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>changed</name>
      <anchorfile>classKPIM_1_1IdentityManager.html</anchorfile>
      <anchor>l1</anchor>
      <arglist>(const KPIM::Identity &amp;ident)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>deleted</name>
      <anchorfile>classKPIM_1_1IdentityManager.html</anchorfile>
      <anchor>l2</anchor>
      <arglist>(uint uoid)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>added</name>
      <anchorfile>classKPIM_1_1IdentityManager.html</anchorfile>
      <anchor>l3</anchor>
      <arglist>(const KPIM::Identity &amp;ident)</arglist>
    </member>
    <member kind="dcop">
      <type>void</type>
      <name>slotIdentitiesChanged</name>
      <anchorfile>classKPIM_1_1IdentityManager.html</anchorfile>
      <anchor>z0</anchor>
      <arglist>(QCString appId, QCString objId)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>IdentityManager</name>
      <anchorfile>classKPIM_1_1IdentityManager.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(bool readonly=false, QObject *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~IdentityManager</name>
      <anchorfile>classKPIM_1_1IdentityManager.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>commit</name>
      <anchorfile>classKPIM_1_1IdentityManager.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>rollback</name>
      <anchorfile>classKPIM_1_1IdentityManager.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>hasPendingChanges</name>
      <anchorfile>classKPIM_1_1IdentityManager.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QStringList</type>
      <name>identities</name>
      <anchorfile>classKPIM_1_1IdentityManager.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QStringList</type>
      <name>shadowIdentities</name>
      <anchorfile>classKPIM_1_1IdentityManager.html</anchorfile>
      <anchor>a6</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>sort</name>
      <anchorfile>classKPIM_1_1IdentityManager.html</anchorfile>
      <anchor>a7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>const Identity &amp;</type>
      <name>identityForAddress</name>
      <anchorfile>classKPIM_1_1IdentityManager.html</anchorfile>
      <anchor>a8</anchor>
      <arglist>(const QString &amp;addresses) const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>thatIsMe</name>
      <anchorfile>classKPIM_1_1IdentityManager.html</anchorfile>
      <anchor>a9</anchor>
      <arglist>(const QString &amp;addressList) const </arglist>
    </member>
    <member kind="function">
      <type>const Identity &amp;</type>
      <name>identityForName</name>
      <anchorfile>classKPIM_1_1IdentityManager.html</anchorfile>
      <anchor>a10</anchor>
      <arglist>(const QString &amp;identityName) const </arglist>
    </member>
    <member kind="function">
      <type>const Identity &amp;</type>
      <name>identityForUoid</name>
      <anchorfile>classKPIM_1_1IdentityManager.html</anchorfile>
      <anchor>a11</anchor>
      <arglist>(uint uoid) const </arglist>
    </member>
    <member kind="function">
      <type>const Identity &amp;</type>
      <name>identityForNameOrDefault</name>
      <anchorfile>classKPIM_1_1IdentityManager.html</anchorfile>
      <anchor>a12</anchor>
      <arglist>(const QString &amp;identityName) const </arglist>
    </member>
    <member kind="function">
      <type>const Identity &amp;</type>
      <name>identityForUoidOrDefault</name>
      <anchorfile>classKPIM_1_1IdentityManager.html</anchorfile>
      <anchor>a13</anchor>
      <arglist>(uint uoid) const </arglist>
    </member>
    <member kind="function">
      <type>const Identity &amp;</type>
      <name>defaultIdentity</name>
      <anchorfile>classKPIM_1_1IdentityManager.html</anchorfile>
      <anchor>a14</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>setAsDefault</name>
      <anchorfile>classKPIM_1_1IdentityManager.html</anchorfile>
      <anchor>a15</anchor>
      <arglist>(const QString &amp;identityName)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>setAsDefault</name>
      <anchorfile>classKPIM_1_1IdentityManager.html</anchorfile>
      <anchor>a16</anchor>
      <arglist>(uint uoid)</arglist>
    </member>
    <member kind="function">
      <type>Identity &amp;</type>
      <name>modifyIdentityForName</name>
      <anchorfile>classKPIM_1_1IdentityManager.html</anchorfile>
      <anchor>a17</anchor>
      <arglist>(const QString &amp;identityName)</arglist>
    </member>
    <member kind="function">
      <type>Identity &amp;</type>
      <name>modifyIdentityForUoid</name>
      <anchorfile>classKPIM_1_1IdentityManager.html</anchorfile>
      <anchor>a18</anchor>
      <arglist>(uint uoid)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>removeIdentity</name>
      <anchorfile>classKPIM_1_1IdentityManager.html</anchorfile>
      <anchor>a19</anchor>
      <arglist>(const QString &amp;identityName)</arglist>
    </member>
    <member kind="function">
      <type>ConstIterator</type>
      <name>begin</name>
      <anchorfile>classKPIM_1_1IdentityManager.html</anchorfile>
      <anchor>a20</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>ConstIterator</type>
      <name>end</name>
      <anchorfile>classKPIM_1_1IdentityManager.html</anchorfile>
      <anchor>a21</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>Iterator</type>
      <name>modifyBegin</name>
      <anchorfile>classKPIM_1_1IdentityManager.html</anchorfile>
      <anchor>a22</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>Iterator</type>
      <name>modifyEnd</name>
      <anchorfile>classKPIM_1_1IdentityManager.html</anchorfile>
      <anchor>a23</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>Identity &amp;</type>
      <name>newFromScratch</name>
      <anchorfile>classKPIM_1_1IdentityManager.html</anchorfile>
      <anchor>a24</anchor>
      <arglist>(const QString &amp;name)</arglist>
    </member>
    <member kind="function">
      <type>Identity &amp;</type>
      <name>newFromControlCenter</name>
      <anchorfile>classKPIM_1_1IdentityManager.html</anchorfile>
      <anchor>a25</anchor>
      <arglist>(const QString &amp;name)</arglist>
    </member>
    <member kind="function">
      <type>Identity &amp;</type>
      <name>newFromExisting</name>
      <anchorfile>classKPIM_1_1IdentityManager.html</anchorfile>
      <anchor>a26</anchor>
      <arglist>(const Identity &amp;other, const QString &amp;name=QString::null)</arglist>
    </member>
    <member kind="function">
      <type>QStringList</type>
      <name>allEmails</name>
      <anchorfile>classKPIM_1_1IdentityManager.html</anchorfile>
      <anchor>a27</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotRollback</name>
      <anchorfile>classKPIM_1_1IdentityManager.html</anchorfile>
      <anchor>j0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>createDefaultIdentity</name>
      <anchorfile>classKPIM_1_1IdentityManager.html</anchorfile>
      <anchor>b0</anchor>
      <arglist>(QString &amp;, QString &amp;)</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QValueList&lt; Identity &gt;</type>
      <name>mIdentities</name>
      <anchorfile>classKPIM_1_1IdentityManager.html</anchorfile>
      <anchor>p0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QValueList&lt; Identity &gt;</type>
      <name>mShadowIdentities</name>
      <anchorfile>classKPIM_1_1IdentityManager.html</anchorfile>
      <anchor>p1</anchor>
      <arglist></arglist>
    </member>
  </compound>
</tagfile>
